
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.joda.time.Chronology chronology7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime8 = new org.joda.time.MutableDateTime(10, 100, 10, 1, 100, (-1), (-1), chronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int i0 = org.joda.time.MutableDateTime.ROUND_HALF_EVEN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 5);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField3 = new org.joda.time.field.RemainderDateTimeField(dateTimeField0, dateTimeFieldType1, 29154686);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.mediumDate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.LocalDateTime localDateTime2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = dateTimeZone1.isLocalDateTimeGap(localDateTime2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test009() {}
// Defects4J: flaky method
//   @Test
//   public void test009() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime13 = dateTime8.withTime(29154673, 29154657, 29154698, 100);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29154725);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
// 
//   }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() {}
// Defects4J: flaky method
//   @Test
//   public void test011() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     int i14 = dateTime13.getDayOfYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.LimitChronology limitChronology15 = org.joda.time.chrono.LimitChronology.getInstance(chronology0, (org.joda.time.ReadableDateTime)dateTime5, (org.joda.time.ReadableDateTime)dateTime13);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29154728);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29154728);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 52);
// 
//   }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.weekDateTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime2 = org.joda.time.MutableDateTime.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test013() {}
// Defects4J: flaky method
//   @Test
//   public void test013() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setHourOfDay(29154766);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29154772);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
// 
//   }

  @Test
  public void test014() {}
// Defects4J: flaky method
//   @Test
//   public void test014() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = dateTime7.get(dateTimeFieldType9);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29154783);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
// 
//   }

  @Test
  public void test015() {}
// Defects4J: flaky method
//   @Test
//   public void test015() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b3 = dateTimeFormatter2.isOffsetParsed();
//     java.lang.String str4 = dateTime0.toString(dateTimeFormatter2);
//     org.joda.time.DateTimeField dateTimeField5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i6 = dateTime0.get(dateTimeField5);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "16"+ "'", str4.equals("16"));
// 
//   }

  @Test
  public void test016() {}
// Defects4J: flaky method
//   @Test
//   public void test016() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone10 = dateTime7.getZone();
//     java.lang.String str11 = dateTimeZone10.toString();
//     org.joda.time.LocalDateTime localDateTime12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b13 = dateTimeZone10.isLocalDateTimeGap(localDateTime12);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29154809);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "America/Los_Angeles"+ "'", str11.equals("America/Los_Angeles"));
// 
//   }

  @Test
  public void test017() {}
// Defects4J: flaky method
//   @Test
//   public void test017() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }
// 
// 
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime8.withPeriodAdded(readablePeriod12, 0);
//     org.joda.time.DateMidnight dateMidnight15 = dateTime14.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime16 = dateTime14.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime14.getZone();
//     java.lang.String str18 = dateTimeZone17.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(29154741, 52, 29154701, 29154790, 29154673, 29154799, 29154785, dateTimeZone17);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29154812);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "America/Los_Angeles"+ "'", str18.equals("America/Los_Angeles"));
// 
//   }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.joda.time.ReadableDuration readableDuration0 = null;
    long long1 = org.joda.time.DateTimeUtils.getDurationMillis(readableDuration0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(10L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test020() {}
// Defects4J: flaky method
//   @Test
//   public void test020() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.DateTimeFieldType dateTimeFieldType9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = dateTime7.get(dateTimeFieldType9);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29154841);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
// 
//   }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.fullDate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test022() {}
// Defects4J: flaky method
//   @Test
//   public void test022() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b3 = dateTimeFormatter2.isOffsetParsed();
//     java.lang.String str4 = dateTime0.toString(dateTimeFormatter2);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime6 = dateTime0.withDayOfMonth(0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "16"+ "'", str4.equals("16"));
// 
//   }

  @Test
  public void test023() {}
// Defects4J: flaky method
//   @Test
//   public void test023() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b3 = dateTimeFormatter2.isOffsetParsed();
//     java.lang.String str4 = dateTime0.toString(dateTimeFormatter2);
//     org.joda.time.DateTimeFieldType dateTimeFieldType5 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i6 = dateTime0.get(dateTimeFieldType5);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "16"+ "'", str4.equals("16"));
// 
//   }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField2 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.DateTimeFieldType dateTimeFieldType1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField2 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.fullDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateElementParser();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime2 = dateTimeFormatter0.parseMutableDateTime("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    int i0 = org.joda.time.MutableDateTime.ROUND_NONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
    org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
    mutableDateTime3.addYears(29154829);
    org.joda.time.DurationFieldType durationFieldType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime3.add(durationFieldType6, 29154756);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime3);

  }

  @Test
  public void test030() {}
// Defects4J: flaky method
//   @Test
//   public void test030() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
//     org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     boolean b10 = dateTime5.isBefore(0L);
//     org.joda.time.DateTime dateTime12 = dateTime5.withMillis((-1L));
//     mutableDateTime3.setDate((org.joda.time.ReadableInstant)dateTime5);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime3.setMillisOfSecond(29154766);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29154926);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
// 
//   }

  @Test
  public void test031() {}
// Defects4J: flaky method
//   @Test
//   public void test031() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     mutableDateTime9.addDays(29154720);
//     org.joda.time.ReadableDuration readableDuration12 = null;
//     mutableDateTime9.add(readableDuration12, 29154657);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setDayOfWeek(0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29154959);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
// 
//   }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "America/Los_Angeles");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
    org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime3.setMonthOfYear(29154909);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime3);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GJChronology gJChronology8 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone1, 0L, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(0, 29154679, 29154698, 29154660, 54, (-10), 29154750);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() {}
// Defects4J: flaky method
//   @Test
//   public void test036() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     mutableDateTime9.add(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setDate(29154961, 29154843, 29154961);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155012);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 55);
// 
//   }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    boolean b1 = dateTimeFormatter0.isOffsetParsed();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear(10);
    java.lang.Integer i4 = dateTimeFormatter3.getPivotYear();
    // The following exception was thrown during execution in test generation
    try {
      long long6 = dateTimeFormatter3.parseMillis("America/Los_Angeles");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 10+ "'", i4.equals(10));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicOrdinalDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(10L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
    org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
    org.joda.time.DateTimeField dateTimeField4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.SkipDateTimeField skipDateTimeField6 = new org.joda.time.field.SkipDateTimeField(chronology1, dateTimeField4, 29154843);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime3);

  }

  @Test
  public void test041() {}
// Defects4J: flaky method
//   @Test
//   public void test041() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     mutableDateTime9.addDays(29154720);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setDayOfWeek(52);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155036);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
// 
//   }

  @Test
  public void test042() {}
// Defects4J: flaky method
//   @Test
//   public void test042() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setMinuteOfDay(29154909);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155038);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
// 
//   }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime1 = new org.joda.time.MutableDateTime((java.lang.Object)(-1.0f));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() {}
// Defects4J: flaky method
//   @Test
//   public void test044() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone10 = dateTime7.getZone();
//     org.joda.time.LocalDateTime localDateTime11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b12 = dateTimeZone10.isLocalDateTimeGap(localDateTime11);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155078);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
// 
//   }

  @Test
  public void test045() {}
// Defects4J: flaky method
//   @Test
//   public void test045() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }
// 
// 
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod6 = null;
//     org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
//     org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
//     java.lang.String str12 = dateTimeZone11.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime13 = new org.joda.time.MutableDateTime((java.lang.Object)29154750, dateTimeZone11);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29155080);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "America/Los_Angeles"+ "'", str12.equals("America/Los_Angeles"));
// 
//   }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(10L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11L);

  }

  @Test
  public void test047() {}
// Defects4J: flaky method
//   @Test
//   public void test047() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateTime dateTime9 = dateTime7.minusHours(0);
//     org.joda.time.DateTimeFieldType dateTimeFieldType10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i11 = dateTime7.get(dateTimeFieldType10);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155089);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
// 
//   }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    int i0 = org.joda.time.MutableDateTime.ROUND_HALF_CEILING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test049() {}
// Defects4J: flaky method
//   @Test
//   public void test049() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime14 = dateTime7.withMillisOfDay((-10));
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155090);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
// 
//   }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    boolean b1 = dateTimeFormatter0.isOffsetParsed();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear(10);
    org.joda.time.ReadablePartial readablePartial4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = dateTimeFormatter3.print(readablePartial4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);

  }

  @Test
  public void test051() {}
// Defects4J: flaky method
//   @Test
//   public void test051() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime4 = dateTime1.withMinuteOfHour(29154972);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29155098);
// 
//   }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    int i0 = org.joda.time.MutableDateTime.ROUND_FLOOR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(11L);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forStyle("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.joda.time.ReadableInstant readableInstant6 = null;
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant6);
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getChronology(chronology7);
    org.joda.time.MutableDateTime mutableDateTime9 = org.joda.time.MutableDateTime.now(chronology7);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(29154796, 29155060, 29155060, 29154834, 29154829, 29154701, chronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
    org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
    org.joda.time.Chronology chronology4 = null;
    org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
    int i6 = dateTime5.getMillisOfDay();
    org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
    boolean b10 = dateTime5.isBefore(0L);
    org.joda.time.DateTime dateTime12 = dateTime5.withMillis((-1L));
    org.joda.time.Chronology chronology13 = null;
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(chronology13);
    int i15 = dateTime14.getMillisOfDay();
    org.joda.time.DateTime dateTime17 = dateTime14.withHourOfDay(10);
    boolean b19 = dateTime14.isBefore(0L);
    org.joda.time.DateTime dateTime21 = dateTime14.withMillis((-1L));
    org.joda.time.DateTime.Property property22 = dateTime21.weekyear();
    org.joda.time.DateTime dateTime24 = dateTime21.plusMonths(29154657);
    org.joda.time.DateTime dateTime26 = dateTime21.plusYears(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.LimitChronology limitChronology27 = org.joda.time.chrono.LimitChronology.getInstance(chronology1, (org.joda.time.ReadableDateTime)dateTime12, (org.joda.time.ReadableDateTime)dateTime26);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime26);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forOffsetHours(29154790);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    mutableDateTime9.addDays(29154720);
    org.joda.time.ReadableDuration readableDuration12 = null;
    mutableDateTime9.add(readableDuration12, 29154657);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i16 = mutableDateTime9.get(dateTimeFieldType15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    int i10 = mutableDateTime9.getSecondOfMinute();
    mutableDateTime9.add(0L);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime.Property property14 = mutableDateTime9.property(dateTimeFieldType13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear(29154829);
    java.lang.StringBuffer stringBuffer4 = null;
    org.joda.time.ReadableInstant readableInstant5 = null;
    org.joda.time.Chronology chronology6 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant5);
    org.joda.time.Chronology chronology7 = org.joda.time.DateTimeUtils.getChronology(chronology6);
    org.joda.time.MutableDateTime mutableDateTime8 = org.joda.time.MutableDateTime.now(chronology6);
    org.joda.time.Chronology chronology9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
    int i11 = dateTime10.getMillisOfDay();
    org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
    boolean b15 = dateTime10.isBefore(0L);
    org.joda.time.DateTime dateTime17 = dateTime10.withMillis((-1L));
    mutableDateTime8.setDate((org.joda.time.ReadableInstant)dateTime10);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer4, (org.joda.time.ReadableInstant)mutableDateTime8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatter0.withChronology(chronology3);
    org.joda.time.DateTimeField dateTimeField5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField6 = new org.joda.time.field.SkipUndoDateTimeField(chronology3, dateTimeField5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter4);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDate();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = dateTimeFormatter0.parseDateTime("America/Los_Angeles");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forPattern("America/Los_Angeles");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
    org.joda.time.DateTime dateTime11 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone12 = dateTime11.getZone();
    org.joda.time.DateTime dateTime14 = dateTime11.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant15 = null;
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant15);
    org.joda.time.DateTime dateTime17 = dateTime11.toDateTime(chronology16);
    boolean b18 = mutableDateTime10.isAfter((org.joda.time.ReadableInstant)dateTime11);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter19 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter20 = dateTimeFormatter19.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime22 = dateTimeFormatter19.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime23 = dateTime11.withFields((org.joda.time.ReadablePartial)localDateTime22);
    int[] i_array26 = new int[] { 0, 10 };
    // The following exception was thrown during execution in test generation
    try {
      iSOChronology0.validate((org.joda.time.ReadablePartial)localDateTime22, i_array26);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("America/Los_Angeles", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    org.joda.time.DateTime dateTime11 = dateTime7.plusSeconds(29154871);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime7.withSecondOfMinute(57600011);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField1 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    long long1 = org.joda.time.DateTimeUtils.getInstantMillis(readableInstant0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 11L);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime9.setMinuteOfHour(29154716);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)28800011L, (java.lang.Number)10L, (java.lang.Number)29154776);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone10 = dateTime7.getZone();
    long long13 = dateTimeZone10.convertLocalToUTC(11L, false);
    org.joda.time.DateTime dateTime14 = org.joda.time.DateTime.now();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GJChronology gJChronology16 = org.joda.time.chrono.GJChronology.getInstance(dateTimeZone10, (org.joda.time.ReadableInstant)dateTime14, 29155020);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 28800011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicTTimeNoMillis();
    java.lang.String str2 = dateTimeFormatter0.print(11L);
    java.lang.StringBuffer stringBuffer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer3, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "T160000-0800"+ "'", str2.equals("T160000-0800"));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.parse("T160000-0800");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    int i10 = mutableDateTime9.getSecondOfMinute();
    org.joda.time.MutableDateTime mutableDateTime11 = mutableDateTime9.copy();
    org.joda.time.ReadableInstant readableInstant13 = null;
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant13);
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology(chronology14);
    org.joda.time.MutableDateTime mutableDateTime16 = org.joda.time.MutableDateTime.now(chronology14);
    org.joda.time.MutableDateTime mutableDateTime17 = new org.joda.time.MutableDateTime(11L, chronology14);
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField20 = new org.joda.time.field.SkipUndoDateTimeField(chronology14, dateTimeField19);
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime11.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField20, 29155082);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600011);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.joda.time.DateTimeUtils.setCurrentMillisSystem();

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.dayOfYear();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField2 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField1);
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField5 = new org.joda.time.field.DividedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField2, dateTimeFieldType3, 29155060);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test077() {}
// Defects4J: flaky method
//   @Test
//   public void test077() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHour();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(0);
//     java.lang.StringBuffer stringBuffer3 = null;
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime5.withPeriodAdded(readablePeriod9, 0);
//     org.joda.time.DateMidnight dateMidnight12 = dateTime11.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime13 = dateTime11.toMutableDateTime();
//     org.joda.time.DateTime dateTime14 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone15 = dateTime14.getZone();
//     org.joda.time.DateTime dateTime17 = dateTime14.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant18 = null;
//     org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant18);
//     org.joda.time.DateTime dateTime20 = dateTime14.toDateTime(chronology19);
//     boolean b21 = mutableDateTime13.isAfter((org.joda.time.ReadableInstant)dateTime14);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter23 = dateTimeFormatter22.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime25 = dateTimeFormatter22.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime26 = dateTime14.withFields((org.joda.time.ReadablePartial)localDateTime25);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(stringBuffer3, (org.joda.time.ReadablePartial)localDateTime25);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29155544);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
// 
//   }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime((java.lang.Object)29154698);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Instant instant1 = new org.joda.time.Instant((java.lang.Object)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-1L));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("T160000-0800", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "17");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(86400000L);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("2016-02-21T08:05:55.880-08:00");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() {}
// Defects4J: flaky method
//   @Test
//   public void test088() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
//     org.joda.time.DateTimeZone dateTimeZone24 = cachedDateTimeZone23.getUncachedZone();
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long30 = iSOChronology25.getDateTimeMillis(0, 29154871, 29155098, 29154880);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156043);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
// 
//   }

  @Test
  public void test089() {}
// Defects4J: flaky method
//   @Test
//   public void test089() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime1.toDateMidnight();
//     org.joda.time.DurationFieldType durationFieldType9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime11 = dateTime1.withFieldAdded(durationFieldType9, 29154673);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156046);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
// 
//   }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forPattern("ISOChronology[America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() {}
// Defects4J: flaky method
//   @Test
//   public void test091() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
//     org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
//     org.joda.time.DurationField durationField15 = iSOChronology12.seconds();
//     org.joda.time.DateTimeField dateTimeField16 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.SkipDateTimeField skipDateTimeField18 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)iSOChronology12, dateTimeField16, 3);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156059);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField15);
// 
//   }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(29154720, 29155551, 29154939, 29155060);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 29154955);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(29154698, 29154679, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.weekDate();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime2 = org.joda.time.MutableDateTime.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test095() {}
// Defects4J: flaky method
//   @Test
//   public void test095() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
//     org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
//     org.joda.time.DurationFieldType durationFieldType15 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime14.add(durationFieldType15, 29154909);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156141);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
// 
//   }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.dayOfYear();
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = delegatedDateTimeField11.getType();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField14 = new org.joda.time.field.DividedDateTimeField(dateTimeField1, dateTimeFieldType12, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType12);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
    org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType20, 29154766, 57600011, 29155603);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);

  }

  @Test
  public void test098() {}
// Defects4J: flaky method
//   @Test
//   public void test098() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHour();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = dateTimeFormatter0.withPivotYear(0);
//     java.lang.StringBuffer stringBuffer3 = null;
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime5.withPeriodAdded(readablePeriod9, 0);
//     org.joda.time.DateMidnight dateMidnight12 = dateTime11.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime13 = dateTime11.toMutableDateTime();
//     org.joda.time.DateTime dateTime15 = dateTime11.plusSeconds(29154871);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(stringBuffer3, (org.joda.time.ReadableInstant)dateTime15);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29156225);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
// 
//   }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.DurationField durationField7 = julianChronology6.days();
    org.joda.time.DurationFieldType durationFieldType8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField10 = new org.joda.time.field.ScaledDurationField(durationField7, durationFieldType8, 29156170);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);

  }

  @Test
  public void test100() {}
// Defects4J: flaky method
//   @Test
//   public void test100() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }
// 
// 
//     org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone2 = dateTime1.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b4 = dateTimeFormatter3.isOffsetParsed();
//     java.lang.String str5 = dateTime1.toString(dateTimeFormatter3);
//     boolean b6 = dateTimeFormatter3.isParser();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.parse("", dateTimeFormatter3);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16"+ "'", str5.equals("16"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
// 
//   }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
    org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime11 = dateTime0.withTime(19, 5, 29154939, 29154829);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("PST");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() {}
// Defects4J: flaky method
//   @Test
//   public void test103() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter18 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter19 = dateTimeFormatter18.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime21 = dateTimeFormatter18.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime22 = dateTime10.withFields((org.joda.time.ReadablePartial)localDateTime21);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime24 = dateTime10.withCenturyOfEra(29155047);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156371);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
// 
//   }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str1 = iSOChronology0.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter2.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime5 = dateTimeFormatter2.parseLocalDateTime("16");
    long long7 = iSOChronology0.set((org.joda.time.ReadablePartial)localDateTime5, 28800011L);
    // The following exception was thrown during execution in test generation
    try {
      long long12 = iSOChronology0.getDateTimeMillis(29155966, 29154909, 29156103, 29154955);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str1.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 86400000L);

  }

  @Test
  public void test105() {}
// Defects4J: flaky method
//   @Test
//   public void test105() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime11 = dateTime7.plusSeconds(29154871);
//     org.joda.time.ReadableInstant readableInstant13 = null;
//     org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant13);
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology(chronology14);
//     org.joda.time.MutableDateTime mutableDateTime16 = org.joda.time.MutableDateTime.now(chronology14);
//     org.joda.time.MutableDateTime mutableDateTime17 = new org.joda.time.MutableDateTime(11L, chronology14);
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField20 = new org.joda.time.field.SkipUndoDateTimeField(chronology14, dateTimeField19);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField20);
//     org.joda.time.ReadableInstant readableInstant23 = null;
//     org.joda.time.Chronology chronology24 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant23);
//     org.joda.time.Chronology chronology25 = org.joda.time.DateTimeUtils.getChronology(chronology24);
//     org.joda.time.MutableDateTime mutableDateTime26 = org.joda.time.MutableDateTime.now(chronology24);
//     org.joda.time.MutableDateTime mutableDateTime27 = new org.joda.time.MutableDateTime(11L, chronology24);
//     org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField29 = iSOChronology28.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField30 = new org.joda.time.field.SkipUndoDateTimeField(chronology24, dateTimeField29);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField31 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField30);
//     org.joda.time.DateTimeFieldType dateTimeFieldType32 = delegatedDateTimeField31.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField33 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField21, dateTimeFieldType32);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime35 = dateTime7.withField(dateTimeFieldType32, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156404);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType32);
// 
//   }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(960, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.joda.time.format.DateTimeFormat.patternForStyle("PST", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() {}
// Defects4J: flaky method
//   @Test
//   public void test108() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     mutableDateTime21.addWeekyears(29155801);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime21.setDateTime(29154898, 29156383, 29156362, 29154756, 29156081, 29156051, 29155535);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29156410);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
// 
//   }

  @Test
  public void test109() {}
// Defects4J: flaky method
//   @Test
//   public void test109() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.DateTime dateTime23 = dateTime22.withTimeAtStartOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156412);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
// 
//   }

  @Test
  public void test110() {}
// Defects4J: flaky method
//   @Test
//   public void test110() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime13.toMutableDateTime();
//     mutableDateTime2.setMillis((org.joda.time.ReadableInstant)mutableDateTime15);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime2.setMinuteOfDay(29154871);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29156497);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
// 
//   }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    int i0 = org.joda.time.chrono.BuddhistChronology.BE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test112() {}
// Defects4J: flaky method
//   @Test
//   public void test112() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
//     org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(chronology10);
//     int i12 = dateTime11.getMillisOfDay();
//     org.joda.time.DateTime dateTime14 = dateTime11.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod15 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.withPeriodAdded(readablePeriod15, 0);
//     org.joda.time.DateMidnight dateMidnight18 = dateTime17.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime19 = dateTime17.toMutableDateTime();
//     org.joda.time.DateTime dateTime20 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone21 = dateTime20.getZone();
//     org.joda.time.DateTime dateTime23 = dateTime20.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant24 = null;
//     org.joda.time.Chronology chronology25 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant24);
//     org.joda.time.DateTime dateTime26 = dateTime20.toDateTime(chronology25);
//     boolean b27 = mutableDateTime19.isAfter((org.joda.time.ReadableInstant)dateTime20);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter28 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter29 = dateTimeFormatter28.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime31 = dateTimeFormatter28.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime32 = dateTime20.withFields((org.joda.time.ReadablePartial)localDateTime31);
//     int[] i_array36 = new int[] { 10, 10 };
//     java.util.Locale locale38 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array39 = delegatedDateTimeField9.set((org.joda.time.ReadablePartial)localDateTime31, 29154939, i_array36, "America/Los_Angeles", locale38);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 29156536);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b27 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array36);
// 
//   }

  @Test
  public void test113() {}
// Defects4J: flaky method
//   @Test
//   public void test113() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime10.withPeriodAdded(readablePeriod18, 29154785);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime24 = dateTime10.withDate(0, 29154796, 10);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156538);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
// 
//   }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.joda.time.format.DateTimeFormat.patternForStyle("America/Los_Angeles", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() {}
// Defects4J: flaky method
//   @Test
//   public void test115() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
//     org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     boolean b10 = dateTime5.isBefore(0L);
//     org.joda.time.DateTime dateTime12 = dateTime5.withMillis((-1L));
//     mutableDateTime3.setDate((org.joda.time.ReadableInstant)dateTime5);
//     java.lang.String str14 = dateTime5.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime16 = dateTime5.withDayOfYear(29156051);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29156564);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-22T08:05:56.564-08:00"+ "'", str14.equals("2016-02-22T08:05:56.564-08:00"));
// 
//   }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.dateHour();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter1.withPivotYear(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime4 = org.joda.time.DateTime.parse("", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str1 = iSOChronology0.toString();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DurationField durationField3 = iSOChronology0.halfdays();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.hourOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = iSOChronology0.getDateTimeMillis(29156383, 29154843, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str1.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("17", 29154657, 0, 29155921);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(100L, 86400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 86400100L);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(29155921, 29155804);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 58311725);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHour();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime2 = dateTimeFormatter0.parseLocalTime("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.util.TimeZone timeZone0 = null;
    org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forTimeZone(timeZone0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.dayOfYear();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField2 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField1);
    int i4 = delegatedDateTimeField2.getLeapAmount((-1259482435621990L));
    org.joda.time.ReadablePartial readablePartial5 = null;
    java.util.Locale locale6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = delegatedDateTimeField2.getAsText(readablePartial5, locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test124() {}
// Defects4J: flaky method
//   @Test
//   public void test124() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     boolean b29 = dateTime24.isBefore(0L);
//     org.joda.time.DateTime dateTime32 = dateTime24.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(chronology33);
//     int i35 = dateTime34.getMillisOfDay();
//     org.joda.time.DateTime dateTime37 = dateTime34.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod38 = null;
//     org.joda.time.DateTime dateTime40 = dateTime34.withPeriodAdded(readablePeriod38, 0);
//     org.joda.time.DateMidnight dateMidnight41 = dateTime40.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime42 = dateTime40.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone43 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime44 = dateTime32.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime45 = dateTime22.toDateTime(dateTimeZone43);
//     int i46 = dateTime45.getMillisOfDay();
//     boolean b47 = dateTime45.isAfterNow();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime49 = dateTime45.withEra(29154871);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29156684);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29156685);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 29156686);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == 29156684);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b47 == false);
// 
//   }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(28800011L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 28800011L);

  }

  @Test
  public void test126() {}
// Defects4J: flaky method
//   @Test
//   public void test126() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime13.toMutableDateTime();
//     mutableDateTime2.setMillis((org.joda.time.ReadableInstant)mutableDateTime15);
//     org.joda.time.ReadableInstant readableInstant18 = null;
//     org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant18);
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getChronology(chronology19);
//     org.joda.time.MutableDateTime mutableDateTime21 = org.joda.time.MutableDateTime.now(chronology19);
//     org.joda.time.MutableDateTime mutableDateTime22 = new org.joda.time.MutableDateTime(11L, chronology19);
//     org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField24 = iSOChronology23.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField25 = new org.joda.time.field.SkipUndoDateTimeField(chronology19, dateTimeField24);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField26 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField25);
//     org.joda.time.ReadableInstant readableInstant28 = null;
//     org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant28);
//     org.joda.time.Chronology chronology30 = org.joda.time.DateTimeUtils.getChronology(chronology29);
//     org.joda.time.MutableDateTime mutableDateTime31 = org.joda.time.MutableDateTime.now(chronology29);
//     org.joda.time.MutableDateTime mutableDateTime32 = new org.joda.time.MutableDateTime(11L, chronology29);
//     org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField34 = iSOChronology33.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField35 = new org.joda.time.field.SkipUndoDateTimeField(chronology29, dateTimeField34);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField36 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField35);
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = delegatedDateTimeField36.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField38 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField26, dateTimeFieldType37);
//     org.joda.time.MutableDateTime.Property property39 = mutableDateTime2.property(dateTimeFieldType37);
//     org.joda.time.DurationField durationField40 = null;
//     org.joda.time.DateTime dateTime41 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone42 = dateTime41.getZone();
//     long long45 = dateTimeZone42.adjustOffset(100L, false);
//     java.lang.String str46 = dateTimeZone42.toString();
//     org.joda.time.chrono.JulianChronology julianChronology47 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone42);
//     org.joda.time.DurationField durationField48 = julianChronology47.days();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.PreciseDateTimeField preciseDateTimeField49 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType37, durationField40, durationField48);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29156704);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long45 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str46 + "' != '" + "America/Los_Angeles"+ "'", str46.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField48);
// 
//   }

  @Test
  public void test127() {}
// Defects4J: flaky method
//   @Test
//   public void test127() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
//     org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     boolean b10 = dateTime5.isBefore(0L);
//     org.joda.time.DateTime dateTime12 = dateTime5.withMillis((-1L));
//     mutableDateTime3.setDate((org.joda.time.ReadableInstant)dateTime5);
//     java.lang.String str14 = dateTime5.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime16 = dateTime5.withMinuteOfHour(100);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29156884);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str14 + "' != '" + "2016-02-22T08:05:56.884-08:00"+ "'", str14.equals("2016-02-22T08:05:56.884-08:00"));
// 
//   }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("America/Los_Angeles");
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("JulianChronology[America/Los_Angeles]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test129() {}
// Defects4J: flaky method
//   @Test
//   public void test129() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
//     org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
//     long long10 = skipUndoDateTimeField8.remainder(1L);
//     org.joda.time.Chronology chronology11 = null;
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(chronology11);
//     int i13 = dateTime12.getMillisOfDay();
//     org.joda.time.DateTime dateTime15 = dateTime12.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     org.joda.time.DateTime dateTime18 = dateTime12.withPeriodAdded(readablePeriod16, 0);
//     org.joda.time.DateMidnight dateMidnight19 = dateTime18.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime20 = dateTime18.toMutableDateTime();
//     org.joda.time.DateTime dateTime21 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone22 = dateTime21.getZone();
//     org.joda.time.DateTime dateTime24 = dateTime21.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant25 = null;
//     org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant25);
//     org.joda.time.DateTime dateTime27 = dateTime21.toDateTime(chronology26);
//     boolean b28 = mutableDateTime20.isAfter((org.joda.time.ReadableInstant)dateTime21);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter29 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter30 = dateTimeFormatter29.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime32 = dateTimeFormatter29.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime33 = dateTime21.withFields((org.joda.time.ReadablePartial)localDateTime32);
//     int[] i_array36 = new int[] { 1 };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array38 = skipUndoDateTimeField8.addWrapPartial((org.joda.time.ReadablePartial)localDateTime32, 29155921, i_array36, 29155892);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 57600001L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 29157053);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array36);
// 
//   }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone0);
    org.joda.time.ReadablePeriod readablePeriod2 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = iSOChronology1.get(readablePeriod2, 86400000L, 9972000000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder0.addRecurringSavings("17", 29156192, 29155602, 29154660, '#', 29155060, 29154657, 0, true, 29154756);
    java.io.DataOutput dataOutput13 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("", dataOutput13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder11);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.io.File file0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider(file0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.joda.time.DateTime dateTime7 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone8 = dateTime7.getZone();
    long long11 = dateTimeZone8.adjustOffset(100L, false);
    java.lang.String str12 = dateTimeZone8.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime13 = new org.joda.time.MutableDateTime(29156775, 29154922, 29154829, 29156383, 29156982, 29156998, 29156540, dateTimeZone8);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "America/Los_Angeles"+ "'", str12.equals("America/Los_Angeles"));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.joda.time.field.RemainderDateTimeField remainderDateTimeField0 = null;
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant2);
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology(chronology3);
    org.joda.time.MutableDateTime mutableDateTime5 = org.joda.time.MutableDateTime.now(chronology3);
    org.joda.time.MutableDateTime mutableDateTime6 = new org.joda.time.MutableDateTime(11L, chronology3);
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField9 = new org.joda.time.field.SkipUndoDateTimeField(chronology3, dateTimeField8);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField10 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField9);
    org.joda.time.ReadableInstant readableInstant12 = null;
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant12);
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getChronology(chronology13);
    org.joda.time.MutableDateTime mutableDateTime15 = org.joda.time.MutableDateTime.now(chronology13);
    org.joda.time.MutableDateTime mutableDateTime16 = new org.joda.time.MutableDateTime(11L, chronology13);
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField19 = new org.joda.time.field.SkipUndoDateTimeField(chronology13, dateTimeField18);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField20 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField19);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = delegatedDateTimeField20.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField22 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField10, dateTimeFieldType21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.DividedDateTimeField dividedDateTimeField23 = new org.joda.time.field.DividedDateTimeField(remainderDateTimeField0, dateTimeFieldType21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType21);

  }

  @Test
  public void test135() {}
// Defects4J: flaky method
//   @Test
//   public void test135() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
//     org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(chronology10);
//     int i12 = dateTime11.getMillisOfDay();
//     org.joda.time.DateTime dateTime14 = dateTime11.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod15 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.withPeriodAdded(readablePeriod15, 0);
//     org.joda.time.DateMidnight dateMidnight18 = dateTime17.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod19 = null;
//     org.joda.time.DateTime dateTime21 = dateTime17.withPeriodAdded(readablePeriod19, (-1));
//     org.joda.time.DateTime dateTime22 = dateTime17.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property23 = dateTime22.era();
//     org.joda.time.DateTime dateTime25 = dateTime22.plusYears(29154679);
//     org.joda.time.DateTime dateTime27 = dateTime22.plusHours(52);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(chronology28);
//     int i30 = dateTime29.getMillisOfDay();
//     org.joda.time.DateTime dateTime32 = dateTime29.withHourOfDay(10);
//     boolean b34 = dateTime29.isBefore(0L);
//     org.joda.time.DateTime dateTime36 = dateTime29.withMillis((-1L));
//     org.joda.time.DateTime.Property property37 = dateTime36.weekyear();
//     org.joda.time.DateTime dateTime39 = dateTime36.plusMonths(29154657);
//     org.joda.time.DateTime dateTime41 = dateTime36.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay42 = dateTime41.toTimeOfDay();
//     org.joda.time.DateTime dateTime43 = dateTime22.withFields((org.joda.time.ReadablePartial)timeOfDay42);
//     java.util.Locale locale44 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str45 = skipUndoDateTimeField8.getAsShortText((org.joda.time.ReadablePartial)timeOfDay42, locale44);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 29157383);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 29157385);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
// 
//   }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField10 = iSOChronology9.dayOfYear();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField10);
    org.joda.time.field.SkipDateTimeField skipDateTimeField12 = new org.joda.time.field.SkipDateTimeField(chronology8, dateTimeField10);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(29155892, 5, 29155535, 29155574, 29155964, 29156776, 19, chronology8);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField10);

  }

  @Test
  public void test137() {}
// Defects4J: flaky method
//   @Test
//   public void test137() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b1 = dateTimeFormatter0.isOffsetParsed();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear(10);
//     java.lang.Integer i4 = dateTimeFormatter3.getPivotYear();
//     java.lang.StringBuffer stringBuffer5 = null;
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod15 = null;
//     org.joda.time.DateTime dateTime17 = dateTime13.withPeriodAdded(readablePeriod15, (-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter3.printTo(stringBuffer5, (org.joda.time.ReadableInstant)dateTime13);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + i4 + "' != '" + 10+ "'", i4.equals(10));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29157416);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
// 
//   }

  @Test
  public void test138() {}
// Defects4J: flaky method
//   @Test
//   public void test138() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekDate();
//     java.lang.StringBuffer stringBuffer1 = null;
//     org.joda.time.Chronology chronology2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(chronology2);
//     int i4 = dateTime3.getMillisOfDay();
//     org.joda.time.DateTime dateTime6 = dateTime3.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod7 = null;
//     org.joda.time.DateTime dateTime9 = dateTime3.withPeriodAdded(readablePeriod7, 0);
//     org.joda.time.DateMidnight dateMidnight10 = dateTime9.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime11 = dateTime9.toMutableDateTime();
//     int i12 = mutableDateTime11.getSecondOfMinute();
//     mutableDateTime11.add(0L);
//     mutableDateTime11.setMillisOfDay(29154898);
//     org.joda.time.MutableDateTime.Property property17 = mutableDateTime11.secondOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(stringBuffer1, (org.joda.time.ReadableInstant)mutableDateTime11);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 29157533);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test139() {}
// Defects4J: flaky method
//   @Test
//   public void test139() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod54 = null;
//     org.joda.time.DateTime dateTime56 = dateTime50.withPeriodAdded(readablePeriod54, 0);
//     org.joda.time.DateMidnight dateMidnight57 = dateTime56.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod58 = null;
//     org.joda.time.DateTime dateTime60 = dateTime56.withPeriodAdded(readablePeriod58, (-1));
//     org.joda.time.DateTime dateTime61 = dateTime56.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property62 = dateTime61.era();
//     org.joda.time.DateTime dateTime64 = dateTime61.plusYears(29154679);
//     org.joda.time.DateTime dateTime66 = dateTime61.plusHours(52);
//     org.joda.time.Chronology chronology67 = null;
//     org.joda.time.DateTime dateTime68 = new org.joda.time.DateTime(chronology67);
//     int i69 = dateTime68.getMillisOfDay();
//     org.joda.time.DateTime dateTime71 = dateTime68.withHourOfDay(10);
//     boolean b73 = dateTime68.isBefore(0L);
//     org.joda.time.DateTime dateTime75 = dateTime68.withMillis((-1L));
//     org.joda.time.DateTime.Property property76 = dateTime75.weekyear();
//     org.joda.time.DateTime dateTime78 = dateTime75.plusMonths(29154657);
//     org.joda.time.DateTime dateTime80 = dateTime75.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay81 = dateTime80.toTimeOfDay();
//     org.joda.time.DateTime dateTime82 = dateTime61.withFields((org.joda.time.ReadablePartial)timeOfDay81);
//     int[] i_array87 = new int[] { (-1), 100, 0 };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array89 = offsetDateTimeField21.addWrapField((org.joda.time.ReadablePartial)timeOfDay81, 29155958, i_array87, 29156498);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29157537);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29157539);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i69 == 29157540);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b73 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array87);
// 
//   }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() {}
// Defects4J: flaky method
//   @Test
//   public void test141() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfYear();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField4 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField3);
//     org.joda.time.field.SkipDateTimeField skipDateTimeField5 = new org.joda.time.field.SkipDateTimeField(chronology1, dateTimeField3);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     boolean b12 = dateTime7.isBefore(0L);
//     org.joda.time.DateTime dateTime14 = dateTime7.withMillis((-1L));
//     org.joda.time.DateTime.Property property15 = dateTime14.weekyear();
//     org.joda.time.DateTime dateTime17 = dateTime14.plusMonths(29154657);
//     org.joda.time.DateTime dateTime19 = dateTime14.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay20 = dateTime19.toTimeOfDay();
//     java.util.Locale locale21 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str22 = skipDateTimeField5.getAsShortText((org.joda.time.ReadablePartial)timeOfDay20, locale21);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29157552);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay20);
// 
//   }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.year();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, 28800011L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test144() {}
// Defects4J: flaky method
//   @Test
//   public void test144() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     boolean b29 = dateTime24.isBefore(0L);
//     org.joda.time.DateTime dateTime32 = dateTime24.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(chronology33);
//     int i35 = dateTime34.getMillisOfDay();
//     org.joda.time.DateTime dateTime37 = dateTime34.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod38 = null;
//     org.joda.time.DateTime dateTime40 = dateTime34.withPeriodAdded(readablePeriod38, 0);
//     org.joda.time.DateMidnight dateMidnight41 = dateTime40.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime42 = dateTime40.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone43 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime44 = dateTime32.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime45 = dateTime22.toDateTime(dateTimeZone43);
//     int i46 = dateTime45.getMillisOfDay();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime48 = dateTime45.withMinuteOfHour(29155047);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29157569);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29157570);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 29157570);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == 29157569);
// 
//   }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.joda.time.MutableDateTime mutableDateTime0 = new org.joda.time.MutableDateTime();
    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime3 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology1);
    org.joda.time.ReadablePeriod readablePeriod4 = null;
    mutableDateTime3.add(readablePeriod4, 29154978);
    org.joda.time.ReadableInstant readableInstant8 = null;
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant8);
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getChronology(chronology9);
    org.joda.time.MutableDateTime mutableDateTime11 = org.joda.time.MutableDateTime.now(chronology9);
    org.joda.time.MutableDateTime mutableDateTime12 = new org.joda.time.MutableDateTime(11L, chronology9);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField15 = new org.joda.time.field.SkipUndoDateTimeField(chronology9, dateTimeField14);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField16 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField15);
    java.util.Locale locale17 = null;
    int i18 = skipUndoDateTimeField15.getMaximumTextLength(locale17);
    org.joda.time.DurationField durationField19 = skipUndoDateTimeField15.getDurationField();
    mutableDateTime3.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField15);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField22 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField15, 29155574);
    int i23 = offsetDateTimeField22.getMaximumValue();
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime0.setRounding((org.joda.time.DateTimeField)offsetDateTimeField22, 29154785);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 29155940);

  }

  @Test
  public void test146() {}
// Defects4J: flaky method
//   @Test
//   public void test146() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology27);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     mutableDateTime29.add(readablePeriod30, 29154978);
//     org.joda.time.ReadableInstant readableInstant34 = null;
//     org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
//     org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
//     org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     java.util.Locale locale43 = null;
//     int i44 = skipUndoDateTimeField41.getMaximumTextLength(locale43);
//     org.joda.time.DurationField durationField45 = skipUndoDateTimeField41.getDurationField();
//     mutableDateTime29.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41, 29155574);
//     int i51 = offsetDateTimeField48.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology52 = null;
//     org.joda.time.DateTime dateTime53 = new org.joda.time.DateTime(chronology52);
//     int i54 = dateTime53.getMillisOfDay();
//     org.joda.time.DateTime dateTime56 = dateTime53.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod57 = null;
//     org.joda.time.DateTime dateTime59 = dateTime53.withPeriodAdded(readablePeriod57, 0);
//     org.joda.time.DateMidnight dateMidnight60 = dateTime59.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime61 = dateTime59.toMutableDateTime();
//     org.joda.time.DateTime dateTime62 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone63 = dateTime62.getZone();
//     org.joda.time.DateTime dateTime65 = dateTime62.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant66 = null;
//     org.joda.time.Chronology chronology67 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant66);
//     org.joda.time.DateTime dateTime68 = dateTime62.toDateTime(chronology67);
//     boolean b69 = mutableDateTime61.isAfter((org.joda.time.ReadableInstant)dateTime62);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter70 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter71 = dateTimeFormatter70.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime73 = dateTimeFormatter70.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime74 = dateTime62.withFields((org.joda.time.ReadablePartial)localDateTime73);
//     int i75 = offsetDateTimeField48.getMinimumValue((org.joda.time.ReadablePartial)localDateTime73);
//     int[] i_array79 = new int[] { 1, 0 };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array81 = offsetDateTimeField21.set((org.joda.time.ReadablePartial)localDateTime73, 29156244, i_array79, 29157572);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == 29157768);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b69 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i75 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array79);
// 
//   }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale22 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long23 = skipUndoDateTimeField14.set((-17629199900L), "America/Los_Angeles", locale22);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);

  }

  @Test
  public void test148() {}
// Defects4J: flaky method
//   @Test
//   public void test148() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
//     org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     boolean b10 = dateTime5.isBefore(0L);
//     org.joda.time.DateTime dateTime12 = dateTime5.withMillis((-1L));
//     mutableDateTime3.setDate((org.joda.time.ReadableInstant)dateTime5);
//     mutableDateTime3.addMinutes(29156777);
//     org.joda.time.ReadableInstant readableInstant17 = null;
//     org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant17);
//     org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology(chronology18);
//     org.joda.time.MutableDateTime mutableDateTime20 = org.joda.time.MutableDateTime.now(chronology18);
//     org.joda.time.MutableDateTime mutableDateTime21 = new org.joda.time.MutableDateTime(11L, chronology18);
//     org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField23 = iSOChronology22.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField24 = new org.joda.time.field.SkipUndoDateTimeField(chronology18, dateTimeField23);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField25 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField24);
//     org.joda.time.DateTimeFieldType dateTimeFieldType26 = delegatedDateTimeField25.getType();
//     boolean b28 = delegatedDateTimeField25.isLeap(10L);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime3.setRounding((org.joda.time.DateTimeField)delegatedDateTimeField25, 29157145);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29157832);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == false);
// 
//   }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.getMillis(29154799, 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillisOfDay(0);
    org.joda.time.DurationFieldType durationFieldType4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = dateTime3.withFieldAdded(durationFieldType4, 55);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 28800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
    org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
    java.util.Locale locale22 = null;
    int i23 = delegatedDateTimeField9.getMaximumShortTextLength(locale22);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter24 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter25 = dateTimeFormatter24.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime27 = dateTimeFormatter24.parseLocalDateTime("16");
    int[] i_array30 = new int[] { 1 };
    java.util.Locale locale32 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array33 = delegatedDateTimeField9.set((org.joda.time.ReadablePartial)localDateTime27, 57, i_array30, "JulianChronology[America/Los_Angeles]", locale32);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.ReadableInstant readableInstant2 = null;
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant2);
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getChronology(chronology3);
    org.joda.time.MutableDateTime mutableDateTime5 = org.joda.time.MutableDateTime.now(chronology3);
    org.joda.time.MutableDateTime mutableDateTime6 = new org.joda.time.MutableDateTime(11L, chronology3);
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField9 = new org.joda.time.field.SkipUndoDateTimeField(chronology3, dateTimeField8);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField10 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField9);
    org.joda.time.ReadableInstant readableInstant12 = null;
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant12);
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getChronology(chronology13);
    org.joda.time.MutableDateTime mutableDateTime15 = org.joda.time.MutableDateTime.now(chronology13);
    org.joda.time.MutableDateTime mutableDateTime16 = new org.joda.time.MutableDateTime(11L, chronology13);
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField19 = new org.joda.time.field.SkipUndoDateTimeField(chronology13, dateTimeField18);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField20 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField19);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = delegatedDateTimeField20.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField22 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField10, dateTimeFieldType21);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField23 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType21);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(29157143, 29155804, 29156531, 0, 0, 529);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
    long long29 = offsetDateTimeField21.addWrapField(0L, 29156524);
    org.joda.time.ReadablePartial readablePartial30 = null;
    int[] i_array34 = new int[] { (-1), 1 };
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array36 = offsetDateTimeField21.set(readablePartial30, 29157104, i_array34, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == (-13654800000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder8 = dateTimeZoneBuilder0.addCutover(29156556, 'a', 29156217, (-1), 29156893, false, 29155880);
    java.io.DataOutput dataOutput10 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder0.writeTo("ISOChronology[America/Los_Angeles]", dataOutput10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder8);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.DurationFieldType durationFieldType2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.ScaledDurationField scaledDurationField4 = new org.joda.time.field.ScaledDurationField((org.joda.time.DurationField)unsupportedDurationField1, durationFieldType2, 29154843);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.Instant instant1 = new org.joda.time.Instant((java.lang.Object)29157557);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, (-2519028979621990L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() {}
// Defects4J: flaky method
//   @Test
//   public void test160() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter49 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter50 = dateTimeFormatter49.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime52 = dateTimeFormatter49.parseLocalDateTime("16");
//     int[] i_array57 = new int[] { (-1), 100, (-1) };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array59 = offsetDateTimeField21.add((org.joda.time.ReadablePartial)localDateTime52, 29155020, i_array57, (-10));
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29158203);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array57);
// 
//   }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime2.setWeekOfWeekyear(29156158);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(29154776, 54, 29155880);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 29154776);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("ISOChronology[America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() {}
// Defects4J: flaky method
//   @Test
//   public void test164() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
//     org.joda.time.Chronology chronology26 = julianChronology6.withUTC();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long34 = julianChronology6.getDateTimeMillis(29157557, 529, 29154898, 29158253, 29156515, 29156104, 0);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29158435);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology26);
// 
//   }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.DateTimeZone.forOffsetHoursMinutes(29156679, 29156679);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() {}
// Defects4J: flaky method
//   @Test
//   public void test166() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     org.joda.time.MutableDateTime mutableDateTime11 = mutableDateTime9.copy();
//     org.joda.time.ReadableDuration readableDuration12 = null;
//     mutableDateTime9.add(readableDuration12, 29157740);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29158522);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime11);
// 
//   }

  @Test
  public void test167() {}
// Defects4J: flaky method
//   @Test
//   public void test167() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
//     org.joda.time.DateTimeZone dateTimeZone24 = cachedDateTimeZone23.getUncachedZone();
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
//     java.lang.String str26 = iSOChronology25.toString();
//     org.joda.time.DurationField durationField27 = iSOChronology25.halfdays();
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(chronology28);
//     int i30 = dateTime29.getMillisOfDay();
//     org.joda.time.DateTime dateTime32 = dateTime29.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod33 = null;
//     org.joda.time.DateTime dateTime35 = dateTime29.withPeriodAdded(readablePeriod33, 0);
//     org.joda.time.DateMidnight dateMidnight36 = dateTime35.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime37 = dateTime35.toMutableDateTime();
//     org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
//     org.joda.time.DateTime dateTime41 = dateTime38.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant42 = null;
//     org.joda.time.Chronology chronology43 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant42);
//     org.joda.time.DateTime dateTime44 = dateTime38.toDateTime(chronology43);
//     boolean b45 = mutableDateTime37.isAfter((org.joda.time.ReadableInstant)dateTime38);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter46 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter47 = dateTimeFormatter46.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime49 = dateTimeFormatter46.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime50 = dateTime38.withFields((org.joda.time.ReadablePartial)localDateTime49);
//     int[] i_array51 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       iSOChronology25.validate((org.joda.time.ReadablePartial)localDateTime49, i_array51);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29158527);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str26.equals("ISOChronology[America/Los_Angeles]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 29158529);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b45 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
// 
//   }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.MutableDateTime mutableDateTime9 = new org.joda.time.MutableDateTime(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);

  }

  @Test
  public void test169() {}
// Defects4J: flaky method
//   @Test
//   public void test169() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }
// 
// 
//     org.joda.time.Instant instant0 = new org.joda.time.Instant();
//     org.joda.time.Instant instant1 = instant0.toInstant();
//     boolean b2 = instant1.isBeforeNow();
//     org.joda.time.Instant instant3 = new org.joda.time.Instant();
//     org.joda.time.Instant instant4 = instant3.toInstant();
//     int i5 = instant1.compareTo((org.joda.time.ReadableInstant)instant3);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime13.toMutableDateTime();
//     org.joda.time.DateTime dateTime17 = dateTime13.plusSeconds(29154871);
//     boolean b19 = dateTime17.isAfter(28800011L);
//     boolean b20 = instant1.isBefore((org.joda.time.ReadableInstant)dateTime17);
//     int i21 = dateTime17.getYearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29158625);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 2017);
// 
//   }

  @Test
  public void test170() {}
// Defects4J: flaky method
//   @Test
//   public void test170() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }
// 
// 
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime8.withPeriodAdded(readablePeriod12, 0);
//     org.joda.time.DateMidnight dateMidnight15 = dateTime14.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     org.joda.time.DateTime dateTime18 = dateTime14.withPeriodAdded(readablePeriod16, (-1));
//     org.joda.time.DateTime dateTime19 = dateTime14.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property20 = dateTime19.era();
//     org.joda.time.DateTime dateTime22 = dateTime19.plusYears(29154679);
//     org.joda.time.DateTime dateTime23 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone24 = dateTime23.getZone();
//     long long27 = dateTimeZone24.adjustOffset(100L, false);
//     java.lang.String str28 = dateTimeZone24.toString();
//     org.joda.time.DateTime dateTime29 = dateTime19.toDateTime(dateTimeZone24);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime30 = new org.joda.time.MutableDateTime(0, 29156833, 29154741, 29157836, 29156150, 29155535, 529, dateTimeZone24);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29158634);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "America/Los_Angeles"+ "'", str28.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
// 
//   }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.joda.time.tz.NameProvider nameProvider0 = null;
    org.joda.time.DateTimeZone.setNameProvider(nameProvider0);

  }

  @Test
  public void test172() {}
// Defects4J: flaky method
//   @Test
//   public void test172() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
//     long long29 = offsetDateTimeField21.addWrapField(0L, 29156524);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(chronology30);
//     int i32 = dateTime31.getMillisOfDay();
//     org.joda.time.DateTime dateTime34 = dateTime31.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod35 = null;
//     org.joda.time.DateTime dateTime37 = dateTime31.withPeriodAdded(readablePeriod35, 0);
//     org.joda.time.DateMidnight dateMidnight38 = dateTime37.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime39 = dateTime37.toMutableDateTime();
//     org.joda.time.DateTime dateTime40 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone41 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime43 = dateTime40.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant44 = null;
//     org.joda.time.Chronology chronology45 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant44);
//     org.joda.time.DateTime dateTime46 = dateTime40.toDateTime(chronology45);
//     boolean b47 = mutableDateTime39.isAfter((org.joda.time.ReadableInstant)dateTime40);
//     org.joda.time.ReadablePeriod readablePeriod48 = null;
//     org.joda.time.DateTime dateTime50 = dateTime40.withPeriodAdded(readablePeriod48, 29154785);
//     org.joda.time.chrono.ISOChronology iSOChronology51 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTime dateTime52 = dateTime50.toDateTime((org.joda.time.Chronology)iSOChronology51);
//     org.joda.time.DateTime dateTime55 = dateTime52.withDurationAdded(11L, 29154741);
//     org.joda.time.Chronology chronology56 = null;
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(chronology56);
//     int i58 = dateTime57.getMillisOfDay();
//     org.joda.time.DateTime dateTime60 = dateTime57.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod61 = null;
//     org.joda.time.DateTime dateTime63 = dateTime57.withPeriodAdded(readablePeriod61, 0);
//     org.joda.time.DateMidnight dateMidnight64 = dateTime63.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime65 = dateTime63.toMutableDateTime();
//     org.joda.time.DateTime dateTime66 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone67 = dateTime66.getZone();
//     org.joda.time.DateTime dateTime69 = dateTime66.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant70 = null;
//     org.joda.time.Chronology chronology71 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant70);
//     org.joda.time.DateTime dateTime72 = dateTime66.toDateTime(chronology71);
//     boolean b73 = mutableDateTime65.isAfter((org.joda.time.ReadableInstant)dateTime66);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter74 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter75 = dateTimeFormatter74.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime77 = dateTimeFormatter74.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime78 = dateTime66.withFields((org.joda.time.ReadablePartial)localDateTime77);
//     org.joda.time.DateTime dateTime79 = dateTime52.withFields((org.joda.time.ReadablePartial)localDateTime77);
//     int i80 = offsetDateTimeField21.getMaximumValue((org.joda.time.ReadablePartial)localDateTime77);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long83 = offsetDateTimeField21.set(0L, "16");
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == (-13654800000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 29158760);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b47 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 29158762);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b73 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i80 == 29155940);
// 
//   }

  @Test
  public void test173() {}
// Defects4J: flaky method
//   @Test
//   public void test173() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.MutableDateTime mutableDateTime12 = dateTime7.toMutableDateTimeISO();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29158767);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime12);
// 
//   }

  @Test
  public void test174() {}
// Defects4J: flaky method
//   @Test
//   public void test174() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
//     org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
//     org.joda.time.ReadableInstant readableInstant11 = null;
//     org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
//     org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
//     org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
//     org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
//     org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
//     org.joda.time.Chronology chronology22 = null;
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(chronology22);
//     int i24 = dateTime23.getMillisOfDay();
//     org.joda.time.DateTime dateTime26 = dateTime23.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod27 = null;
//     org.joda.time.DateTime dateTime29 = dateTime23.withPeriodAdded(readablePeriod27, 0);
//     org.joda.time.DateMidnight dateMidnight30 = dateTime29.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod31 = null;
//     org.joda.time.DateTime dateTime33 = dateTime29.withPeriodAdded(readablePeriod31, (-1));
//     org.joda.time.DateTime dateTime34 = dateTime29.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property35 = dateTime34.era();
//     org.joda.time.DateTime dateTime37 = dateTime34.plusYears(29154679);
//     org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
//     long long42 = dateTimeZone39.adjustOffset(100L, false);
//     java.lang.String str43 = dateTimeZone39.toString();
//     org.joda.time.DateTime dateTime44 = dateTime34.toDateTime(dateTimeZone39);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone45 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone39);
//     org.joda.time.DateTimeZone dateTimeZone46 = cachedDateTimeZone45.getUncachedZone();
//     org.joda.time.chrono.ISOChronology iSOChronology47 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone45);
//     org.joda.time.chrono.ISOChronology iSOChronology48 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone45);
//     org.joda.time.DurationField durationField49 = iSOChronology48.days();
//     org.joda.time.Chronology chronology50 = null;
//     org.joda.time.DateTime dateTime51 = new org.joda.time.DateTime(chronology50);
//     int i52 = dateTime51.getMillisOfDay();
//     org.joda.time.DateTime dateTime54 = dateTime51.withHourOfDay(10);
//     boolean b56 = dateTime51.isBefore(0L);
//     org.joda.time.DateTime dateTime58 = dateTime51.withMillis((-1L));
//     org.joda.time.DateTime.Property property59 = dateTime58.weekyear();
//     org.joda.time.DateTime dateTime61 = dateTime58.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology62 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField63 = iSOChronology62.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime64 = dateTime58.toMutableDateTime((org.joda.time.Chronology)iSOChronology62);
//     org.joda.time.DurationField durationField65 = iSOChronology62.seconds();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.PreciseDateTimeField preciseDateTimeField66 = new org.joda.time.field.PreciseDateTimeField(dateTimeFieldType20, durationField49, durationField65);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 29158789);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long42 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "America/Los_Angeles"+ "'", str43.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i52 == 29158791);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b56 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField65);
// 
//   }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
    org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
    org.joda.time.DateTime.Property property7 = dateTime0.era();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime0.withTime(29157740, 29156433, 29154978, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property7);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset((-17629199900L));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.mediumDateTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = dateTimeFormatter0.parseDateTime("");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test178() {}
// Defects4J: flaky method
//   @Test
//   public void test178() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     int i89 = remainderDateTimeField87.getLeapAmount(57600001L);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long92 = remainderDateTimeField87.addWrapField(1L, 29154673);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29159312);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29159314);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i89 == 0);
// 
//   }

  @Test
  public void test179() {}
// Defects4J: flaky method
//   @Test
//   public void test179() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone10 = dateTime7.getZone();
//     java.lang.String str11 = dateTimeZone10.toString();
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(dateTimeZone10);
//     org.joda.time.DateTimeZone dateTimeZone13 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance(dateTimeZone13);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime((java.lang.Object)dateTimeZone10, (org.joda.time.Chronology)iSOChronology14);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159319);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "America/Los_Angeles"+ "'", str11.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology14);
// 
//   }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = unsupportedDurationField1.getDifference(10L, (-13654800000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getMillis((-1259482407243990L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test182() {}
// Defects4J: flaky method
//   @Test
//   public void test182() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
//     org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
//     org.joda.time.ReadableInstant readableInstant11 = null;
//     org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
//     org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
//     org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
//     org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
//     org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter22 = org.joda.time.format.ISODateTimeFormat.ordinalDateTime();
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod28 = null;
//     org.joda.time.DateTime dateTime30 = dateTime24.withPeriodAdded(readablePeriod28, 0);
//     org.joda.time.DateMidnight dateMidnight31 = dateTime30.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod32 = null;
//     org.joda.time.DateTime dateTime34 = dateTime30.withPeriodAdded(readablePeriod32, (-1));
//     org.joda.time.DateTime dateTime35 = dateTime30.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property36 = dateTime35.era();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusYears(29154679);
//     org.joda.time.DateTime dateTime40 = dateTime35.plusHours(52);
//     org.joda.time.Chronology chronology41 = null;
//     org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime(chronology41);
//     int i43 = dateTime42.getMillisOfDay();
//     org.joda.time.DateTime dateTime45 = dateTime42.withHourOfDay(10);
//     boolean b47 = dateTime42.isBefore(0L);
//     org.joda.time.DateTime dateTime49 = dateTime42.withMillis((-1L));
//     org.joda.time.DateTime.Property property50 = dateTime49.weekyear();
//     org.joda.time.DateTime dateTime52 = dateTime49.plusMonths(29154657);
//     org.joda.time.DateTime dateTime54 = dateTime49.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay55 = dateTime54.toTimeOfDay();
//     org.joda.time.DateTime dateTime56 = dateTime35.withFields((org.joda.time.ReadablePartial)timeOfDay55);
//     java.lang.String str57 = dateTimeFormatter22.print((org.joda.time.ReadablePartial)timeOfDay55);
//     int[] i_array59 = new int[] {  };
//     java.util.Locale locale61 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array62 = delegatedDateTimeField21.set((org.joda.time.ReadablePartial)timeOfDay55, 29156192, i_array59, "GregorianChronology[UTC]", locale61);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29159514);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 29159515);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b47 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str57 + "' != '" + "\uFFFD\uFFFD\uFFFD\uFFFD-\uFFFD\uFFFD\uFFFDT15:59:59.999"+ "'", str57.equals("\uFFFD\uFFFD\uFFFD\uFFFD-\uFFFD\uFFFD\uFFFDT15:59:59.999"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array59);
// 
//   }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("17", 29154776);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.addRecurringSavings("16", 29156521, 29156073, 0, '#', 29154955, 29154766, 29157031, true, 29156433);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder22 = dateTimeZoneBuilder14.addCutover(29157675, '4', 100, 29157143, 529, false, 29157795);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test184() {}
// Defects4J: flaky method
//   @Test
//   public void test184() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     boolean b29 = dateTime24.isBefore(0L);
//     org.joda.time.DateTime dateTime32 = dateTime24.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(chronology33);
//     int i35 = dateTime34.getMillisOfDay();
//     org.joda.time.DateTime dateTime37 = dateTime34.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod38 = null;
//     org.joda.time.DateTime dateTime40 = dateTime34.withPeriodAdded(readablePeriod38, 0);
//     org.joda.time.DateMidnight dateMidnight41 = dateTime40.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime42 = dateTime40.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone43 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime44 = dateTime32.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime45 = dateTime22.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime47 = dateTime22.withYear(29154776);
//     int i48 = dateTime47.getMinuteOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159575);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29159576);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 29159577);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 485);
// 
//   }

  @Test
  public void test185() {}
// Defects4J: flaky method
//   @Test
//   public void test185() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.DateTime dateTime18 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone19 = dateTime18.getZone();
//     long long22 = dateTimeZone19.adjustOffset(100L, false);
//     java.lang.String str23 = dateTimeZone19.toString();
//     org.joda.time.chrono.JulianChronology julianChronology24 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone19);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     boolean b31 = dateTime26.isBefore(0L);
//     org.joda.time.DateTime dateTime33 = dateTime26.withMillis((-1L));
//     org.joda.time.DateTime.Property property34 = dateTime33.weekyear();
//     org.joda.time.DateTime dateTime36 = dateTime33.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime39 = dateTime33.toMutableDateTime((org.joda.time.Chronology)iSOChronology37);
//     org.joda.time.MutableDateTime.Property property40 = mutableDateTime39.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime41 = null;
//     org.joda.time.chrono.LimitChronology limitChronology42 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology24, (org.joda.time.ReadableDateTime)mutableDateTime39, readableDateTime41);
//     org.joda.time.Chronology chronology43 = julianChronology24.withUTC();
//     mutableDateTime9.setChronology((org.joda.time.Chronology)julianChronology24);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setWeekOfWeekyear(29158190);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159624);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long22 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "America/Los_Angeles"+ "'", str23.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29159626);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b31 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology43);
// 
//   }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, (-1259482435621990L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() {}
// Defects4J: flaky method
//   @Test
//   public void test187() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     mutableDateTime9.addDays(29154720);
//     org.joda.time.ReadableDuration readableDuration12 = null;
//     mutableDateTime9.add(readableDuration12, 29154657);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
//     org.joda.time.DurationFieldType durationFieldType16 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.add(durationFieldType16, 29158114);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159694);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
// 
//   }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
    org.joda.time.ReadablePartial readablePartial27 = null;
    int[] i_array28 = null;
    int i29 = offsetDateTimeField21.getMinimumValue(readablePartial27, i_array28);
    // The following exception was thrown during execution in test generation
    try {
      long long32 = offsetDateTimeField21.set((-57600000L), 29158253);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 29155574);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((java.lang.Object)29156652, (org.joda.time.Chronology)iSOChronology1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology1);

  }

  @Test
  public void test190() {}
// Defects4J: flaky method
//   @Test
//   public void test190() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     mutableDateTime9.addDays(29154720);
//     org.joda.time.ReadableDuration readableDuration12 = null;
//     mutableDateTime9.add(readableDuration12, 29154657);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.dayOfWeek();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setTime(0, 29158491, 29157988, 29158440);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159769);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
// 
//   }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(29159771);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-29159771));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.joda.time.tz.Provider provider0 = null;
    org.joda.time.DateTimeZone.setProvider(provider0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.joda.time.Instant instant0 = new org.joda.time.Instant();
    org.joda.time.Instant instant2 = instant0.minus(0L);
    org.joda.time.Instant instant4 = instant0.withMillis(11L);
    org.joda.time.MutableDateTime mutableDateTime5 = instant0.toMutableDateTimeISO();
    org.joda.time.DateTime dateTime6 = instant0.toDateTimeISO();
    org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime((java.lang.Object)dateTime6);
    org.joda.time.DateTime dateTime9 = dateTime7.withYearOfEra(29155921);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime14 = dateTime7.withTime(29156454, 29154834, 29155880, 29154750);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unsupportedDurationField1.getDifference(57600001L, (-14577342L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("17", 29154776);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder14 = dateTimeZoneBuilder0.addRecurringSavings("16", 29156521, 29156073, 0, '#', 29154955, 29154766, 29157031, true, 29156433);
    java.io.DataOutput dataOutput16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder14.writeTo("17", dataOutput16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder14);

  }

  @Test
  public void test196() {}
// Defects4J: flaky method
//   @Test
//   public void test196() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime17 = dateTime12.plusHours(52);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(chronology18);
//     int i20 = dateTime19.getMillisOfDay();
//     org.joda.time.DateTime dateTime22 = dateTime19.withHourOfDay(10);
//     boolean b24 = dateTime19.isBefore(0L);
//     org.joda.time.DateTime dateTime26 = dateTime19.withMillis((-1L));
//     org.joda.time.DateTime.Property property27 = dateTime26.weekyear();
//     org.joda.time.DateTime dateTime29 = dateTime26.plusMonths(29154657);
//     org.joda.time.DateTime dateTime31 = dateTime26.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay32 = dateTime31.toTimeOfDay();
//     org.joda.time.DateTime dateTime33 = dateTime12.withFields((org.joda.time.ReadablePartial)timeOfDay32);
//     org.joda.time.ReadableInstant readableInstant35 = null;
//     org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant35);
//     org.joda.time.Chronology chronology37 = org.joda.time.DateTimeUtils.getChronology(chronology36);
//     org.joda.time.MutableDateTime mutableDateTime38 = org.joda.time.MutableDateTime.now(chronology36);
//     org.joda.time.MutableDateTime mutableDateTime39 = new org.joda.time.MutableDateTime(11L, chronology36);
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField42 = new org.joda.time.field.SkipUndoDateTimeField(chronology36, dateTimeField41);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField43 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField42);
//     org.joda.time.ReadableInstant readableInstant45 = null;
//     org.joda.time.Chronology chronology46 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant45);
//     org.joda.time.Chronology chronology47 = org.joda.time.DateTimeUtils.getChronology(chronology46);
//     org.joda.time.MutableDateTime mutableDateTime48 = org.joda.time.MutableDateTime.now(chronology46);
//     org.joda.time.MutableDateTime mutableDateTime49 = new org.joda.time.MutableDateTime(11L, chronology46);
//     org.joda.time.chrono.ISOChronology iSOChronology50 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField51 = iSOChronology50.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField52 = new org.joda.time.field.SkipUndoDateTimeField(chronology46, dateTimeField51);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField53 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField52);
//     org.joda.time.DateTimeFieldType dateTimeFieldType54 = delegatedDateTimeField53.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField55 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField43, dateTimeFieldType54);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime57 = dateTime33.withField(dateTimeFieldType54, 29154660);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159898);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 29159899);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType54);
// 
//   }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      int i3 = unsupportedDurationField1.getValue(115200000L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test198() {}
// Defects4J: flaky method
//   @Test
//   public void test198() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     boolean b29 = dateTime24.isBefore(0L);
//     org.joda.time.DateTime dateTime32 = dateTime24.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(chronology33);
//     int i35 = dateTime34.getMillisOfDay();
//     org.joda.time.DateTime dateTime37 = dateTime34.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod38 = null;
//     org.joda.time.DateTime dateTime40 = dateTime34.withPeriodAdded(readablePeriod38, 0);
//     org.joda.time.DateMidnight dateMidnight41 = dateTime40.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime42 = dateTime40.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone43 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime44 = dateTime32.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime45 = dateTime22.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime47 = dateTime22.withYear(29154776);
//     org.joda.time.DateTime.Property property48 = dateTime22.year();
//     org.joda.time.DateTime.Property property49 = dateTime22.hourOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29159932);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29159933);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 29159934);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property49);
// 
//   }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.hourMinute();
    java.lang.StringBuffer stringBuffer1 = null;
    org.joda.time.ReadableInstant readableInstant2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, readableInstant2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test200() {}
// Defects4J: flaky method
//   @Test
//   public void test200() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfYear();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField4 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField3);
//     org.joda.time.field.SkipDateTimeField skipDateTimeField5 = new org.joda.time.field.SkipDateTimeField(chronology1, dateTimeField3);
//     java.util.Locale locale7 = null;
//     java.lang.String str8 = skipDateTimeField5.getAsText(10L, locale7);
//     int i9 = skipDateTimeField5.getMinimumValue();
//     int i11 = skipDateTimeField5.get((-1L));
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(chronology12);
//     int i14 = dateTime13.getMillisOfDay();
//     org.joda.time.DateTime dateTime16 = dateTime13.withHourOfDay(10);
//     boolean b18 = dateTime13.isBefore(0L);
//     org.joda.time.DateTime dateTime20 = dateTime13.withMillis((-1L));
//     org.joda.time.DateTime.Property property21 = dateTime20.weekyear();
//     org.joda.time.DateTime dateTime23 = dateTime20.plusMonths(29154657);
//     org.joda.time.DateTime dateTime25 = dateTime20.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay26 = dateTime25.toTimeOfDay();
//     int i27 = skipDateTimeField5.getMinimumValue((org.joda.time.ReadablePartial)timeOfDay26);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long30 = skipDateTimeField5.set(0L, 29159341);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "365"+ "'", str8.equals("365"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 29159983);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
// 
//   }

  @Test
  public void test201() {}
// Defects4J: flaky method
//   @Test
//   public void test201() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
//     org.joda.time.DurationField durationField26 = julianChronology6.weekyears();
//     org.joda.time.DurationFieldType durationFieldType27 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.DecoratedDurationField decoratedDurationField28 = new org.joda.time.field.DecoratedDurationField(durationField26, durationFieldType27);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29160110);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField26);
// 
//   }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("2016-02-21T08:05:55.880-08:00", "2016-02-21T08:05:55.880-08:00");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    illegalFieldValueException5.prependMessage("");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException5.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long7 = iSOChronology0.getDateTimeMillis(2520423965156542L, 29154898, 0, 29156524, 29159288);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = delegatedDateTimeField9.getType();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType10, 29158696, 29159116, 29156452);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType10);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("2016-02-21T08:05:55.880-08:00", "2016-02-21T08:05:55.880-08:00");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    illegalFieldValueException5.prependMessage("");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.Number number10 = illegalFieldValueException5.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test206() {}
// Defects4J: flaky method
//   @Test
//   public void test206() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     mutableDateTime9.add(0L);
//     mutableDateTime9.setMillisOfDay(29154898);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
//     org.joda.time.MutableDateTime.Property property16 = mutableDateTime9.dayOfWeek();
//     org.joda.time.MutableDateTime.Property property17 = mutableDateTime9.monthOfYear();
//     java.util.Locale locale19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str20 = mutableDateTime9.toString("PST", locale19);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29160344);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test207() {}
// Defects4J: flaky method
//   @Test
//   public void test207() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
//     org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
//     org.joda.time.DurationField durationField15 = iSOChronology12.seconds();
//     org.joda.time.ReadableInstant readableInstant17 = null;
//     org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant17);
//     org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology(chronology18);
//     org.joda.time.MutableDateTime mutableDateTime20 = org.joda.time.MutableDateTime.now(chronology18);
//     org.joda.time.MutableDateTime mutableDateTime21 = new org.joda.time.MutableDateTime(11L, chronology18);
//     org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField23 = iSOChronology22.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField24 = new org.joda.time.field.SkipUndoDateTimeField(chronology18, dateTimeField23);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField25 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField24);
//     org.joda.time.ReadableInstant readableInstant27 = null;
//     org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant27);
//     org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getChronology(chronology28);
//     org.joda.time.MutableDateTime mutableDateTime30 = org.joda.time.MutableDateTime.now(chronology28);
//     org.joda.time.MutableDateTime mutableDateTime31 = new org.joda.time.MutableDateTime(11L, chronology28);
//     org.joda.time.chrono.ISOChronology iSOChronology32 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField33 = iSOChronology32.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField34 = new org.joda.time.field.SkipUndoDateTimeField(chronology28, dateTimeField33);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField35 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField34);
//     org.joda.time.DateTimeFieldType dateTimeFieldType36 = delegatedDateTimeField35.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField37 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField25, dateTimeFieldType36);
//     long long40 = delegatedDateTimeField25.getDifferenceAsLong((-1259482407243990L), 10L);
//     org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField42 = iSOChronology41.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime43 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology41);
//     org.joda.time.ReadablePeriod readablePeriod44 = null;
//     mutableDateTime43.add(readablePeriod44, 29154978);
//     org.joda.time.ReadableInstant readableInstant48 = null;
//     org.joda.time.Chronology chronology49 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant48);
//     org.joda.time.Chronology chronology50 = org.joda.time.DateTimeUtils.getChronology(chronology49);
//     org.joda.time.MutableDateTime mutableDateTime51 = org.joda.time.MutableDateTime.now(chronology49);
//     org.joda.time.MutableDateTime mutableDateTime52 = new org.joda.time.MutableDateTime(11L, chronology49);
//     org.joda.time.chrono.ISOChronology iSOChronology53 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField54 = iSOChronology53.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField55 = new org.joda.time.field.SkipUndoDateTimeField(chronology49, dateTimeField54);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField56 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField55);
//     java.util.Locale locale57 = null;
//     int i58 = skipUndoDateTimeField55.getMaximumTextLength(locale57);
//     org.joda.time.DurationField durationField59 = skipUndoDateTimeField55.getDurationField();
//     mutableDateTime43.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField55);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField62 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField55, 29155574);
//     org.joda.time.Chronology chronology63 = null;
//     org.joda.time.DateTime dateTime64 = new org.joda.time.DateTime(chronology63);
//     int i65 = dateTime64.getMillisOfDay();
//     org.joda.time.DateTime dateTime67 = dateTime64.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod68 = null;
//     org.joda.time.DateTime dateTime70 = dateTime64.withPeriodAdded(readablePeriod68, 0);
//     org.joda.time.DateMidnight dateMidnight71 = dateTime70.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime72 = dateTime70.toMutableDateTime();
//     org.joda.time.DateTime dateTime73 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone74 = dateTime73.getZone();
//     org.joda.time.DateTime dateTime76 = dateTime73.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant77 = null;
//     org.joda.time.Chronology chronology78 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant77);
//     org.joda.time.DateTime dateTime79 = dateTime73.toDateTime(chronology78);
//     boolean b80 = mutableDateTime72.isAfter((org.joda.time.ReadableInstant)dateTime73);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter81 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter82 = dateTimeFormatter81.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime84 = dateTimeFormatter81.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime85 = dateTime73.withFields((org.joda.time.ReadablePartial)localDateTime84);
//     int[] i_array88 = new int[] { 0, 100 };
//     int i89 = skipUndoDateTimeField55.getMaximumValue((org.joda.time.ReadablePartial)localDateTime84, i_array88);
//     java.util.Locale locale90 = null;
//     java.lang.String str91 = delegatedDateTimeField25.getAsShortText((org.joda.time.ReadablePartial)localDateTime84, locale90);
//     long long93 = iSOChronology12.set((org.joda.time.ReadablePartial)localDateTime84, 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29160401);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long40 == (-14577342L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 29160405);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b80 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i89 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str91 + "' != '" + "1"+ "'", str91.equals("1"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long93 == 86400000L);
// 
//   }

  @Test
  public void test208() {}
// Defects4J: flaky method
//   @Test
//   public void test208() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime1.toDateMidnight();
//     boolean b10 = dateMidnight8.isEqual(0L);
//     java.util.GregorianCalendar gregorianCalendar11 = dateMidnight8.toGregorianCalendar();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29160456);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar11);
// 
//   }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
    org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
    org.joda.time.ReadablePartial readablePartial22 = null;
    org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime26 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology24);
    org.joda.time.ReadablePeriod readablePeriod27 = null;
    mutableDateTime26.add(readablePeriod27, 29154978);
    org.joda.time.ReadableInstant readableInstant31 = null;
    org.joda.time.Chronology chronology32 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant31);
    org.joda.time.Chronology chronology33 = org.joda.time.DateTimeUtils.getChronology(chronology32);
    org.joda.time.MutableDateTime mutableDateTime34 = org.joda.time.MutableDateTime.now(chronology32);
    org.joda.time.MutableDateTime mutableDateTime35 = new org.joda.time.MutableDateTime(11L, chronology32);
    org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField37 = iSOChronology36.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField38 = new org.joda.time.field.SkipUndoDateTimeField(chronology32, dateTimeField37);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField39 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField38);
    java.util.Locale locale40 = null;
    int i41 = skipUndoDateTimeField38.getMaximumTextLength(locale40);
    org.joda.time.DurationField durationField42 = skipUndoDateTimeField38.getDurationField();
    mutableDateTime26.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField38);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField45 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField38, 29155574);
    int i46 = offsetDateTimeField45.getMaximumValue();
    java.util.Locale locale47 = null;
    int i48 = offsetDateTimeField45.getMaximumTextLength(locale47);
    org.joda.time.chrono.ISOChronology iSOChronology49 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str50 = iSOChronology49.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter51 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter52 = dateTimeFormatter51.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime54 = dateTimeFormatter51.parseLocalDateTime("16");
    long long56 = iSOChronology49.set((org.joda.time.ReadablePartial)localDateTime54, 28800011L);
    int[] i_array60 = new int[] { 10, 1, 10 };
    int i61 = offsetDateTimeField45.getMaximumValue((org.joda.time.ReadablePartial)localDateTime54, i_array60);
    java.util.Locale locale63 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array64 = delegatedDateTimeField9.set(readablePartial22, 2017, i_array60, "09", locale63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str50.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long56 == 86400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 29155940);

  }

  @Test
  public void test210() {}
// Defects4J: flaky method
//   @Test
//   public void test210() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b3 = dateTimeFormatter2.isOffsetParsed();
//     java.lang.String str4 = dateTime0.toString(dateTimeFormatter2);
//     boolean b5 = dateTimeFormatter2.isParser();
//     boolean b6 = dateTimeFormatter2.isPrinter();
//     org.joda.time.DateTimeZone dateTimeZone7 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter2.withZone(dateTimeZone7);
//     java.io.Writer writer9 = null;
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(chronology10);
//     int i12 = dateTime11.getMillisOfDay();
//     org.joda.time.DateTime dateTime14 = dateTime11.withHourOfDay(10);
//     boolean b16 = dateTime11.isBefore(0L);
//     org.joda.time.DateTime dateTime19 = dateTime11.withDurationAdded(11L, 29154796);
//     org.joda.time.ReadableDuration readableDuration20 = null;
//     org.joda.time.DateTime dateTime22 = dateTime11.withDurationAdded(readableDuration20, 0);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter2.printTo(writer9, (org.joda.time.ReadableInstant)dateTime22);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "15"+ "'", str4.equals("15"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 29160502);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
// 
//   }

  @Test
  public void test211() {}
// Defects4J: flaky method
//   @Test
//   public void test211() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     int i18 = dateTime10.getCenturyOfEra();
//     org.joda.time.DateTime.Property property19 = dateTime10.yearOfEra();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29160512);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property19);
// 
//   }

  @Test
  public void test212() {}
// Defects4J: flaky method
//   @Test
//   public void test212() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
//     org.joda.time.DurationField durationField26 = julianChronology6.weekyears();
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology27);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     mutableDateTime29.add(readablePeriod30, 29154978);
//     org.joda.time.ReadableInstant readableInstant34 = null;
//     org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
//     org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
//     org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     java.util.Locale locale43 = null;
//     int i44 = skipUndoDateTimeField41.getMaximumTextLength(locale43);
//     org.joda.time.DurationField durationField45 = skipUndoDateTimeField41.getDurationField();
//     mutableDateTime29.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41, 29155574);
//     int i49 = offsetDateTimeField48.getMaximumValue();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField50 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)julianChronology6, (org.joda.time.DateTimeField)offsetDateTimeField48);
//     org.joda.time.ReadablePeriod readablePeriod51 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array53 = julianChronology6.get(readablePeriod51, (-2717640000000L));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29160521);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 29155940);
// 
//   }

  @Test
  public void test213() {}
// Defects4J: flaky method
//   @Test
//   public void test213() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     java.util.GregorianCalendar gregorianCalendar5 = dateTime1.toGregorianCalendar();
//     int i6 = dateTime1.getMinuteOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29160567);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 486);
// 
//   }

  @Test
  public void test214() {}
// Defects4J: flaky method
//   @Test
//   public void test214() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }
// 
// 
//     long long0 = org.joda.time.DateTimeUtils.currentTimeMillis();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long0 == 1438441560576L);
// 
//   }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDurationField1.add(86400100L, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.joda.time.DateTimeUtils.MillisProvider millisProvider0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeUtils.setCurrentMillisProvider(millisProvider0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long17 = unsupportedDurationField1.getValueAsLong((-2717640000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillisOfDay(0);
    int i4 = dateTime3.getMinuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = delegatedDateTimeField9.getType();
    boolean b12 = delegatedDateTimeField9.isLeap(10L);
    boolean b13 = delegatedDateTimeField9.isSupported();
    java.util.Locale locale15 = null;
    java.lang.String str16 = delegatedDateTimeField9.getAsShortText(2520423965156542L, locale15);
    java.util.Locale locale19 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long20 = delegatedDateTimeField9.set(2520423965156542L, "", locale19);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "21"+ "'", str16.equals("21"));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder3 = dateTimeZoneBuilder0.setFixedSavings("17", 29154776);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder11 = dateTimeZoneBuilder3.addCutover(29155892, ' ', 0, 29155680, 29159080, true, 29156662);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder3);

  }

  @Test
  public void test221() {}
// Defects4J: flaky method
//   @Test
//   public void test221() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b3 = dateTimeFormatter2.isOffsetParsed();
//     java.lang.String str4 = dateTime0.toString(dateTimeFormatter2);
//     boolean b5 = dateTimeFormatter2.isParser();
//     boolean b6 = dateTimeFormatter2.isPrinter();
//     org.joda.time.MutableDateTime mutableDateTime8 = dateTimeFormatter2.parseMutableDateTime("17");
//     org.joda.time.chrono.ISOChronology iSOChronology9 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str10 = iSOChronology9.toString();
//     org.joda.time.DurationField durationField11 = iSOChronology9.days();
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.millisOfDay();
//     boolean b14 = iSOChronology9.equals((java.lang.Object)iSOChronology12);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((java.lang.Object)dateTimeFormatter2, (org.joda.time.Chronology)iSOChronology9);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "15"+ "'", str4.equals("15"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str10.equals("ISOChronology[America/Los_Angeles]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == true);
// 
//   }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("GregorianChronology[UTC]", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder0 = new org.joda.time.tz.DateTimeZoneBuilder();
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder8 = dateTimeZoneBuilder0.addCutover(29156556, 'a', 29156217, (-1), 29156893, false, 29155880);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder19 = dateTimeZoneBuilder8.addRecurringSavings("GregorianChronology[UTC]", 29159446, 29155098, 29154701, 'a', 29158542, 29156998, 29155574, false, 0);
    org.joda.time.tz.DateTimeZoneBuilder dateTimeZoneBuilder30 = dateTimeZoneBuilder19.addRecurringSavings("", 29156924, 29159933, 29157740, 'a', 29157973, 5, 29156524, true, 29158253);
    java.io.OutputStream outputStream32 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeZoneBuilder19.writeTo("29154701", outputStream32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZoneBuilder30);

  }

  @Test
  public void test224() {}
// Defects4J: flaky method
//   @Test
//   public void test224() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
//     org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime((org.joda.time.Chronology)iSOChronology12);
//     boolean b17 = iSOChronology12.equals((java.lang.Object)29160786);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29161134);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
// 
//   }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("09");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test226() {}
// Defects4J: flaky method
//   @Test
//   public void test226() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime13.toMutableDateTime();
//     mutableDateTime2.setMillis((org.joda.time.ReadableInstant)mutableDateTime15);
//     org.joda.time.MutableDateTime.Property property17 = mutableDateTime15.minuteOfDay();
//     org.joda.time.DateTimeZone dateTimeZone18 = null;
//     mutableDateTime15.setZoneRetainFields(dateTimeZone18);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime15.setDate(29156709, 0, 29155966);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29161158);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test227() {}
// Defects4J: flaky method
//   @Test
//   public void test227() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
//     long long29 = offsetDateTimeField21.addWrapField(0L, 29156524);
//     org.joda.time.Chronology chronology30 = null;
//     org.joda.time.DateTime dateTime31 = new org.joda.time.DateTime(chronology30);
//     int i32 = dateTime31.getMillisOfDay();
//     org.joda.time.DateTime dateTime34 = dateTime31.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod35 = null;
//     org.joda.time.DateTime dateTime37 = dateTime31.withPeriodAdded(readablePeriod35, 0);
//     org.joda.time.DateMidnight dateMidnight38 = dateTime37.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime39 = dateTime37.toMutableDateTime();
//     org.joda.time.DateTime dateTime40 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone41 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime43 = dateTime40.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant44 = null;
//     org.joda.time.Chronology chronology45 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant44);
//     org.joda.time.DateTime dateTime46 = dateTime40.toDateTime(chronology45);
//     boolean b47 = mutableDateTime39.isAfter((org.joda.time.ReadableInstant)dateTime40);
//     org.joda.time.ReadablePeriod readablePeriod48 = null;
//     org.joda.time.DateTime dateTime50 = dateTime40.withPeriodAdded(readablePeriod48, 29154785);
//     org.joda.time.chrono.ISOChronology iSOChronology51 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTime dateTime52 = dateTime50.toDateTime((org.joda.time.Chronology)iSOChronology51);
//     org.joda.time.DateTime dateTime55 = dateTime52.withDurationAdded(11L, 29154741);
//     org.joda.time.Chronology chronology56 = null;
//     org.joda.time.DateTime dateTime57 = new org.joda.time.DateTime(chronology56);
//     int i58 = dateTime57.getMillisOfDay();
//     org.joda.time.DateTime dateTime60 = dateTime57.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod61 = null;
//     org.joda.time.DateTime dateTime63 = dateTime57.withPeriodAdded(readablePeriod61, 0);
//     org.joda.time.DateMidnight dateMidnight64 = dateTime63.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime65 = dateTime63.toMutableDateTime();
//     org.joda.time.DateTime dateTime66 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone67 = dateTime66.getZone();
//     org.joda.time.DateTime dateTime69 = dateTime66.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant70 = null;
//     org.joda.time.Chronology chronology71 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant70);
//     org.joda.time.DateTime dateTime72 = dateTime66.toDateTime(chronology71);
//     boolean b73 = mutableDateTime65.isAfter((org.joda.time.ReadableInstant)dateTime66);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter74 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter75 = dateTimeFormatter74.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime77 = dateTimeFormatter74.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime78 = dateTime66.withFields((org.joda.time.ReadablePartial)localDateTime77);
//     org.joda.time.DateTime dateTime79 = dateTime52.withFields((org.joda.time.ReadablePartial)localDateTime77);
//     int i80 = offsetDateTimeField21.getMaximumValue((org.joda.time.ReadablePartial)localDateTime77);
//     org.joda.time.Chronology chronology81 = null;
//     org.joda.time.DateTime dateTime82 = new org.joda.time.DateTime(chronology81);
//     int i83 = dateTime82.getMillisOfDay();
//     org.joda.time.DateTime dateTime85 = dateTime82.withHourOfDay(10);
//     boolean b87 = dateTime82.isBefore(0L);
//     org.joda.time.DateTime dateTime89 = dateTime82.withMillis((-1L));
//     org.joda.time.DateTime.Property property90 = dateTime89.weekyear();
//     org.joda.time.DateTime dateTime92 = dateTime89.plusMonths(29154657);
//     org.joda.time.DateTime dateTime94 = dateTime89.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay95 = dateTime94.toTimeOfDay();
//     int[] i_array97 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array99 = offsetDateTimeField21.add((org.joda.time.ReadablePartial)timeOfDay95, 29158078, i_array97, 58);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == (-13654800000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 29161161);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b47 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i58 == 29161163);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b73 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i80 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i83 == 29161165);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b87 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime94);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay95);
// 
//   }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = unsupportedDurationField1.getValue(2519250105600000L, (-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test229() {}
// Defects4J: flaky method
//   @Test
//   public void test229() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     int i89 = remainderDateTimeField87.getLeapAmount(57600001L);
//     java.util.Locale locale92 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long93 = remainderDateTimeField87.set(0L, "LimitChronology[JulianChronology[America/Los_Angeles], 1969-12-31T15:59:59.999-08:00, NoLimit]", locale92);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29161267);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29161268);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i89 == 0);
// 
//   }

  @Test
  public void test230() {}
// Defects4J: flaky method
//   @Test
//   public void test230() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.DateTime dateTime6 = dateTime4.withYearOfCentury(54);
//     int i7 = dateTime6.getMinuteOfHour();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29161271);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 6);
// 
//   }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("81801-11", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test233() {}
// Defects4J: flaky method
//   @Test
//   public void test233() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }
// 
// 
//     org.joda.time.format.DateTimePrinter dateTimePrinter0 = null;
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.ordinalDateTimeNoMillis();
//     org.joda.time.format.DateTimeParser dateTimeParser2 = dateTimeFormatter1.getParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = new org.joda.time.format.DateTimeFormatter(dateTimePrinter0, dateTimeParser2);
//     java.io.Writer writer4 = null;
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(chronology5);
//     int i7 = dateTime6.getMillisOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime6.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod10 = null;
//     org.joda.time.DateTime dateTime12 = dateTime6.withPeriodAdded(readablePeriod10, 0);
//     org.joda.time.DateMidnight dateMidnight13 = dateTime12.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime12.toMutableDateTime();
//     org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone16 = dateTime15.getZone();
//     org.joda.time.DateTime dateTime18 = dateTime15.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant19 = null;
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant19);
//     org.joda.time.DateTime dateTime21 = dateTime15.toDateTime(chronology20);
//     boolean b22 = mutableDateTime14.isAfter((org.joda.time.ReadableInstant)dateTime15);
//     org.joda.time.ReadablePeriod readablePeriod23 = null;
//     org.joda.time.DateTime dateTime25 = dateTime15.withPeriodAdded(readablePeriod23, 29154785);
//     org.joda.time.DateTime.Property property26 = dateTime15.weekOfWeekyear();
//     org.joda.time.Chronology chronology27 = null;
//     org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(chronology27);
//     int i29 = dateTime28.getMillisOfDay();
//     org.joda.time.DateTime dateTime31 = dateTime28.withHourOfDay(10);
//     boolean b33 = dateTime28.isBefore(0L);
//     org.joda.time.DateTime dateTime36 = dateTime28.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology37 = null;
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(chronology37);
//     int i39 = dateTime38.getMillisOfDay();
//     org.joda.time.DateTime dateTime41 = dateTime38.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod42 = null;
//     org.joda.time.DateTime dateTime44 = dateTime38.withPeriodAdded(readablePeriod42, 0);
//     org.joda.time.DateMidnight dateMidnight45 = dateTime44.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime46 = dateTime44.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone47 = dateTime44.getZone();
//     org.joda.time.DateTime dateTime48 = dateTime36.toDateTime(dateTimeZone47);
//     org.joda.time.MutableDateTime mutableDateTime49 = dateTime15.toMutableDateTime(dateTimeZone47);
//     org.joda.time.MutableDateTime.Property property50 = mutableDateTime49.millisOfSecond();
//     int i51 = mutableDateTime49.getYear();
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter3.printTo(writer4, (org.joda.time.ReadableInstant)mutableDateTime49);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeParser2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 29161496);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 29161498);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 29161498);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 2015);
// 
//   }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test235() {}
// Defects4J: flaky method
//   @Test
//   public void test235() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     boolean b29 = dateTime24.isBefore(0L);
//     org.joda.time.DateTime dateTime32 = dateTime24.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology33 = null;
//     org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(chronology33);
//     int i35 = dateTime34.getMillisOfDay();
//     org.joda.time.DateTime dateTime37 = dateTime34.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod38 = null;
//     org.joda.time.DateTime dateTime40 = dateTime34.withPeriodAdded(readablePeriod38, 0);
//     org.joda.time.DateMidnight dateMidnight41 = dateTime40.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime42 = dateTime40.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone43 = dateTime40.getZone();
//     org.joda.time.DateTime dateTime44 = dateTime32.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime45 = dateTime22.toDateTime(dateTimeZone43);
//     org.joda.time.DateTime dateTime47 = dateTime22.withYear(29154776);
//     org.joda.time.DateTime.Property property48 = dateTime22.year();
//     org.joda.time.ReadableInstant readableInstant49 = null;
//     boolean b50 = dateTime22.isBefore(readableInstant49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29161644);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29161646);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i35 == 29161646);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b50 == true);
// 
//   }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDurationField1.getDifferenceAsLong(1L, 1456157158199L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.timeParser();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, 28800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test238() {}
// Defects4J: flaky method
//   @Test
//   public void test238() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     mutableDateTime9.addDays(29154720);
//     org.joda.time.ReadableDuration readableDuration12 = null;
//     mutableDateTime9.add(readableDuration12, 29154657);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.dayOfWeek();
//     mutableDateTime9.setMillisOfDay(29155966);
//     org.joda.time.MutableDateTime.Property property18 = mutableDateTime9.millisOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29161802);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
// 
//   }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.timeParser();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime2 = dateTimeFormatter0.parseLocalTime("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.getIllegalStringValue();
    illegalFieldValueException7.prependMessage("America/Los_Angeles");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str12 = illegalFieldValueException7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: America/Los_Angeles: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: America/Los_Angeles: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29157104, 29158532);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter7.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime10 = dateTimeFormatter7.parseLocalDateTime("16");
    boolean b11 = dateTimeFormatter7.isPrinter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder6.append(dateTimeFormatter7);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendYearOfCentury(29154922, 29157116);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder6.appendDecimal(dateTimeFieldType16, 29158522, 29160985);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(29159524);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-29159524));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.joda.time.ReadableInterval readableInterval0 = null;
    org.joda.time.ReadableInterval readableInterval1 = org.joda.time.DateTimeUtils.getReadableInterval(readableInterval0);
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getIntervalChronology(readableInterval0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(readableInterval1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.PreciseDurationField preciseDurationField2 = new org.joda.time.field.PreciseDurationField(durationFieldType0, 11L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider1 = new org.joda.time.tz.ZoneInfoProvider("29159344");
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() {}
// Defects4J: flaky method
//   @Test
//   public void test247() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }
// 
// 
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime22 = new org.joda.time.DateTime(29157104, 29160013, 29156244, 29157145, 0, 29161322, 29154776, (org.joda.time.Chronology)iSOChronology19);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29162153);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
// 
//   }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("America/Los_Angeles");
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable throwable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.chrono.JulianChronology julianChronology22 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone17);
    org.joda.time.DurationField durationField23 = julianChronology22.days();
    int i24 = unsupportedDurationField1.compareTo(durationField23);
    // The following exception was thrown during execution in test generation
    try {
      int i26 = unsupportedDurationField1.getValue(57600001L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test250() {}
// Defects4J: flaky method
//   @Test
//   public void test250() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     java.util.GregorianCalendar gregorianCalendar5 = dateTime1.toGregorianCalendar();
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateTime dateTime15 = dateTime13.minusHours(0);
//     boolean b16 = dateTime1.isAfter((org.joda.time.ReadableInstant)dateTime15);
//     org.joda.time.DateTime.Property property17 = dateTime1.era();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime19 = dateTime1.withYearOfCentury(29160014);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29162250);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29162251);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test251() {}
// Defects4J: flaky method
//   @Test
//   public void test251() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }
// 
// 
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     boolean b7 = dateTime2.isBefore(0L);
//     org.joda.time.DateTime dateTime9 = dateTime2.withMillis((-1L));
//     org.joda.time.DateTime.Property property10 = dateTime9.weekyear();
//     org.joda.time.DateTime dateTime12 = dateTime9.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime9.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime((java.lang.Object)29156679, (org.joda.time.Chronology)iSOChronology13);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29162264);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
// 
//   }

  @Test
  public void test252() {}
// Defects4J: flaky method
//   @Test
//   public void test252() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }
// 
// 
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime8.withPeriodAdded(readablePeriod12, 0);
//     org.joda.time.DateMidnight dateMidnight15 = dateTime14.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     org.joda.time.DateTime dateTime18 = dateTime14.withPeriodAdded(readablePeriod16, (-1));
//     org.joda.time.DateTime dateTime19 = dateTime14.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property20 = dateTime19.era();
//     org.joda.time.DateTime dateTime22 = dateTime19.plusYears(29154679);
//     org.joda.time.DateTime dateTime23 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone24 = dateTime23.getZone();
//     long long27 = dateTimeZone24.adjustOffset(100L, false);
//     java.lang.String str28 = dateTimeZone24.toString();
//     org.joda.time.DateTime dateTime29 = dateTime19.toDateTime(dateTimeZone24);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone30 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone24);
//     org.joda.time.DateTimeZone dateTimeZone31 = cachedDateTimeZone30.getUncachedZone();
//     org.joda.time.DateTimeZone dateTimeZone32 = org.joda.time.DateTimeUtils.getZone((org.joda.time.DateTimeZone)cachedDateTimeZone30);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime33 = new org.joda.time.MutableDateTime(29156542, 29158207, 29157527, 0, 29159434, 29155804, 29160929, (org.joda.time.DateTimeZone)cachedDateTimeZone30);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29162273);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "America/Los_Angeles"+ "'", str28.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone32);
// 
//   }

  @Test
  public void test253() {}
// Defects4J: flaky method
//   @Test
//   public void test253() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTimeNoMillis();
//     org.joda.time.Chronology chronology1 = dateTimeFormatter0.getChronolgy();
//     java.lang.StringBuffer stringBuffer2 = null;
//     org.joda.time.ReadableInstant readableInstant3 = null;
//     org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
//     org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField6 = iSOChronology5.dayOfYear();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField7 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField6);
//     org.joda.time.field.SkipDateTimeField skipDateTimeField8 = new org.joda.time.field.SkipDateTimeField(chronology4, dateTimeField6);
//     java.util.Locale locale10 = null;
//     java.lang.String str11 = skipDateTimeField8.getAsText(10L, locale10);
//     int i12 = skipDateTimeField8.getMinimumValue();
//     int i14 = skipDateTimeField8.get((-1L));
//     org.joda.time.Chronology chronology15 = null;
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime(chronology15);
//     int i17 = dateTime16.getMillisOfDay();
//     org.joda.time.DateTime dateTime19 = dateTime16.withHourOfDay(10);
//     boolean b21 = dateTime16.isBefore(0L);
//     org.joda.time.DateTime dateTime23 = dateTime16.withMillis((-1L));
//     org.joda.time.DateTime.Property property24 = dateTime23.weekyear();
//     org.joda.time.DateTime dateTime26 = dateTime23.plusMonths(29154657);
//     org.joda.time.DateTime dateTime28 = dateTime23.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay29 = dateTime28.toTimeOfDay();
//     int i30 = skipDateTimeField8.getMinimumValue((org.joda.time.ReadablePartial)timeOfDay29);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter0.printTo(stringBuffer2, (org.joda.time.ReadablePartial)timeOfDay29);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "365"+ "'", str11.equals("365"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 29162282);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 1);
// 
//   }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatterBuilder0.toFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder0.appendHourOfHalfday(29158440);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendTwoDigitYear(29158333);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendWeekOfWeekyear(29160954);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder10.appendTimeZoneOffset("", "29155926", true, 29157426, 29154756);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);

  }

  @Test
  public void test255() {}
// Defects4J: flaky method
//   @Test
//   public void test255() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }
// 
// 
//     java.lang.Object obj0 = null;
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod6 = null;
//     org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
//     org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod10 = null;
//     org.joda.time.DateTime dateTime12 = dateTime8.withPeriodAdded(readablePeriod10, (-1));
//     org.joda.time.DateTime dateTime13 = dateTime8.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property14 = dateTime13.era();
//     org.joda.time.DateTime dateTime16 = dateTime13.plusYears(29154679);
//     org.joda.time.DateTime dateTime17 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone18 = dateTime17.getZone();
//     long long21 = dateTimeZone18.adjustOffset(100L, false);
//     java.lang.String str22 = dateTimeZone18.toString();
//     org.joda.time.DateTime dateTime23 = dateTime13.toDateTime(dateTimeZone18);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(chronology24);
//     int i26 = dateTime25.getMillisOfDay();
//     org.joda.time.DateTime dateTime28 = dateTime25.withHourOfDay(10);
//     boolean b30 = dateTime25.isBefore(0L);
//     org.joda.time.DateTime dateTime33 = dateTime25.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology34 = null;
//     org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(chronology34);
//     int i36 = dateTime35.getMillisOfDay();
//     org.joda.time.DateTime dateTime38 = dateTime35.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod39 = null;
//     org.joda.time.DateTime dateTime41 = dateTime35.withPeriodAdded(readablePeriod39, 0);
//     org.joda.time.DateMidnight dateMidnight42 = dateTime41.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime43 = dateTime41.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone44 = dateTime41.getZone();
//     org.joda.time.DateTime dateTime45 = dateTime33.toDateTime(dateTimeZone44);
//     org.joda.time.DateTime dateTime46 = dateTime23.toDateTime(dateTimeZone44);
//     long long49 = dateTimeZone44.convertLocalToUTC(0L, true);
//     org.joda.time.MutableDateTime mutableDateTime50 = new org.joda.time.MutableDateTime(obj0, dateTimeZone44);
//     org.joda.time.MutableDateTime.Property property51 = mutableDateTime50.millisOfSecond();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29162362);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long21 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "America/Los_Angeles"+ "'", str22.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 29162363);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b30 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 29162364);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long49 == 28800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property51);
// 
//   }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.joda.time.DateTimeZone dateTimeZone0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now(dateTimeZone0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("PST", "", 29154898, 29154796);
    int i6 = fixedDateTimeZone4.getStandardOffset((-1L));
    int i8 = fixedDateTimeZone4.getStandardOffset(2519250105600000L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GJChronology gJChronology11 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)fixedDateTimeZone4, (-14577342L), 19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 29154796);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 29154796);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long4 = unsupportedDurationField1.add(43022658L, 29154735);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test259() {}
// Defects4J: flaky method
//   @Test
//   public void test259() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
//     org.joda.time.DurationField durationField26 = julianChronology6.weekyears();
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology27);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     mutableDateTime29.add(readablePeriod30, 29154978);
//     org.joda.time.ReadableInstant readableInstant34 = null;
//     org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
//     org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
//     org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     java.util.Locale locale43 = null;
//     int i44 = skipUndoDateTimeField41.getMaximumTextLength(locale43);
//     org.joda.time.DurationField durationField45 = skipUndoDateTimeField41.getDurationField();
//     mutableDateTime29.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41, 29155574);
//     int i49 = offsetDateTimeField48.getMaximumValue();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField50 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)julianChronology6, (org.joda.time.DateTimeField)offsetDateTimeField48);
//     org.joda.time.Chronology chronology51 = null;
//     org.joda.time.DateTime dateTime52 = new org.joda.time.DateTime(chronology51);
//     int i53 = dateTime52.getMillisOfDay();
//     org.joda.time.DateTime dateTime55 = dateTime52.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod56 = null;
//     org.joda.time.DateTime dateTime58 = dateTime52.withPeriodAdded(readablePeriod56, 0);
//     org.joda.time.DateMidnight dateMidnight59 = dateTime58.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod60 = null;
//     org.joda.time.DateTime dateTime62 = dateTime58.withPeriodAdded(readablePeriod60, (-1));
//     org.joda.time.DateTime dateTime63 = dateTime58.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property64 = dateTime63.era();
//     org.joda.time.DateTime dateTime66 = dateTime63.plusYears(29154679);
//     org.joda.time.DateTime dateTime67 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone68 = dateTime67.getZone();
//     long long71 = dateTimeZone68.adjustOffset(100L, false);
//     java.lang.String str72 = dateTimeZone68.toString();
//     org.joda.time.DateTime dateTime73 = dateTime63.toDateTime(dateTimeZone68);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone74 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone68);
//     org.joda.time.DateTimeZone dateTimeZone75 = cachedDateTimeZone74.getUncachedZone();
//     org.joda.time.chrono.ISOChronology iSOChronology76 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone74);
//     java.lang.String str77 = iSOChronology76.toString();
//     org.joda.time.DateTimeField dateTimeField78 = iSOChronology76.yearOfCentury();
//     org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone83 = new org.joda.time.tz.FixedDateTimeZone("PST", "", 29154898, 29154796);
//     int i85 = fixedDateTimeZone83.getStandardOffset((-1L));
//     org.joda.time.Chronology chronology86 = iSOChronology76.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone83);
//     org.joda.time.Chronology chronology87 = julianChronology6.withZone((org.joda.time.DateTimeZone)fixedDateTimeZone83);
//     java.lang.String str89 = fixedDateTimeZone83.getNameKey((-1259482407243990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29162660);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i53 == 29162662);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long71 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str72 + "' != '" + "America/Los_Angeles"+ "'", str72.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str77 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str77.equals("ISOChronology[America/Los_Angeles]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 29154796);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology87);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str89 + "' != '" + ""+ "'", str89.equals(""));
// 
//   }

  @Test
  public void test260() {}
// Defects4J: flaky method
//   @Test
//   public void test260() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }
// 
// 
//     org.joda.time.DateTimeField dateTimeField0 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology1 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField2 = iSOChronology1.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime3 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology1);
//     org.joda.time.ReadablePeriod readablePeriod4 = null;
//     mutableDateTime3.add(readablePeriod4, 29154978);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime8.withPeriodAdded(readablePeriod12, 0);
//     org.joda.time.DateMidnight dateMidnight15 = dateTime14.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime16 = dateTime14.toMutableDateTime();
//     mutableDateTime3.setMillis((org.joda.time.ReadableInstant)mutableDateTime16);
//     org.joda.time.ReadableInstant readableInstant19 = null;
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant19);
//     org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getChronology(chronology20);
//     org.joda.time.MutableDateTime mutableDateTime22 = org.joda.time.MutableDateTime.now(chronology20);
//     org.joda.time.MutableDateTime mutableDateTime23 = new org.joda.time.MutableDateTime(11L, chronology20);
//     org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField26 = new org.joda.time.field.SkipUndoDateTimeField(chronology20, dateTimeField25);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField27 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField26);
//     org.joda.time.ReadableInstant readableInstant29 = null;
//     org.joda.time.Chronology chronology30 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant29);
//     org.joda.time.Chronology chronology31 = org.joda.time.DateTimeUtils.getChronology(chronology30);
//     org.joda.time.MutableDateTime mutableDateTime32 = org.joda.time.MutableDateTime.now(chronology30);
//     org.joda.time.MutableDateTime mutableDateTime33 = new org.joda.time.MutableDateTime(11L, chronology30);
//     org.joda.time.chrono.ISOChronology iSOChronology34 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField35 = iSOChronology34.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField36 = new org.joda.time.field.SkipUndoDateTimeField(chronology30, dateTimeField35);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField37 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField36);
//     org.joda.time.DateTimeFieldType dateTimeFieldType38 = delegatedDateTimeField37.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField39 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField27, dateTimeFieldType38);
//     org.joda.time.MutableDateTime.Property property40 = mutableDateTime3.property(dateTimeFieldType38);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException43 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType38, (java.lang.Number)29158796, "16");
//     org.joda.time.IllegalFieldValueException illegalFieldValueException45 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType38, "16");
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.OffsetDateTimeField offsetDateTimeField47 = new org.joda.time.field.OffsetDateTimeField(dateTimeField0, dateTimeFieldType38, 29161644);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29162705);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property40);
// 
//   }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    int i0 = org.joda.time.MutableDateTime.ROUND_CEILING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test262() {}
// Defects4J: flaky method
//   @Test
//   public void test262() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime10.withPeriodAdded(readablePeriod18, 29154785);
//     org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTime dateTime22 = dateTime20.toDateTime((org.joda.time.Chronology)iSOChronology21);
//     org.joda.time.Chronology chronology23 = null;
//     org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
//     int i25 = dateTime24.getMillisOfDay();
//     org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
//     boolean b29 = dateTime24.isBefore(0L);
//     org.joda.time.DateTime dateTime31 = dateTime24.withMillis((-1L));
//     org.joda.time.DateTime.Property property32 = dateTime31.weekyear();
//     org.joda.time.DateTime dateTime34 = dateTime31.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology35 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField36 = iSOChronology35.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime37 = dateTime31.toMutableDateTime((org.joda.time.Chronology)iSOChronology35);
//     org.joda.time.MutableDateTime.Property property38 = mutableDateTime37.millisOfSecond();
//     org.joda.time.Chronology chronology39 = null;
//     org.joda.time.DateTime dateTime40 = new org.joda.time.DateTime(chronology39);
//     int i41 = dateTime40.getMillisOfDay();
//     org.joda.time.DateTime dateTime43 = dateTime40.withHourOfDay(10);
//     java.util.GregorianCalendar gregorianCalendar44 = dateTime40.toGregorianCalendar();
//     org.joda.time.Chronology chronology45 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)mutableDateTime37, (org.joda.time.ReadableInstant)dateTime40);
//     org.joda.time.DateTime dateTime46 = dateTime22.toDateTime(chronology45);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime48 = dateTime22.withDayOfYear(29160307);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29162915);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 29162916);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 29162917);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
// 
//   }

  @Test
  public void test263() {}
// Defects4J: flaky method
//   @Test
//   public void test263() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     int i25 = mutableDateTime21.getWeekOfWeekyear();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime21.setSecondOfMinute(29162008);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29162930);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 1);
// 
//   }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i22 = offsetDateTimeField21.getMaximumValue();
    java.util.Locale locale23 = null;
    int i24 = offsetDateTimeField21.getMaximumTextLength(locale23);
    long long27 = offsetDateTimeField21.add((-14577342L), 29159212);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 2519355898622658L);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(29156556, 29160492, 29162364, 29159446, 29161409, 0, 29156777);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() {}
// Defects4J: flaky method
//   @Test
//   public void test266() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long94 = unsupportedDateTimeField92.roundHalfEven(9972000000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29163023);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29163025);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
// 
//   }

  @Test
  public void test267() {}
// Defects4J: flaky method
//   @Test
//   public void test267() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i93 = unsupportedDateTimeField92.getMinimumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29163034);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29163036);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
// 
//   }

  @Test
  public void test268() {}
// Defects4J: flaky method
//   @Test
//   public void test268() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }
// 
// 
//     org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone2 = dateTime1.getZone();
//     long long5 = dateTimeZone2.adjustOffset(100L, false);
//     java.lang.String str6 = dateTimeZone2.toString();
//     org.joda.time.chrono.JulianChronology julianChronology7 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone2);
//     org.joda.time.Chronology chronology8 = null;
//     org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(chronology8);
//     int i10 = dateTime9.getMillisOfDay();
//     org.joda.time.DateTime dateTime12 = dateTime9.withHourOfDay(10);
//     boolean b14 = dateTime9.isBefore(0L);
//     org.joda.time.DateTime dateTime16 = dateTime9.withMillis((-1L));
//     org.joda.time.DateTime.Property property17 = dateTime16.weekyear();
//     org.joda.time.DateTime dateTime19 = dateTime16.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology20 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField21 = iSOChronology20.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime22 = dateTime16.toMutableDateTime((org.joda.time.Chronology)iSOChronology20);
//     org.joda.time.MutableDateTime.Property property23 = mutableDateTime22.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime24 = null;
//     org.joda.time.chrono.LimitChronology limitChronology25 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology7, (org.joda.time.ReadableDateTime)mutableDateTime22, readableDateTime24);
//     org.joda.time.Chronology chronology26 = null;
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(chronology26);
//     int i28 = dateTime27.getMillisOfDay();
//     org.joda.time.DateTime dateTime30 = dateTime27.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod31 = null;
//     org.joda.time.DateTime dateTime33 = dateTime27.withPeriodAdded(readablePeriod31, 0);
//     org.joda.time.DateMidnight dateMidnight34 = dateTime33.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime35 = dateTime33.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime33.getZone();
//     org.joda.time.Chronology chronology37 = null;
//     org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(chronology37);
//     int i39 = dateTime38.getMillisOfDay();
//     org.joda.time.DateTime dateTime41 = dateTime38.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod42 = null;
//     org.joda.time.DateTime dateTime44 = dateTime38.withPeriodAdded(readablePeriod42, 0);
//     org.joda.time.DateMidnight dateMidnight45 = dateTime44.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime46 = dateTime44.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone47 = dateTime44.getZone();
//     java.lang.String str48 = dateTimeZone47.toString();
//     org.joda.time.DateTime dateTime49 = new org.joda.time.DateTime(dateTimeZone47);
//     org.joda.time.DateTime dateTime50 = dateTime33.toDateTime(dateTimeZone47);
//     boolean b51 = limitChronology25.equals((java.lang.Object)dateTimeZone47);
//     long long55 = limitChronology25.add(11L, (-1L), 29154909);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.MutableDateTime mutableDateTime56 = new org.joda.time.MutableDateTime((java.lang.Object)29161322, (org.joda.time.Chronology)limitChronology25);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str6 + "' != '" + "America/Los_Angeles"+ "'", str6.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 29163058);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 29163059);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 29163059);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "America/Los_Angeles"+ "'", str48.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b51 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long55 == (-29154898L));
// 
//   }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.ISODateTimeFormat.basicDateTimeNoMillis();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = org.joda.time.DateTime.parse("21", dateTimeFormatter1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "T160000-0800");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
    long long28 = offsetDateTimeField21.roundHalfFloor(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 28800000L);

  }

  @Test
  public void test272() {}
// Defects4J: flaky method
//   @Test
//   public void test272() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
//     org.joda.time.DurationField durationField26 = julianChronology6.weekyears();
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology27);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     mutableDateTime29.add(readablePeriod30, 29154978);
//     org.joda.time.ReadableInstant readableInstant34 = null;
//     org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
//     org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
//     org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
//     org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     java.util.Locale locale43 = null;
//     int i44 = skipUndoDateTimeField41.getMaximumTextLength(locale43);
//     org.joda.time.DurationField durationField45 = skipUndoDateTimeField41.getDurationField();
//     mutableDateTime29.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField41);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41, 29155574);
//     int i49 = offsetDateTimeField48.getMaximumValue();
//     org.joda.time.field.SkipDateTimeField skipDateTimeField50 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)julianChronology6, (org.joda.time.DateTimeField)offsetDateTimeField48);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Instant instant51 = new org.joda.time.Instant((java.lang.Object)skipDateTimeField50);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29163209);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i44 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 29155940);
// 
//   }

  @Test
  public void test273() {}
// Defects4J: flaky method
//   @Test
//   public void test273() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }
// 
// 
//     org.joda.time.DateTime dateTime5 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone6 = dateTime5.getZone();
//     long long9 = dateTimeZone6.adjustOffset(100L, false);
//     java.lang.String str10 = dateTimeZone6.toString();
//     org.joda.time.chrono.JulianChronology julianChronology11 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone6);
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(chronology12);
//     int i14 = dateTime13.getMillisOfDay();
//     org.joda.time.DateTime dateTime16 = dateTime13.withHourOfDay(10);
//     boolean b18 = dateTime13.isBefore(0L);
//     org.joda.time.DateTime dateTime20 = dateTime13.withMillis((-1L));
//     org.joda.time.DateTime.Property property21 = dateTime20.weekyear();
//     org.joda.time.DateTime dateTime23 = dateTime20.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime26 = dateTime20.toMutableDateTime((org.joda.time.Chronology)iSOChronology24);
//     org.joda.time.MutableDateTime.Property property27 = mutableDateTime26.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime28 = null;
//     org.joda.time.chrono.LimitChronology limitChronology29 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology11, (org.joda.time.ReadableDateTime)mutableDateTime26, readableDateTime28);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime30 = new org.joda.time.DateTime(29161789, 29161499, 29158096, 29159794, 29156540, (org.joda.time.Chronology)limitChronology29);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "America/Los_Angeles"+ "'", str10.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 29163215);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology29);
// 
//   }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.joda.time.JodaTimePermission jodaTimePermission1 = new org.joda.time.JodaTimePermission("17");
    org.joda.time.JodaTimePermission jodaTimePermission3 = new org.joda.time.JodaTimePermission("17");
    boolean b4 = jodaTimePermission1.implies((java.security.Permission)jodaTimePermission3);
    java.lang.String str5 = jodaTimePermission3.getName();
    java.lang.String str6 = jodaTimePermission3.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "17"+ "'", str5.equals("17"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "17"+ "'", str6.equals("17"));

  }

  @Test
  public void test275() {}
// Defects4J: flaky method
//   @Test
//   public void test275() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i94 = unsupportedDateTimeField92.getMaximumValue((-950399989L));
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29163279);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29163281);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
// 
//   }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.tTime();
    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    mutableDateTime4.addYears(29154829);
    org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str8 = iSOChronology7.toString();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology7.minuteOfDay();
    mutableDateTime4.setRounding(dateTimeField9);
    mutableDateTime4.setYear(29155801);
    int i15 = dateTimeFormatter0.parseInto((org.joda.time.ReadWritableInstant)mutableDateTime4, "1", 29159114);
    org.joda.time.ReadableInstant readableInstant17 = null;
    org.joda.time.Chronology chronology18 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant17);
    org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getChronology(chronology18);
    org.joda.time.MutableDateTime mutableDateTime20 = org.joda.time.MutableDateTime.now(chronology18);
    org.joda.time.MutableDateTime mutableDateTime21 = new org.joda.time.MutableDateTime(11L, chronology18);
    org.joda.time.chrono.ISOChronology iSOChronology22 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField23 = iSOChronology22.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField24 = new org.joda.time.field.SkipUndoDateTimeField(chronology18, dateTimeField23);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField25 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField24);
    org.joda.time.ReadableInstant readableInstant27 = null;
    org.joda.time.Chronology chronology28 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant27);
    org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getChronology(chronology28);
    org.joda.time.MutableDateTime mutableDateTime30 = org.joda.time.MutableDateTime.now(chronology28);
    org.joda.time.MutableDateTime mutableDateTime31 = new org.joda.time.MutableDateTime(11L, chronology28);
    org.joda.time.chrono.ISOChronology iSOChronology32 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField33 = iSOChronology32.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField34 = new org.joda.time.field.SkipUndoDateTimeField(chronology28, dateTimeField33);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField35 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField34);
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = delegatedDateTimeField35.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField37 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField25, dateTimeFieldType36);
    long long39 = delegatedDateTimeField25.roundHalfFloor((-14577342L));
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime4.setRounding((org.joda.time.DateTimeField)delegatedDateTimeField25, 29162467);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str8.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-29159115));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == (-57600000L));

  }

  @Test
  public void test277() {}
// Defects4J: flaky method
//   @Test
//   public void test277() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str94 = unsupportedDateTimeField92.getAsText(11L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29163464);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29163466);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
// 
//   }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(29163173, 29157847, 29158153, 29163471, 29159932, 0, 29157891);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() {}
// Defects4J: flaky method
//   @Test
//   public void test279() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.Instant instant8 = new org.joda.time.Instant();
//     org.joda.time.Instant instant10 = instant8.minus(0L);
//     org.joda.time.Instant instant12 = instant8.withMillis(11L);
//     org.joda.time.MutableDateTime mutableDateTime13 = instant8.toMutableDateTimeISO();
//     org.joda.time.DateTime dateTime14 = instant8.toDateTimeISO();
//     org.joda.time.DateTime dateTime15 = new org.joda.time.DateTime((java.lang.Object)dateTime14);
//     boolean b16 = dateTime7.isEqual((org.joda.time.ReadableInstant)dateTime14);
//     boolean b17 = dateTime7.isBeforeNow();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29163567);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
// 
//   }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
    org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
    int i23 = delegatedDateTimeField9.getMaximumValue(9972000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 365);

  }

  @Test
  public void test281() {}
// Defects4J: flaky method
//   @Test
//   public void test281() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod6 = null;
//     org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
//     org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
//     boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianChronology0, (java.lang.Object)dateTime8);
//     org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology13);
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     mutableDateTime15.add(readablePeriod16, 29154978);
//     org.joda.time.ReadableInstant readableInstant20 = null;
//     org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant20);
//     org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology(chronology21);
//     org.joda.time.MutableDateTime mutableDateTime23 = org.joda.time.MutableDateTime.now(chronology21);
//     org.joda.time.MutableDateTime mutableDateTime24 = new org.joda.time.MutableDateTime(11L, chronology21);
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField27 = new org.joda.time.field.SkipUndoDateTimeField(chronology21, dateTimeField26);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField28 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27);
//     java.util.Locale locale29 = null;
//     int i30 = skipUndoDateTimeField27.getMaximumTextLength(locale29);
//     org.joda.time.DurationField durationField31 = skipUndoDateTimeField27.getDurationField();
//     mutableDateTime15.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField27);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27, 29155574);
//     int i37 = offsetDateTimeField34.getDifference(11L, (-1L));
//     int i39 = offsetDateTimeField34.getMaximumValue(9972000000L);
//     org.joda.time.field.SkipDateTimeField skipDateTimeField40 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeField)offsetDateTimeField34);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.Instant instant41 = new org.joda.time.Instant((java.lang.Object)offsetDateTimeField34);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29163726);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i37 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 29155940);
// 
//   }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("23", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() {}
// Defects4J: flaky method
//   @Test
//   public void test283() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
//     org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime14.millisOfSecond();
//     mutableDateTime14.setMinuteOfHour(12);
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     mutableDateTime14.add(readablePeriod18, 29159214);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime14.setMonthOfYear(29160793);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29163805);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
// 
//   }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(115200000L, 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1382400000L);

  }

  @Test
  public void test285() {}
// Defects4J: flaky method
//   @Test
//   public void test285() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
//     java.lang.Object obj1 = null;
//     org.joda.time.Chronology chronology2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(chronology2);
//     int i4 = dateTime3.getMillisOfDay();
//     org.joda.time.DateTime dateTime6 = dateTime3.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod7 = null;
//     org.joda.time.DateTime dateTime9 = dateTime3.withPeriodAdded(readablePeriod7, 0);
//     org.joda.time.DateMidnight dateMidnight10 = dateTime9.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime9.withPeriodAdded(readablePeriod11, (-1));
//     org.joda.time.DateTime dateTime14 = dateTime9.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property15 = dateTime14.era();
//     org.joda.time.DateTime dateTime17 = dateTime14.plusYears(29154679);
//     org.joda.time.DateTime dateTime18 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone19 = dateTime18.getZone();
//     long long22 = dateTimeZone19.adjustOffset(100L, false);
//     java.lang.String str23 = dateTimeZone19.toString();
//     org.joda.time.DateTime dateTime24 = dateTime14.toDateTime(dateTimeZone19);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     boolean b31 = dateTime26.isBefore(0L);
//     org.joda.time.DateTime dateTime34 = dateTime26.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(chronology35);
//     int i37 = dateTime36.getMillisOfDay();
//     org.joda.time.DateTime dateTime39 = dateTime36.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod40 = null;
//     org.joda.time.DateTime dateTime42 = dateTime36.withPeriodAdded(readablePeriod40, 0);
//     org.joda.time.DateMidnight dateMidnight43 = dateTime42.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime44 = dateTime42.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone45 = dateTime42.getZone();
//     org.joda.time.DateTime dateTime46 = dateTime34.toDateTime(dateTimeZone45);
//     org.joda.time.DateTime dateTime47 = dateTime24.toDateTime(dateTimeZone45);
//     long long50 = dateTimeZone45.convertLocalToUTC(0L, true);
//     org.joda.time.MutableDateTime mutableDateTime51 = new org.joda.time.MutableDateTime(obj1, dateTimeZone45);
//     org.joda.time.Chronology chronology52 = gregorianChronology0.withZone(dateTimeZone45);
//     org.joda.time.DateTimeZone dateTimeZone53 = gregorianChronology0.getZone();
//     org.joda.time.Chronology chronology54 = null;
//     org.joda.time.DateTime dateTime55 = new org.joda.time.DateTime(chronology54);
//     int i56 = dateTime55.getMillisOfDay();
//     org.joda.time.DateTime dateTime58 = dateTime55.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod59 = null;
//     org.joda.time.DateTime dateTime61 = dateTime55.withPeriodAdded(readablePeriod59, 0);
//     org.joda.time.DateMidnight dateMidnight62 = dateTime61.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod63 = null;
//     org.joda.time.DateTime dateTime65 = dateTime61.withPeriodAdded(readablePeriod63, (-1));
//     org.joda.time.DateTime dateTime66 = dateTime61.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property67 = dateTime66.era();
//     org.joda.time.DateTime dateTime69 = dateTime66.plusYears(29154679);
//     org.joda.time.DateTime dateTime70 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone71 = dateTime70.getZone();
//     long long74 = dateTimeZone71.adjustOffset(100L, false);
//     java.lang.String str75 = dateTimeZone71.toString();
//     org.joda.time.DateTime dateTime76 = dateTime66.toDateTime(dateTimeZone71);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone77 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone71);
//     org.joda.time.DateTimeZone dateTimeZone78 = cachedDateTimeZone77.getUncachedZone();
//     org.joda.time.chrono.ZonedChronology zonedChronology79 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)cachedDateTimeZone77);
//     int i81 = cachedDateTimeZone77.getStandardOffset((-13654800000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 29163912);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long22 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "America/Los_Angeles"+ "'", str23.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29163913);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b31 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i37 == 29163914);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long50 == 28800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 29163915);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long74 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str75 + "' != '" + "America/Los_Angeles"+ "'", str75.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i81 == (-28800000));
// 
//   }

  @Test
  public void test286() {}
// Defects4J: flaky method
//   @Test
//   public void test286() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
//     org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
//     org.joda.time.DurationField durationField15 = iSOChronology12.seconds();
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology12.minuteOfHour();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29164056);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
// 
//   }

  @Test
  public void test287() {}
// Defects4J: flaky method
//   @Test
//   public void test287() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
//     org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
//     org.joda.time.ReadablePeriod readablePeriod4 = null;
//     mutableDateTime3.add(readablePeriod4, 0);
//     org.joda.time.chrono.ISOChronology iSOChronology7 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField8 = iSOChronology7.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime9 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology7);
//     org.joda.time.ReadablePeriod readablePeriod10 = null;
//     mutableDateTime9.add(readablePeriod10, 29154978);
//     org.joda.time.Chronology chronology13 = null;
//     org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(chronology13);
//     int i15 = dateTime14.getMillisOfDay();
//     org.joda.time.DateTime dateTime17 = dateTime14.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime14.withPeriodAdded(readablePeriod18, 0);
//     org.joda.time.DateMidnight dateMidnight21 = dateTime20.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime22 = dateTime20.toMutableDateTime();
//     mutableDateTime9.setMillis((org.joda.time.ReadableInstant)mutableDateTime22);
//     org.joda.time.ReadableInstant readableInstant25 = null;
//     org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant25);
//     org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology(chronology26);
//     org.joda.time.MutableDateTime mutableDateTime28 = org.joda.time.MutableDateTime.now(chronology26);
//     org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime(11L, chronology26);
//     org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField31 = iSOChronology30.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField32 = new org.joda.time.field.SkipUndoDateTimeField(chronology26, dateTimeField31);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField33 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField32);
//     org.joda.time.ReadableInstant readableInstant35 = null;
//     org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant35);
//     org.joda.time.Chronology chronology37 = org.joda.time.DateTimeUtils.getChronology(chronology36);
//     org.joda.time.MutableDateTime mutableDateTime38 = org.joda.time.MutableDateTime.now(chronology36);
//     org.joda.time.MutableDateTime mutableDateTime39 = new org.joda.time.MutableDateTime(11L, chronology36);
//     org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField42 = new org.joda.time.field.SkipUndoDateTimeField(chronology36, dateTimeField41);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField43 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField42);
//     org.joda.time.DateTimeFieldType dateTimeFieldType44 = delegatedDateTimeField43.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField45 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField33, dateTimeFieldType44);
//     org.joda.time.MutableDateTime.Property property46 = mutableDateTime9.property(dateTimeFieldType44);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType44, (java.lang.Number)29158796, "16");
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime3.set(dateTimeFieldType44, 29161582);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 29164062);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property46);
// 
//   }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(29160185);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-29160185));

  }

  @Test
  public void test289() {}
// Defects4J: flaky method
//   @Test
//   public void test289() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }
// 
// 
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(chronology5);
//     int i7 = dateTime6.getMillisOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime6.withHourOfDay(10);
//     boolean b11 = dateTime6.isBefore(0L);
//     org.joda.time.DateTime dateTime13 = dateTime6.withMillis((-1L));
//     org.joda.time.DateTime.Property property14 = dateTime13.weekyear();
//     org.joda.time.DateTime dateTime16 = dateTime13.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology17.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime19 = dateTime13.toMutableDateTime((org.joda.time.Chronology)iSOChronology17);
//     org.joda.time.MutableDateTime.Property property20 = mutableDateTime19.millisOfSecond();
//     org.joda.time.Chronology chronology21 = null;
//     org.joda.time.DateTime dateTime22 = new org.joda.time.DateTime(chronology21);
//     int i23 = dateTime22.getMillisOfDay();
//     org.joda.time.DateTime dateTime25 = dateTime22.withHourOfDay(10);
//     java.util.GregorianCalendar gregorianCalendar26 = dateTime22.toGregorianCalendar();
//     org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)mutableDateTime19, (org.joda.time.ReadableInstant)dateTime22);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(29154741, 29163425, 29156104, 29156104, 0, chronology27);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 29164406);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 29164407);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianCalendar26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology27);
// 
//   }

  @Test
  public void test290() {}
// Defects4J: flaky method
//   @Test
//   public void test290() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.DateTimeField dateTimeField25 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.field.SkipDateTimeField skipDateTimeField27 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)julianChronology6, dateTimeField25, 29158096);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29164444);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
// 
//   }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str16 = unsupportedDurationField1.getName();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test292() {}
// Defects4J: flaky method
//   @Test
//   public void test292() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime10.withPeriodAdded(readablePeriod18, 29154785);
//     org.joda.time.DateTime.Property property21 = dateTime10.weekOfWeekyear();
//     org.joda.time.Chronology chronology22 = null;
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(chronology22);
//     int i24 = dateTime23.getMillisOfDay();
//     org.joda.time.DateTime dateTime26 = dateTime23.withHourOfDay(10);
//     boolean b28 = dateTime23.isBefore(0L);
//     org.joda.time.DateTime dateTime31 = dateTime23.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology32 = null;
//     org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(chronology32);
//     int i34 = dateTime33.getMillisOfDay();
//     org.joda.time.DateTime dateTime36 = dateTime33.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod37 = null;
//     org.joda.time.DateTime dateTime39 = dateTime33.withPeriodAdded(readablePeriod37, 0);
//     org.joda.time.DateMidnight dateMidnight40 = dateTime39.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime41 = dateTime39.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone42 = dateTime39.getZone();
//     org.joda.time.DateTime dateTime43 = dateTime31.toDateTime(dateTimeZone42);
//     org.joda.time.MutableDateTime mutableDateTime44 = dateTime10.toMutableDateTime(dateTimeZone42);
//     org.joda.time.MutableDateTime.Property property45 = mutableDateTime44.millisOfSecond();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime44.setTime(29157578, 29164281, 0, 29156521);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29164585);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 29164586);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 29164587);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property45);
// 
//   }

  @Test
  public void test293() {}
// Defects4J: flaky method
//   @Test
//   public void test293() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long90 = remainderDateTimeField87.addWrapField(10L, 29162520);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29164600);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29164602);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
// 
//   }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(29163423, 29163386, 29159668, 29160808, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    java.util.Locale locale10 = null;
    int i11 = skipUndoDateTimeField8.getMaximumTextLength(locale10);
    org.joda.time.DurationField durationField12 = skipUndoDateTimeField8.getDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long15 = skipUndoDateTimeField8.set(0L, 29155964);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
    org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
    boolean b8 = dateTime6.isBefore(0L);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = dateTime6.withDayOfMonth(29156923);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-17629199900L), 2520423965156542L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() {}
// Defects4J: flaky method
//   @Test
//   public void test298() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant1 = null;
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
//     org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
//     org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
//     org.joda.time.ReadableInstant readableInstant11 = null;
//     org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
//     org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
//     org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
//     org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
//     org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
//     org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
//     long long24 = delegatedDateTimeField9.getDifferenceAsLong((-1259482407243990L), 10L);
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime27 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology25);
//     org.joda.time.ReadablePeriod readablePeriod28 = null;
//     mutableDateTime27.add(readablePeriod28, 29154978);
//     org.joda.time.ReadableInstant readableInstant32 = null;
//     org.joda.time.Chronology chronology33 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant32);
//     org.joda.time.Chronology chronology34 = org.joda.time.DateTimeUtils.getChronology(chronology33);
//     org.joda.time.MutableDateTime mutableDateTime35 = org.joda.time.MutableDateTime.now(chronology33);
//     org.joda.time.MutableDateTime mutableDateTime36 = new org.joda.time.MutableDateTime(11L, chronology33);
//     org.joda.time.chrono.ISOChronology iSOChronology37 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField38 = iSOChronology37.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField39 = new org.joda.time.field.SkipUndoDateTimeField(chronology33, dateTimeField38);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField40 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField39);
//     java.util.Locale locale41 = null;
//     int i42 = skipUndoDateTimeField39.getMaximumTextLength(locale41);
//     org.joda.time.DurationField durationField43 = skipUndoDateTimeField39.getDurationField();
//     mutableDateTime27.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField39);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField46 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField39, 29155574);
//     org.joda.time.Chronology chronology47 = null;
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(chronology47);
//     int i49 = dateTime48.getMillisOfDay();
//     org.joda.time.DateTime dateTime51 = dateTime48.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod52 = null;
//     org.joda.time.DateTime dateTime54 = dateTime48.withPeriodAdded(readablePeriod52, 0);
//     org.joda.time.DateMidnight dateMidnight55 = dateTime54.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime56 = dateTime54.toMutableDateTime();
//     org.joda.time.DateTime dateTime57 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone58 = dateTime57.getZone();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant61 = null;
//     org.joda.time.Chronology chronology62 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant61);
//     org.joda.time.DateTime dateTime63 = dateTime57.toDateTime(chronology62);
//     boolean b64 = mutableDateTime56.isAfter((org.joda.time.ReadableInstant)dateTime57);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter65 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter66 = dateTimeFormatter65.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime68 = dateTimeFormatter65.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime69 = dateTime57.withFields((org.joda.time.ReadablePartial)localDateTime68);
//     int[] i_array72 = new int[] { 0, 100 };
//     int i73 = skipUndoDateTimeField39.getMaximumValue((org.joda.time.ReadablePartial)localDateTime68, i_array72);
//     java.util.Locale locale74 = null;
//     java.lang.String str75 = delegatedDateTimeField9.getAsShortText((org.joda.time.ReadablePartial)localDateTime68, locale74);
//     org.joda.time.DateTime dateTime76 = new org.joda.time.DateTime((java.lang.Object)str75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == (-14577342L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i49 == 29164642);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b64 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i73 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str75 + "' != '" + "1"+ "'", str75.equals("1"));
// 
//   }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("365", 0, 29158114, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() {}
// Defects4J: flaky method
//   @Test
//   public void test300() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
//     org.joda.time.DateTime.Property property9 = dateTime8.year();
//     org.joda.time.DateTime dateTime11 = dateTime8.plusYears(29154785);
//     org.joda.time.DateTime dateTime13 = dateTime11.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant15 = null;
//     org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant15);
//     org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology(chronology16);
//     org.joda.time.MutableDateTime mutableDateTime18 = org.joda.time.MutableDateTime.now(chronology16);
//     org.joda.time.MutableDateTime mutableDateTime19 = new org.joda.time.MutableDateTime(11L, chronology16);
//     org.joda.time.chrono.ISOChronology iSOChronology20 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField21 = iSOChronology20.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField22 = new org.joda.time.field.SkipUndoDateTimeField(chronology16, dateTimeField21);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField23 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField22);
//     org.joda.time.ReadableInstant readableInstant25 = null;
//     org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant25);
//     org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology(chronology26);
//     org.joda.time.MutableDateTime mutableDateTime28 = org.joda.time.MutableDateTime.now(chronology26);
//     org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime(11L, chronology26);
//     org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField31 = iSOChronology30.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField32 = new org.joda.time.field.SkipUndoDateTimeField(chronology26, dateTimeField31);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField33 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField32);
//     org.joda.time.DateTimeFieldType dateTimeFieldType34 = delegatedDateTimeField33.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField35 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField23, dateTimeFieldType34);
//     int i36 = dateTime11.get(dateTimeFieldType34);
//     org.joda.time.ReadableInstant readableInstant37 = null;
//     org.joda.time.Chronology chronology38 = org.joda.time.DateTimeUtils.getIntervalChronology((org.joda.time.ReadableInstant)dateTime11, readableInstant37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29164860);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology38);
// 
//   }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29157104, 29158532);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter7.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime10 = dateTimeFormatter7.parseLocalDateTime("16");
    boolean b11 = dateTimeFormatter7.isPrinter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder6.append(dateTimeFormatter7);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder6.appendYearOfCentury(29154922, 29157116);
    boolean b16 = dateTimeFormatterBuilder15.canBuildParser();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test302() {}
// Defects4J: flaky method
//   @Test
//   public void test302() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }
// 
// 
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     boolean b7 = dateTime2.isBefore(0L);
//     org.joda.time.DateTime dateTime9 = dateTime2.withMillis((-1L));
//     org.joda.time.DateTime.Property property10 = dateTime9.weekyear();
//     org.joda.time.DateTime dateTime12 = dateTime9.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime9.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
//     org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime((org.joda.time.Chronology)iSOChronology13);
//     java.util.Locale locale17 = null;
//     org.joda.time.format.DateTimeParserBucket dateTimeParserBucket20 = new org.joda.time.format.DateTimeParserBucket((-40870799990L), (org.joda.time.Chronology)iSOChronology13, locale17, (java.lang.Integer)29158442, 0);
//     java.lang.Integer i21 = dateTimeParserBucket20.getPivotYear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29164922);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + i21 + "' != '" + 29158442+ "'", i21.equals(29158442));
// 
//   }

  @Test
  public void test303() {}
// Defects4J: flaky method
//   @Test
//   public void test303() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getLeapDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str95 = unsupportedDateTimeField92.getAsShortText(57600100L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29164929);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29164931);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(durationField93);
// 
//   }

  @Test
  public void test304() {}
// Defects4J: flaky method
//   @Test
//   public void test304() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod6 = null;
//     org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
//     org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
//     boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianChronology0, (java.lang.Object)dateTime8);
//     org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology13);
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     mutableDateTime15.add(readablePeriod16, 29154978);
//     org.joda.time.ReadableInstant readableInstant20 = null;
//     org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant20);
//     org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology(chronology21);
//     org.joda.time.MutableDateTime mutableDateTime23 = org.joda.time.MutableDateTime.now(chronology21);
//     org.joda.time.MutableDateTime mutableDateTime24 = new org.joda.time.MutableDateTime(11L, chronology21);
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField27 = new org.joda.time.field.SkipUndoDateTimeField(chronology21, dateTimeField26);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField28 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27);
//     java.util.Locale locale29 = null;
//     int i30 = skipUndoDateTimeField27.getMaximumTextLength(locale29);
//     org.joda.time.DurationField durationField31 = skipUndoDateTimeField27.getDurationField();
//     mutableDateTime15.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField27);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27, 29155574);
//     int i37 = offsetDateTimeField34.getDifference(11L, (-1L));
//     int i39 = offsetDateTimeField34.getMaximumValue(9972000000L);
//     org.joda.time.field.SkipDateTimeField skipDateTimeField40 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeField)offsetDateTimeField34);
//     long long42 = offsetDateTimeField34.remainder((-14577342L));
//     long long45 = offsetDateTimeField34.add((-57600000L), 29157988);
//     long long47 = offsetDateTimeField34.roundCeiling((-1L));
//     long long50 = offsetDateTimeField34.add((-57600000L), (-14577342L));
//     org.joda.time.ReadablePartial readablePartial51 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology53 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField54 = iSOChronology53.dayOfYear();
//     java.util.Locale locale55 = null;
//     org.joda.time.format.DateTimeParserBucket dateTimeParserBucket58 = new org.joda.time.format.DateTimeParserBucket((-13654800000L), (org.joda.time.Chronology)iSOChronology53, locale55, (java.lang.Integer)29156653, 29156524);
//     java.util.Locale locale59 = dateTimeParserBucket58.getLocale();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str60 = offsetDateTimeField34.getAsText(readablePartial51, locale59);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29164946);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i37 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long42 == 43022658L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long45 == 2519250105600000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long47 == 28800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long50 == (-1259482406822000L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(locale59);
// 
//   }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29157104, 29158532);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder9 = dateTimeFormatterBuilder6.appendFractionOfSecond((-29159115), 29156775);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);

  }

  @Test
  public void test306() {}
// Defects4J: flaky method
//   @Test
//   public void test306() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant4 = null;
//     org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
//     org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
//     int i11 = dateTime10.getMillisOfDay();
//     org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod14 = null;
//     org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
//     org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
//     org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property22 = dateTime21.era();
//     org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
//     org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
//     long long29 = dateTimeZone26.adjustOffset(100L, false);
//     java.lang.String str30 = dateTimeZone26.toString();
//     org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
//     org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
//     java.lang.String str34 = cachedDateTimeZone32.toString();
//     org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     org.joda.time.chrono.GJChronology gJChronology36 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     org.joda.time.DateTimeZone dateTimeZone37 = gJChronology36.getZone();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.chrono.GregorianChronology gregorianChronology39 = org.joda.time.chrono.GregorianChronology.getInstance(dateTimeZone37, 29159524);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 29164974);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone37);
// 
//   }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.shortDate();
    java.lang.StringBuffer stringBuffer1 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(stringBuffer1, (-1259482406822000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29157104, 29158532);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter7.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime10 = dateTimeFormatter7.parseLocalDateTime("16");
    boolean b11 = dateTimeFormatter7.isPrinter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder6.append(dateTimeFormatter7);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder6.appendSecondOfMinute(29160016);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder14.appendLiteral(' ');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder16.appendYear(29156192, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder20 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder23 = dateTimeFormatterBuilder20.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter24 = dateTimeFormatterBuilder20.toFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder26 = dateTimeFormatterBuilder20.appendHourOfHalfday(29158440);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder28 = dateTimeFormatterBuilder26.appendTwoDigitYear(29158333);
    org.joda.time.format.DateTimePrinter dateTimePrinter29 = dateTimeFormatterBuilder26.toPrinter();
    org.joda.time.format.DateTimeParser dateTimeParser30 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder31 = dateTimeFormatterBuilder19.append(dateTimePrinter29, dateTimeParser30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimePrinter29);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillisOfDay(29160985);
    org.joda.time.DateTime.Property property4 = dateTime3.minuteOfHour();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.joda.time.DateTimeUtils.setCurrentMillisOffset(1382400000L);

  }

  @Test
  public void test311() {}
// Defects4J: flaky method
//   @Test
//   public void test311() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.Chronology chronology6 = null;
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
//     int i8 = dateTime7.getMillisOfDay();
//     org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
//     org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime13.toMutableDateTime();
//     mutableDateTime2.setMillis((org.joda.time.ReadableInstant)mutableDateTime15);
//     org.joda.time.ReadableInstant readableInstant18 = null;
//     org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant18);
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getChronology(chronology19);
//     org.joda.time.MutableDateTime mutableDateTime21 = org.joda.time.MutableDateTime.now(chronology19);
//     org.joda.time.MutableDateTime mutableDateTime22 = new org.joda.time.MutableDateTime(11L, chronology19);
//     org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField24 = iSOChronology23.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField25 = new org.joda.time.field.SkipUndoDateTimeField(chronology19, dateTimeField24);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField26 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField25);
//     org.joda.time.ReadableInstant readableInstant28 = null;
//     org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant28);
//     org.joda.time.Chronology chronology30 = org.joda.time.DateTimeUtils.getChronology(chronology29);
//     org.joda.time.MutableDateTime mutableDateTime31 = org.joda.time.MutableDateTime.now(chronology29);
//     org.joda.time.MutableDateTime mutableDateTime32 = new org.joda.time.MutableDateTime(11L, chronology29);
//     org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField34 = iSOChronology33.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField35 = new org.joda.time.field.SkipUndoDateTimeField(chronology29, dateTimeField34);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField36 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField35);
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = delegatedDateTimeField36.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField38 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField26, dateTimeFieldType37);
//     org.joda.time.MutableDateTime.Property property39 = mutableDateTime2.property(dateTimeFieldType37);
//     org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType37, (java.lang.Number)29158796, "16");
//     java.lang.String str43 = illegalFieldValueException42.getIllegalStringValue();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 29164982);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str43);
// 
//   }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.joda.time.PeriodType periodType0 = null;
    org.joda.time.PeriodType periodType1 = org.joda.time.DateTimeUtils.getPeriodType(periodType0);
    org.joda.time.PeriodType periodType2 = org.joda.time.DateTimeUtils.getPeriodType(periodType0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(periodType2);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.year();
    boolean b1 = dateTimeFormatter0.isPrinter();
    java.io.Writer writer2 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer2, (-2519028979621990L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("08", 29163429, 29161235, 29155880);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() {}
// Defects4J: flaky method
//   @Test
//   public void test315() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
//     org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.clockhourOfDay();
//     org.joda.time.Chronology chronology2 = gregorianChronology0.withUTC();
//     org.joda.time.Chronology chronology3 = null;
//     org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(chronology3);
//     int i5 = dateTime4.getMillisOfDay();
//     org.joda.time.DateTime dateTime7 = dateTime4.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod8 = null;
//     org.joda.time.DateTime dateTime10 = dateTime4.withPeriodAdded(readablePeriod8, 0);
//     org.joda.time.DateMidnight dateMidnight11 = dateTime10.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime10.withPeriodAdded(readablePeriod12, (-1));
//     org.joda.time.DateTime dateTime15 = dateTime10.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property16 = dateTime15.era();
//     org.joda.time.DateTime dateTime18 = dateTime15.plusYears(29154679);
//     org.joda.time.DateTime dateTime19 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone20 = dateTime19.getZone();
//     long long23 = dateTimeZone20.adjustOffset(100L, false);
//     java.lang.String str24 = dateTimeZone20.toString();
//     org.joda.time.DateTime dateTime25 = dateTime15.toDateTime(dateTimeZone20);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone26 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone20);
//     org.joda.time.DateTimeZone dateTimeZone27 = cachedDateTimeZone26.getUncachedZone();
//     org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone26);
//     org.joda.time.DateTimeZone dateTimeZone29 = cachedDateTimeZone26.getUncachedZone();
//     org.joda.time.chrono.ZonedChronology zonedChronology30 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)cachedDateTimeZone26);
//     org.joda.time.Chronology chronology31 = zonedChronology30.withUTC();
//     java.lang.String str32 = zonedChronology30.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long40 = zonedChronology30.getDateTimeMillis(29155098, 29162353, 29162769, 29157510, 29159830, 29155912, 29158542);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 29165230);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long23 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str24 + "' != '" + "America/Los_Angeles"+ "'", str24.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str32 + "' != '" + "ZonedChronology[GregorianChronology[UTC], America/Los_Angeles]"+ "'", str32.equals("ZonedChronology[GregorianChronology[UTC], America/Los_Angeles]"));
// 
//   }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillisOfDay(0);
    org.joda.time.DateTime.Property property4 = dateTime3.secondOfDay();
    org.joda.time.DateTime.Property property5 = dateTime3.minuteOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property5);

  }

  @Test
  public void test317() {}
// Defects4J: flaky method
//   @Test
//   public void test317() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getDurationField();
//     org.joda.time.ReadablePartial readablePartial94 = null;
//     int[] i_array96 = new int[] {  };
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array98 = unsupportedDateTimeField92.add(readablePartial94, 29164408, i_array96, 29160668);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29165354);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29165356);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField93);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array96);
// 
//   }

  @Test
  public void test318() {}
// Defects4J: flaky method
//   @Test
//   public void test318() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     org.joda.time.Chronology chronology22 = null;
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(chronology22);
//     int i24 = dateTime23.getMillisOfDay();
//     org.joda.time.DateTime dateTime26 = dateTime23.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod27 = null;
//     org.joda.time.DateTime dateTime29 = dateTime23.withPeriodAdded(readablePeriod27, 0);
//     org.joda.time.DateMidnight dateMidnight30 = dateTime29.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime31 = dateTime29.toMutableDateTime();
//     org.joda.time.DateTime dateTime32 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone33 = dateTime32.getZone();
//     org.joda.time.DateTime dateTime35 = dateTime32.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant36 = null;
//     org.joda.time.Chronology chronology37 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant36);
//     org.joda.time.DateTime dateTime38 = dateTime32.toDateTime(chronology37);
//     boolean b39 = mutableDateTime31.isAfter((org.joda.time.ReadableInstant)dateTime32);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter40 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter41 = dateTimeFormatter40.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime43 = dateTimeFormatter40.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime44 = dateTime32.withFields((org.joda.time.ReadablePartial)localDateTime43);
//     int[] i_array47 = new int[] { 0, 100 };
//     int i48 = skipUndoDateTimeField14.getMaximumValue((org.joda.time.ReadablePartial)localDateTime43, i_array47);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long51 = skipUndoDateTimeField14.set(28800011L, 29161109);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 29165361);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 366);
// 
//   }

  @Test
  public void test319() {}
// Defects4J: flaky method
//   @Test
//   public void test319() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     int i8 = dateTime7.getDayOfYear();
//     int i9 = dateTime7.getMinuteOfHour();
//     org.joda.time.DateTime.Property property10 = dateTime7.weekyear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29165409);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
// 
//   }

  @Test
  public void test320() {}
// Defects4J: flaky method
//   @Test
//   public void test320() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }
// 
// 
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     boolean b7 = dateTime2.isBefore(0L);
//     org.joda.time.DateTime dateTime9 = dateTime2.withMillis((-1L));
//     org.joda.time.DateTime.Property property10 = dateTime9.weekyear();
//     org.joda.time.DateTime dateTime12 = dateTime9.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime15 = dateTime9.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
//     org.joda.time.DateTimeField dateTimeField16 = iSOChronology13.secondOfDay();
//     org.joda.time.MutableDateTime mutableDateTime17 = new org.joda.time.MutableDateTime((-40845599990L), (org.joda.time.Chronology)iSOChronology13);
//     org.joda.time.DateTimeField dateTimeField18 = iSOChronology13.year();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29165448);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField18);
// 
//   }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(2520423965156542L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("UnsupportedDateTimeField", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "\uFFFD\uFFFD\uFFFD\uFFFD-\uFFFD\uFFFD\uFFFDT15:59:59.999");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i22 = offsetDateTimeField21.getMaximumValue();
    java.util.Locale locale23 = null;
    int i24 = offsetDateTimeField21.getMaximumTextLength(locale23);
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str26 = iSOChronology25.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter27 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter28 = dateTimeFormatter27.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime30 = dateTimeFormatter27.parseLocalDateTime("16");
    long long32 = iSOChronology25.set((org.joda.time.ReadablePartial)localDateTime30, 28800011L);
    int[] i_array36 = new int[] { 10, 1, 10 };
    int i37 = offsetDateTimeField21.getMaximumValue((org.joda.time.ReadablePartial)localDateTime30, i_array36);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime((java.lang.Object)localDateTime30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str26.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 86400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 29155940);

  }

  @Test
  public void test325() {}
// Defects4J: flaky method
//   @Test
//   public void test325() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod12 = null;
//     org.joda.time.DateTime dateTime14 = dateTime8.withPeriodAdded(readablePeriod12, 0);
//     org.joda.time.DateMidnight dateMidnight15 = dateTime14.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     org.joda.time.DateTime dateTime18 = dateTime14.withPeriodAdded(readablePeriod16, (-1));
//     org.joda.time.DateTime dateTime19 = dateTime14.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTimeFieldType dateTimeFieldType20 = null;
//     boolean b21 = dateTime14.isSupported(dateTimeFieldType20);
//     org.joda.time.DateTime dateTime23 = dateTime14.withMinuteOfHour(0);
//     org.joda.time.Chronology chronology24 = null;
//     org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(chronology24);
//     int i26 = dateTime25.getMillisOfDay();
//     org.joda.time.DateTime dateTime28 = dateTime25.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod29 = null;
//     org.joda.time.DateTime dateTime31 = dateTime25.withPeriodAdded(readablePeriod29, 0);
//     org.joda.time.DateMidnight dateMidnight32 = dateTime31.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod33 = null;
//     org.joda.time.DateTime dateTime35 = dateTime31.withPeriodAdded(readablePeriod33, (-1));
//     org.joda.time.DateTime dateTime36 = dateTime31.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property37 = dateTime36.era();
//     org.joda.time.DateTime dateTime39 = dateTime36.plusYears(29154679);
//     org.joda.time.DateTime dateTime40 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone41 = dateTime40.getZone();
//     long long44 = dateTimeZone41.adjustOffset(100L, false);
//     java.lang.String str45 = dateTimeZone41.toString();
//     org.joda.time.DateTime dateTime46 = dateTime36.toDateTime(dateTimeZone41);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone47 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone41);
//     java.lang.String str48 = cachedDateTimeZone47.getID();
//     org.joda.time.DateTime dateTime49 = dateTime14.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone47);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime((java.lang.Object)dateTimeZone1, (org.joda.time.DateTimeZone)cachedDateTimeZone47);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29165549);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 29165550);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long44 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "America/Los_Angeles"+ "'", str45.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "America/Los_Angeles"+ "'", str48.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
// 
//   }

  @Test
  public void test326() {}
// Defects4J: flaky method
//   @Test
//   public void test326() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getChronology(chronology1);
//     org.joda.time.MutableDateTime mutableDateTime3 = org.joda.time.MutableDateTime.now(chronology1);
//     org.joda.time.Chronology chronology4 = null;
//     org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(chronology4);
//     int i6 = dateTime5.getMillisOfDay();
//     org.joda.time.DateTime dateTime8 = dateTime5.withHourOfDay(10);
//     boolean b10 = dateTime5.isBefore(0L);
//     org.joda.time.DateTime dateTime12 = dateTime5.withMillis((-1L));
//     mutableDateTime3.setDate((org.joda.time.ReadableInstant)dateTime5);
//     mutableDateTime3.addMinutes(29156777);
//     org.joda.time.MutableDateTime.Property property16 = mutableDateTime3.secondOfMinute();
//     org.joda.time.DurationFieldType durationFieldType17 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime3.add(durationFieldType17, 29158764);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 29165552);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
// 
//   }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone1 = org.joda.time.DateTimeZone.forID("29159344");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() {}
// Defects4J: flaky method
//   @Test
//   public void test328() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }
// 
// 
//     org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
//     java.lang.Object obj1 = null;
//     org.joda.time.Chronology chronology2 = null;
//     org.joda.time.DateTime dateTime3 = new org.joda.time.DateTime(chronology2);
//     int i4 = dateTime3.getMillisOfDay();
//     org.joda.time.DateTime dateTime6 = dateTime3.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod7 = null;
//     org.joda.time.DateTime dateTime9 = dateTime3.withPeriodAdded(readablePeriod7, 0);
//     org.joda.time.DateMidnight dateMidnight10 = dateTime9.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod11 = null;
//     org.joda.time.DateTime dateTime13 = dateTime9.withPeriodAdded(readablePeriod11, (-1));
//     org.joda.time.DateTime dateTime14 = dateTime9.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property15 = dateTime14.era();
//     org.joda.time.DateTime dateTime17 = dateTime14.plusYears(29154679);
//     org.joda.time.DateTime dateTime18 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone19 = dateTime18.getZone();
//     long long22 = dateTimeZone19.adjustOffset(100L, false);
//     java.lang.String str23 = dateTimeZone19.toString();
//     org.joda.time.DateTime dateTime24 = dateTime14.toDateTime(dateTimeZone19);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     boolean b31 = dateTime26.isBefore(0L);
//     org.joda.time.DateTime dateTime34 = dateTime26.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology35 = null;
//     org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(chronology35);
//     int i37 = dateTime36.getMillisOfDay();
//     org.joda.time.DateTime dateTime39 = dateTime36.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod40 = null;
//     org.joda.time.DateTime dateTime42 = dateTime36.withPeriodAdded(readablePeriod40, 0);
//     org.joda.time.DateMidnight dateMidnight43 = dateTime42.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime44 = dateTime42.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone45 = dateTime42.getZone();
//     org.joda.time.DateTime dateTime46 = dateTime34.toDateTime(dateTimeZone45);
//     org.joda.time.DateTime dateTime47 = dateTime24.toDateTime(dateTimeZone45);
//     long long50 = dateTimeZone45.convertLocalToUTC(0L, true);
//     org.joda.time.MutableDateTime mutableDateTime51 = new org.joda.time.MutableDateTime(obj1, dateTimeZone45);
//     org.joda.time.Chronology chronology52 = gregorianChronology0.withZone(dateTimeZone45);
//     org.joda.time.DateTimeZone dateTimeZone53 = gregorianChronology0.getZone();
//     org.joda.time.Chronology chronology54 = null;
//     org.joda.time.DateTime dateTime55 = new org.joda.time.DateTime(chronology54);
//     int i56 = dateTime55.getMillisOfDay();
//     org.joda.time.DateTime dateTime58 = dateTime55.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod59 = null;
//     org.joda.time.DateTime dateTime61 = dateTime55.withPeriodAdded(readablePeriod59, 0);
//     org.joda.time.DateMidnight dateMidnight62 = dateTime61.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod63 = null;
//     org.joda.time.DateTime dateTime65 = dateTime61.withPeriodAdded(readablePeriod63, (-1));
//     org.joda.time.DateTime dateTime66 = dateTime61.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property67 = dateTime66.era();
//     org.joda.time.DateTime dateTime69 = dateTime66.plusYears(29154679);
//     org.joda.time.DateTime dateTime70 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone71 = dateTime70.getZone();
//     long long74 = dateTimeZone71.adjustOffset(100L, false);
//     java.lang.String str75 = dateTimeZone71.toString();
//     org.joda.time.DateTime dateTime76 = dateTime66.toDateTime(dateTimeZone71);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone77 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone71);
//     org.joda.time.DateTimeZone dateTimeZone78 = cachedDateTimeZone77.getUncachedZone();
//     org.joda.time.chrono.ZonedChronology zonedChronology79 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)cachedDateTimeZone77);
//     long long83 = cachedDateTimeZone77.convertLocalToUTC(1L, false, 11L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gregorianChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 29165554);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long22 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "America/Los_Angeles"+ "'", str23.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29165556);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b31 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i37 == 29165556);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long50 == 28800000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 29165557);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long74 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str75 + "' != '" + "America/Los_Angeles"+ "'", str75.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(zonedChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long83 == 28800001L);
// 
//   }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    long long16 = unsupportedDurationField1.getUnitMillis();
    // The following exception was thrown during execution in test generation
    try {
      long long18 = unsupportedDurationField1.getMillis(29159990);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);

  }

  @Test
  public void test330() {}
// Defects4J: flaky method
//   @Test
//   public void test330() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     boolean b6 = dateTime1.isBefore(0L);
//     org.joda.time.DateTime dateTime9 = dateTime1.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology10 = null;
//     org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(chronology10);
//     int i12 = dateTime11.getMillisOfDay();
//     org.joda.time.DateTime dateTime14 = dateTime11.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod15 = null;
//     org.joda.time.DateTime dateTime17 = dateTime11.withPeriodAdded(readablePeriod15, 0);
//     org.joda.time.DateMidnight dateMidnight18 = dateTime17.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime19 = dateTime17.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone20 = dateTime17.getZone();
//     org.joda.time.DateTime dateTime21 = dateTime9.toDateTime(dateTimeZone20);
//     org.joda.time.ReadablePeriod readablePeriod22 = null;
//     org.joda.time.DateTime dateTime23 = dateTime9.plus(readablePeriod22);
//     org.joda.time.DateTime.Property property24 = dateTime9.millisOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29165680);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 29165681);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property24);
// 
//   }

  @Test
  public void test331() {}
// Defects4J: flaky method
//   @Test
//   public void test331() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     mutableDateTime21.addWeekyears(29155801);
//     mutableDateTime21.addYears(29157877);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime21.setTime(29162210, 29159212, 29162707, 29156073);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29165695);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
// 
//   }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.joda.time.Instant instant0 = new org.joda.time.Instant();
    org.joda.time.Instant instant2 = instant0.minus(0L);
    org.joda.time.Instant instant4 = instant0.withMillis(11L);
    org.joda.time.MutableDateTime mutableDateTime5 = instant0.toMutableDateTimeISO();
    org.joda.time.ReadableDuration readableDuration6 = null;
    org.joda.time.Instant instant8 = instant0.withDurationAdded(readableDuration6, 29156982);
    org.joda.time.Instant instant9 = instant8.toInstant();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant9);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    int i3 = mutableDateTime2.getRoundingMode();
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime2.setMonthOfYear(29161859);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime8 = dateTime3.withTime(29165709, 29160698, 29155921, 29162861);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(29157674, 29156775);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 58314449);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.joda.time.ReadableInstant readableInstant0 = null;
    org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfYear();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField4 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField3);
    org.joda.time.field.SkipDateTimeField skipDateTimeField5 = new org.joda.time.field.SkipDateTimeField(chronology1, dateTimeField3);
    long long8 = skipDateTimeField5.getDifferenceAsLong(2519355898622658L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 29159211L);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.DurationField durationField7 = julianChronology6.days();
    java.lang.String str8 = julianChronology6.toString();
    java.lang.String str9 = julianChronology6.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long14 = julianChronology6.getDateTimeMillis(29161691, 29160858, 29160857, 29164802);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "JulianChronology[America/Los_Angeles]"+ "'", str8.equals("JulianChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "JulianChronology[America/Los_Angeles]"+ "'", str9.equals("JulianChronology[America/Los_Angeles]"));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = dateTimeFormatter0.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime3 = dateTimeFormatter0.parseLocalDateTime("16");
    boolean b4 = dateTimeFormatter0.isPrinter();
    // The following exception was thrown during execution in test generation
    try {
      long long6 = dateTimeFormatter0.parseMillis("2016-02-21T08:05:55.880-08:00");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    java.io.DataInput dataInput0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(dataInput0, "23");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test340() {}
// Defects4J: flaky method
//   @Test
//   public void test340() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }
// 
// 
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.weekyearWeekDay();
//     org.joda.time.Chronology chronology1 = null;
//     org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
//     int i3 = dateTime2.getMillisOfDay();
//     org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod6 = null;
//     org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
//     org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
//     java.lang.String str12 = dateTimeZone11.toString();
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(dateTimeZone11);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter14 = dateTimeFormatter0.withZone(dateTimeZone11);
//     java.lang.Appendable appendable15 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter14.printTo(appendable15, 100L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 29166101);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "America/Los_Angeles"+ "'", str12.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter14);
// 
//   }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.joda.time.chrono.GJChronology gJChronology0 = org.joda.time.chrono.GJChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gJChronology0.dayOfYear();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gJChronology0.getDateTimeMillis(29160569, 29157527, 29164879, 29157740, 29158266, 0, 29165842);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test342() {}
// Defects4J: flaky method
//   @Test
//   public void test342() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     mutableDateTime9.add(0L);
//     mutableDateTime9.setMillisOfDay(29154898);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
//     org.joda.time.MutableDateTime.Property property16 = mutableDateTime9.dayOfWeek();
//     org.joda.time.MutableDateTime.Property property17 = mutableDateTime9.weekOfWeekyear();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime9.setMillisOfSecond(29158394);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29166415);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
// 
//   }

  @Test
  public void test343() {}
// Defects4J: flaky method
//   @Test
//   public void test343() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }
// 
// 
//     org.joda.time.ReadableInstant readableInstant0 = null;
//     org.joda.time.Chronology chronology1 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant0);
//     org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfYear();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField4 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField3);
//     org.joda.time.field.SkipDateTimeField skipDateTimeField5 = new org.joda.time.field.SkipDateTimeField(chronology1, dateTimeField3);
//     java.util.Locale locale7 = null;
//     java.lang.String str8 = skipDateTimeField5.getAsText(10L, locale7);
//     int i9 = skipDateTimeField5.getMinimumValue();
//     int i11 = skipDateTimeField5.get((-1L));
//     org.joda.time.Chronology chronology12 = null;
//     org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(chronology12);
//     int i14 = dateTime13.getMillisOfDay();
//     org.joda.time.DateTime dateTime16 = dateTime13.withHourOfDay(10);
//     boolean b18 = dateTime13.isBefore(0L);
//     org.joda.time.DateTime dateTime20 = dateTime13.withMillis((-1L));
//     org.joda.time.DateTime.Property property21 = dateTime20.weekyear();
//     org.joda.time.DateTime dateTime23 = dateTime20.plusMonths(29154657);
//     org.joda.time.DateTime dateTime25 = dateTime20.plusYears(0);
//     org.joda.time.TimeOfDay timeOfDay26 = dateTime25.toTimeOfDay();
//     int i27 = skipDateTimeField5.getMinimumValue((org.joda.time.ReadablePartial)timeOfDay26);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(chronology28);
//     int i30 = dateTime29.getMillisOfDay();
//     org.joda.time.DateTime dateTime32 = dateTime29.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod33 = null;
//     org.joda.time.DateTime dateTime35 = dateTime29.withPeriodAdded(readablePeriod33, 0);
//     org.joda.time.DateMidnight dateMidnight36 = dateTime35.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime37 = dateTime35.toMutableDateTime();
//     org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
//     org.joda.time.DateTime dateTime41 = dateTime38.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant42 = null;
//     org.joda.time.Chronology chronology43 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant42);
//     org.joda.time.DateTime dateTime44 = dateTime38.toDateTime(chronology43);
//     boolean b45 = mutableDateTime37.isAfter((org.joda.time.ReadableInstant)dateTime38);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter46 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter47 = dateTimeFormatter46.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime49 = dateTimeFormatter46.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime50 = dateTime38.withFields((org.joda.time.ReadablePartial)localDateTime49);
//     org.joda.time.ReadableInstant readableInstant53 = null;
//     org.joda.time.Chronology chronology54 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant53);
//     org.joda.time.Chronology chronology55 = org.joda.time.DateTimeUtils.getChronology(chronology54);
//     org.joda.time.MutableDateTime mutableDateTime56 = org.joda.time.MutableDateTime.now(chronology54);
//     org.joda.time.MutableDateTime mutableDateTime57 = new org.joda.time.MutableDateTime(11L, chronology54);
//     org.joda.time.chrono.ISOChronology iSOChronology58 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField59 = iSOChronology58.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField60 = new org.joda.time.field.SkipUndoDateTimeField(chronology54, dateTimeField59);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField61 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField60);
//     org.joda.time.DateTimeField dateTimeField62 = skipUndoDateTimeField60.getWrappedField();
//     org.joda.time.Chronology chronology63 = null;
//     org.joda.time.DateTime dateTime64 = new org.joda.time.DateTime(chronology63);
//     int i65 = dateTime64.getMillisOfDay();
//     org.joda.time.DateTime dateTime67 = dateTime64.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod68 = null;
//     org.joda.time.DateTime dateTime70 = dateTime64.withPeriodAdded(readablePeriod68, 0);
//     org.joda.time.DateMidnight dateMidnight71 = dateTime70.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime72 = dateTime70.toMutableDateTime();
//     org.joda.time.DateTime dateTime73 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone74 = dateTime73.getZone();
//     org.joda.time.DateTime dateTime76 = dateTime73.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant77 = null;
//     org.joda.time.Chronology chronology78 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant77);
//     org.joda.time.DateTime dateTime79 = dateTime73.toDateTime(chronology78);
//     boolean b80 = mutableDateTime72.isAfter((org.joda.time.ReadableInstant)dateTime73);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter81 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter82 = dateTimeFormatter81.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime84 = dateTimeFormatter81.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime85 = dateTime73.withFields((org.joda.time.ReadablePartial)localDateTime84);
//     int[] i_array86 = new int[] {  };
//     int i87 = skipUndoDateTimeField60.getMinimumValue((org.joda.time.ReadablePartial)localDateTime84, i_array86);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array89 = skipDateTimeField5.addWrapPartial((org.joda.time.ReadablePartial)localDateTime49, 0, i_array86, 29165047);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "365"+ "'", str8.equals("365"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 29166490);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeOfDay26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 29166492);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b45 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 29166495);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b80 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array86);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i87 == 1);
// 
//   }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.DateTimeFormat.fullTime();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime2 = dateTimeFormatter0.parseLocalTime("ISOChronology[America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    boolean b1 = dateTimeFormatter0.isOffsetParsed();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withPivotYear(10);
    java.lang.Integer i4 = dateTimeFormatter3.getPivotYear();
    java.lang.Appendable appendable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter3.printTo(appendable5, (-40842000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 10+ "'", i4.equals(10));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
    org.joda.time.ReadablePartial readablePartial27 = null;
    int[] i_array28 = null;
    int i29 = offsetDateTimeField21.getMinimumValue(readablePartial27, i_array28);
    long long31 = offsetDateTimeField21.roundHalfFloor((-29154898L));
    int i33 = offsetDateTimeField21.getMinimumValue((-950399989L));
    boolean b35 = offsetDateTimeField21.isLeap(10L);
    // The following exception was thrown during execution in test generation
    try {
      long long38 = offsetDateTimeField21.set(0L, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == (-57600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29157104, 29158532);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter8 = dateTimeFormatter7.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime10 = dateTimeFormatter7.parseLocalDateTime("16");
    boolean b11 = dateTimeFormatter7.isPrinter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder6.append(dateTimeFormatter7);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder14 = dateTimeFormatterBuilder6.appendSecondOfMinute(29160016);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder16 = dateTimeFormatterBuilder14.appendLiteral(' ');
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder19 = dateTimeFormatterBuilder16.appendYear(29156192, 0);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder21 = dateTimeFormatterBuilder16.appendMonthOfYear(29158767);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder24 = dateTimeFormatterBuilder16.appendCenturyOfEra(29157795, 29160622);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder24);

  }

  @Test
  public void test348() {}
// Defects4J: flaky method
//   @Test
//   public void test348() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long95 = unsupportedDateTimeField92.roundCeiling(1438441563765L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29166758);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29166759);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField93);
// 
//   }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter1 = org.joda.time.format.DateTimeFormat.forStyle("365");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() {}
// Defects4J: flaky method
//   @Test
//   public void test350() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant4 = null;
//     org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
//     org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
//     int i11 = dateTime10.getMillisOfDay();
//     org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod14 = null;
//     org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
//     org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
//     org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property22 = dateTime21.era();
//     org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
//     org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
//     long long29 = dateTimeZone26.adjustOffset(100L, false);
//     java.lang.String str30 = dateTimeZone26.toString();
//     org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
//     org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
//     java.lang.String str34 = cachedDateTimeZone32.toString();
//     org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     org.joda.time.chrono.GJChronology gJChronology36 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long44 = gJChronology36.getDateTimeMillis(3, 29157823, 29159934, 0, 0, 29156062, 29160248);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 29166766);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology36);
// 
//   }

  @Test
  public void test351() {}
// Defects4J: flaky method
//   @Test
//   public void test351() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     org.joda.time.MutableDateTime mutableDateTime11 = mutableDateTime9.copy();
//     boolean b13 = mutableDateTime11.equals((java.lang.Object)29158704);
//     mutableDateTime11.setTime(43022658L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29166769);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
// 
//   }

  @Test
  public void test352() {}
// Defects4J: flaky method
//   @Test
//   public void test352() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.DateTime dateTime6 = dateTime4.withYearOfCentury(54);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime8 = dateTime4.withDayOfYear(29158690);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29166824);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
// 
//   }

  @Test
  public void test353() {}
// Defects4J: flaky method
//   @Test
//   public void test353() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
//     java.lang.String str25 = cachedDateTimeZone23.getNameKey(28800011L);
//     org.joda.time.chrono.BuddhistChronology buddhistChronology26 = org.joda.time.chrono.BuddhistChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter27 = org.joda.time.format.ISODateTimeFormat.hourMinuteSecondFraction();
//     boolean b28 = buddhistChronology26.equals((java.lang.Object)dateTimeFormatter27);
//     org.joda.time.ReadablePeriod readablePeriod29 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array32 = buddhistChronology26.get(readablePeriod29, (-1259482435621990L), 5008277347199999L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29166824);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "PST"+ "'", str25.equals("PST"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(buddhistChronology26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b28 == false);
// 
//   }

  @Test
  public void test354() {}
// Defects4J: flaky method
//   @Test
//   public void test354() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     java.lang.String str93 = unsupportedDateTimeField92.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str95 = unsupportedDateTimeField92.getAsShortText(2519521974000000L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29166883);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29166884);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str93 + "' != '" + "UnsupportedDateTimeField"+ "'", str93.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)29164279, (java.lang.Number)29156709);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateOptionalTimeParser();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = dateTimeFormatter0.print((-40842000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str1 = iSOChronology0.toString();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.hourOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.secondOfMinute();
    org.joda.time.Chronology chronology5 = iSOChronology0.withUTC();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str1.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);

  }

  @Test
  public void test358() {}
// Defects4J: flaky method
//   @Test
//   public void test358() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getDurationField();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i94 = unsupportedDateTimeField92.getMinimumValue();
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29167025);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29167027);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField93);
// 
//   }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.joda.time.Instant instant0 = new org.joda.time.Instant();
    org.joda.time.Instant instant2 = instant0.minus(0L);
    org.joda.time.Instant instant4 = instant0.withMillis(11L);
    org.joda.time.Instant instant5 = instant4.toInstant();
    long long6 = instant5.getMillis();
    org.joda.time.DateTime dateTime7 = instant5.toDateTimeISO();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.dateHourMinuteSecondFraction();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalDate localDate2 = dateTimeFormatter0.parseLocalDate("29155926");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test361() {}
// Defects4J: flaky method
//   @Test
//   public void test361() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter2 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     boolean b3 = dateTimeFormatter2.isOffsetParsed();
//     java.lang.String str4 = dateTime0.toString(dateTimeFormatter2);
//     java.io.Writer writer5 = null;
//     org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime8 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology6);
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     mutableDateTime8.add(readablePeriod9, 29154978);
//     org.joda.time.ReadableInstant readableInstant13 = null;
//     org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant13);
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology(chronology14);
//     org.joda.time.MutableDateTime mutableDateTime16 = org.joda.time.MutableDateTime.now(chronology14);
//     org.joda.time.MutableDateTime mutableDateTime17 = new org.joda.time.MutableDateTime(11L, chronology14);
//     org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField20 = new org.joda.time.field.SkipUndoDateTimeField(chronology14, dateTimeField19);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField20);
//     java.util.Locale locale22 = null;
//     int i23 = skipUndoDateTimeField20.getMaximumTextLength(locale22);
//     org.joda.time.DurationField durationField24 = skipUndoDateTimeField20.getDurationField();
//     mutableDateTime8.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField20);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField27 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField20, 29155574);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(chronology28);
//     int i30 = dateTime29.getMillisOfDay();
//     org.joda.time.DateTime dateTime32 = dateTime29.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod33 = null;
//     org.joda.time.DateTime dateTime35 = dateTime29.withPeriodAdded(readablePeriod33, 0);
//     org.joda.time.DateMidnight dateMidnight36 = dateTime35.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime37 = dateTime35.toMutableDateTime();
//     org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
//     org.joda.time.DateTime dateTime41 = dateTime38.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant42 = null;
//     org.joda.time.Chronology chronology43 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant42);
//     org.joda.time.DateTime dateTime44 = dateTime38.toDateTime(chronology43);
//     boolean b45 = mutableDateTime37.isAfter((org.joda.time.ReadableInstant)dateTime38);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter46 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter47 = dateTimeFormatter46.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime49 = dateTimeFormatter46.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime50 = dateTime38.withFields((org.joda.time.ReadablePartial)localDateTime49);
//     int[] i_array53 = new int[] { 0, 100 };
//     int i54 = skipUndoDateTimeField20.getMaximumValue((org.joda.time.ReadablePartial)localDateTime49, i_array53);
//     boolean b55 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDateTime49);
//     // The following exception was thrown during execution in test generation
//     try {
//       dateTimeFormatter2.printTo(writer5, (org.joda.time.ReadablePartial)localDateTime49);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str4 + "' != '" + "16"+ "'", str4.equals("16"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 29167124);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b45 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i54 == 366);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == true);
// 
//   }

  @Test
  public void test362() {}
// Defects4J: flaky method
//   @Test
//   public void test362() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     org.joda.time.DateTime dateTime3 = dateTime1.withMillisOfDay(0);
//     org.joda.time.DateTime dateTime5 = dateTime3.minus(0L);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter6 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter7 = dateTimeFormatter6.withZoneUTC();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter9 = dateTimeFormatter6.withPivotYear(29154829);
//     java.lang.String str10 = dateTime3.toString(dateTimeFormatter6);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.LocalTime localTime12 = dateTimeFormatter6.parseLocalTime("29154701");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "08"+ "'", str10.equals("08"));
// 
//   }

  @Test
  public void test363() {}
// Defects4J: flaky method
//   @Test
//   public void test363() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     mutableDateTime9.addHours(29162363);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29167395);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
// 
//   }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
    org.joda.time.ReadablePartial readablePartial27 = null;
    int[] i_array28 = null;
    int i29 = offsetDateTimeField21.getMinimumValue(readablePartial27, i_array28);
    long long31 = offsetDateTimeField21.roundHalfFloor((-29154898L));
    int i33 = offsetDateTimeField21.getMinimumValue((-950399989L));
    int i35 = offsetDateTimeField21.getMinimumValue(28800010L);
    org.joda.time.DurationField durationField36 = offsetDateTimeField21.getLeapDurationField();
    int i37 = offsetDateTimeField21.getMinimumValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType38 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField40 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType38, 29157305);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == (-57600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 29155574);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone4 = new org.joda.time.tz.FixedDateTimeZone("PST", "", 29154898, 29154796);
    boolean b5 = fixedDateTimeZone4.isFixed();
    boolean b6 = fixedDateTimeZone4.isFixed();
    java.util.TimeZone timeZone7 = fixedDateTimeZone4.toTimeZone();
    long long11 = fixedDateTimeZone4.convertLocalToUTC(1456157158199L, false, 57600001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 1456128003301L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)29160814, (java.lang.Object)100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test367() {}
// Defects4J: flaky method
//   @Test
//   public void test367() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
//     org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
//     java.lang.String str28 = iSOChronology27.toString();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter29 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter30 = dateTimeFormatter29.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime32 = dateTimeFormatter29.parseLocalDateTime("16");
//     long long34 = iSOChronology27.set((org.joda.time.ReadablePartial)localDateTime32, 28800011L);
//     org.joda.time.chrono.ISOChronology iSOChronology36 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField37 = iSOChronology36.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology36);
//     org.joda.time.ReadablePeriod readablePeriod39 = null;
//     mutableDateTime38.add(readablePeriod39, 29154978);
//     org.joda.time.ReadableInstant readableInstant43 = null;
//     org.joda.time.Chronology chronology44 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant43);
//     org.joda.time.Chronology chronology45 = org.joda.time.DateTimeUtils.getChronology(chronology44);
//     org.joda.time.MutableDateTime mutableDateTime46 = org.joda.time.MutableDateTime.now(chronology44);
//     org.joda.time.MutableDateTime mutableDateTime47 = new org.joda.time.MutableDateTime(11L, chronology44);
//     org.joda.time.chrono.ISOChronology iSOChronology48 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField49 = iSOChronology48.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField50 = new org.joda.time.field.SkipUndoDateTimeField(chronology44, dateTimeField49);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField51 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField50);
//     java.util.Locale locale52 = null;
//     int i53 = skipUndoDateTimeField50.getMaximumTextLength(locale52);
//     org.joda.time.DurationField durationField54 = skipUndoDateTimeField50.getDurationField();
//     mutableDateTime38.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField50);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField57 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField50, 29155574);
//     org.joda.time.Chronology chronology58 = null;
//     org.joda.time.DateTime dateTime59 = new org.joda.time.DateTime(chronology58);
//     int i60 = dateTime59.getMillisOfDay();
//     org.joda.time.DateTime dateTime62 = dateTime59.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod63 = null;
//     org.joda.time.DateTime dateTime65 = dateTime59.withPeriodAdded(readablePeriod63, 0);
//     org.joda.time.DateMidnight dateMidnight66 = dateTime65.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime67 = dateTime65.toMutableDateTime();
//     org.joda.time.DateTime dateTime68 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone69 = dateTime68.getZone();
//     org.joda.time.DateTime dateTime71 = dateTime68.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant72 = null;
//     org.joda.time.Chronology chronology73 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant72);
//     org.joda.time.DateTime dateTime74 = dateTime68.toDateTime(chronology73);
//     boolean b75 = mutableDateTime67.isAfter((org.joda.time.ReadableInstant)dateTime68);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter76 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter77 = dateTimeFormatter76.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime79 = dateTimeFormatter76.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime80 = dateTime68.withFields((org.joda.time.ReadablePartial)localDateTime79);
//     int[] i_array83 = new int[] { 0, 100 };
//     int i84 = skipUndoDateTimeField50.getMaximumValue((org.joda.time.ReadablePartial)localDateTime79, i_array83);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array86 = offsetDateTimeField21.add((org.joda.time.ReadablePartial)localDateTime32, 29154898, i_array83, 29162769);
//       org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
//     } catch (java.lang.ArrayIndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 29155940);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str28.equals("ISOChronology[America/Los_Angeles]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long34 == 86400000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i53 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i60 == 29167414);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b75 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i84 == 366);
// 
//   }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.joda.time.DateTimeZone dateTimeZone5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(29156982, 29164849, 29155804, 29164742, 29155804, dateTimeZone5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() {}
// Defects4J: flaky method
//   @Test
//   public void test369() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant4 = null;
//     org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
//     org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
//     int i11 = dateTime10.getMillisOfDay();
//     org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod14 = null;
//     org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
//     org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
//     org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property22 = dateTime21.era();
//     org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
//     org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
//     long long29 = dateTimeZone26.adjustOffset(100L, false);
//     java.lang.String str30 = dateTimeZone26.toString();
//     org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
//     org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
//     java.lang.String str34 = cachedDateTimeZone32.toString();
//     org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     org.joda.time.chrono.GJChronology gJChronology36 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     org.joda.time.DateTime dateTime37 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone38 = dateTime37.getZone();
//     org.joda.time.Chronology chronology39 = gJChronology36.withZone(dateTimeZone38);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long45 = gJChronology36.getDateTimeMillis(43022658L, (-1), 29165897, 0, 29154686);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 29167486);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology39);
// 
//   }

  @Test
  public void test370() {}
// Defects4J: flaky method
//   @Test
//   public void test370() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }
// 
// 
//     org.joda.time.Instant instant0 = new org.joda.time.Instant();
//     org.joda.time.Instant instant2 = instant0.minus(0L);
//     org.joda.time.Instant instant4 = instant0.withMillis(11L);
//     org.joda.time.MutableDateTime mutableDateTime5 = instant0.toMutableDateTimeISO();
//     org.joda.time.DateTime dateTime6 = instant0.toDateTimeISO();
//     org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime((java.lang.Object)dateTime6);
//     org.joda.time.DateTime dateTime9 = dateTime7.withYearOfEra(29155921);
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     long long14 = dateTimeZone11.adjustOffset(100L, false);
//     java.lang.String str15 = dateTimeZone11.toString();
//     org.joda.time.chrono.JulianChronology julianChronology16 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone11);
//     org.joda.time.Chronology chronology17 = null;
//     org.joda.time.DateTime dateTime18 = new org.joda.time.DateTime(chronology17);
//     int i19 = dateTime18.getMillisOfDay();
//     org.joda.time.DateTime dateTime21 = dateTime18.withHourOfDay(10);
//     boolean b23 = dateTime18.isBefore(0L);
//     org.joda.time.DateTime dateTime25 = dateTime18.withMillis((-1L));
//     org.joda.time.DateTime.Property property26 = dateTime25.weekyear();
//     org.joda.time.DateTime dateTime28 = dateTime25.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime31 = dateTime25.toMutableDateTime((org.joda.time.Chronology)iSOChronology29);
//     org.joda.time.MutableDateTime.Property property32 = mutableDateTime31.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime33 = null;
//     org.joda.time.chrono.LimitChronology limitChronology34 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology16, (org.joda.time.ReadableDateTime)mutableDateTime31, readableDateTime33);
//     org.joda.time.Chronology chronology35 = julianChronology16.withUTC();
//     org.joda.time.DurationField durationField36 = julianChronology16.weekyears();
//     org.joda.time.DateTime dateTime37 = dateTime7.toDateTime((org.joda.time.Chronology)julianChronology16);
//     int i38 = dateTime7.getHourOfDay();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(instant4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str15 + "' != '" + "America/Los_Angeles"+ "'", str15.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 29167489);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 8);
// 
//   }

  @Test
  public void test371() {}
// Defects4J: flaky method
//   @Test
//   public void test371() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }
// 
// 
//     org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
//     org.joda.time.ReadablePeriod readablePeriod3 = null;
//     mutableDateTime2.add(readablePeriod3, 29154978);
//     org.joda.time.ReadableInstant readableInstant7 = null;
//     org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
//     org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
//     org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
//     org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     java.util.Locale locale16 = null;
//     int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
//     org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
//     mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
//     org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
//     int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
//     org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant39 = null;
//     org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
//     org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
//     boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
//     int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
//     org.joda.time.Chronology chronology49 = null;
//     org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
//     int i51 = dateTime50.getMillisOfDay();
//     org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
//     boolean b55 = dateTime50.isBefore(0L);
//     org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
//     org.joda.time.DateTime.Property property58 = dateTime57.year();
//     org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
//     org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
//     org.joda.time.ReadableInstant readableInstant64 = null;
//     org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
//     org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
//     org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
//     org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
//     org.joda.time.ReadableInstant readableInstant74 = null;
//     org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
//     org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
//     org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
//     org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
//     org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
//     int i85 = dateTime60.get(dateTimeFieldType83);
//     org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
//     org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
//     org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
//     org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
//     org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
//     java.lang.String str93 = unsupportedDateTimeField92.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str95 = unsupportedDateTimeField92.getAsText(100L);
//       org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
//     } catch (java.lang.UnsupportedOperationException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29167516);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i48 == 29155574);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i51 == 29167518);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b55 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i85 == 365);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology88);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(durationField91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str93 + "' != '" + "UnsupportedDateTimeField"+ "'", str93.equals("UnsupportedDateTimeField"));
// 
//   }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1259482435621990L), 2519355855600000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3778838291221990L));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(29162582, 0, 29154657);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 7924);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime5 = new org.joda.time.DateTime(29159990, 29162008, 29156516, 29161646, 29160456);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() {}
// Defects4J: flaky method
//   @Test
//   public void test375() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant4 = null;
//     org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
//     org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
//     org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
//     org.joda.time.Chronology chronology9 = null;
//     org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
//     int i11 = dateTime10.getMillisOfDay();
//     org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod14 = null;
//     org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
//     org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
//     org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property22 = dateTime21.era();
//     org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
//     org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
//     long long29 = dateTimeZone26.adjustOffset(100L, false);
//     java.lang.String str30 = dateTimeZone26.toString();
//     org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
//     org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
//     java.lang.String str34 = cachedDateTimeZone32.toString();
//     org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     org.joda.time.chrono.GJChronology gJChronology36 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32);
//     int i38 = cachedDateTimeZone32.getStandardOffset(920036150783999999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 29167611);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(gJChronology36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == (-28800000));
// 
//   }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.joda.time.chrono.ISOChronology iSOChronology5 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str6 = iSOChronology5.toString();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology5.minuteOfDay();
    org.joda.time.DurationField durationField8 = iSOChronology5.halfdays();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology5.hourOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(29161977, 0, 29160893, 29160851, 29158442, (org.joda.time.Chronology)iSOChronology5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str6.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);

  }

  @Test
  public void test377() {}
// Defects4J: flaky method
//   @Test
//   public void test377() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }
// 
// 
//     org.joda.time.Chronology chronology5 = null;
//     org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(chronology5);
//     int i7 = dateTime6.getMillisOfDay();
//     org.joda.time.DateTime dateTime9 = dateTime6.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod10 = null;
//     org.joda.time.DateTime dateTime12 = dateTime6.withPeriodAdded(readablePeriod10, 0);
//     org.joda.time.DateMidnight dateMidnight13 = dateTime12.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod14 = null;
//     org.joda.time.DateTime dateTime16 = dateTime12.withPeriodAdded(readablePeriod14, (-1));
//     org.joda.time.DateTime dateTime17 = dateTime12.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property18 = dateTime17.era();
//     org.joda.time.DateTime dateTime20 = dateTime17.plusYears(29154679);
//     org.joda.time.DateTime dateTime21 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone22 = dateTime21.getZone();
//     long long25 = dateTimeZone22.adjustOffset(100L, false);
//     java.lang.String str26 = dateTimeZone22.toString();
//     org.joda.time.DateTime dateTime27 = dateTime17.toDateTime(dateTimeZone22);
//     org.joda.time.Chronology chronology28 = null;
//     org.joda.time.DateTime dateTime29 = new org.joda.time.DateTime(chronology28);
//     int i30 = dateTime29.getMillisOfDay();
//     org.joda.time.DateTime dateTime32 = dateTime29.withHourOfDay(10);
//     boolean b34 = dateTime29.isBefore(0L);
//     org.joda.time.DateTime dateTime37 = dateTime29.withDurationAdded(11L, 29154796);
//     org.joda.time.Chronology chronology38 = null;
//     org.joda.time.DateTime dateTime39 = new org.joda.time.DateTime(chronology38);
//     int i40 = dateTime39.getMillisOfDay();
//     org.joda.time.DateTime dateTime42 = dateTime39.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod43 = null;
//     org.joda.time.DateTime dateTime45 = dateTime39.withPeriodAdded(readablePeriod43, 0);
//     org.joda.time.DateMidnight dateMidnight46 = dateTime45.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime47 = dateTime45.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone48 = dateTime45.getZone();
//     org.joda.time.DateTime dateTime49 = dateTime37.toDateTime(dateTimeZone48);
//     org.joda.time.DateTime dateTime50 = dateTime27.toDateTime(dateTimeZone48);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.joda.time.DateTime dateTime51 = new org.joda.time.DateTime(29163567, 29164802, 29161809, 29156383, 31, dateTimeZone48);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 29167644);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "America/Los_Angeles"+ "'", str26.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 29167645);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 29167646);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime50);
// 
//   }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.clockhourOfDay();
    org.joda.time.Chronology chronology2 = gregorianChronology0.withUTC();
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array5 = gregorianChronology0.get(readablePeriod3, (-27711959554459722L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.joda.time.DateTimeZone dateTimeZone0 = org.joda.time.DateTimeZone.UTC;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone0);

  }

  @Test
  public void test380() {}
// Defects4J: flaky method
//   @Test
//   public void test380() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.Chronology chronology18 = null;
//     org.joda.time.DateTime dateTime19 = new org.joda.time.DateTime(chronology18);
//     int i20 = dateTime19.getMillisOfDay();
//     org.joda.time.DateTime dateTime22 = dateTime19.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod23 = null;
//     org.joda.time.DateTime dateTime25 = dateTime19.withPeriodAdded(readablePeriod23, 0);
//     org.joda.time.DateMidnight dateMidnight26 = dateTime25.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime27 = dateTime25.toMutableDateTime();
//     org.joda.time.DateTime dateTime28 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone29 = dateTime28.getZone();
//     org.joda.time.DateTime dateTime31 = dateTime28.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant32 = null;
//     org.joda.time.Chronology chronology33 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant32);
//     org.joda.time.DateTime dateTime34 = dateTime28.toDateTime(chronology33);
//     boolean b35 = mutableDateTime27.isAfter((org.joda.time.ReadableInstant)dateTime28);
//     org.joda.time.ReadablePeriod readablePeriod36 = null;
//     org.joda.time.DateTime dateTime38 = dateTime28.withPeriodAdded(readablePeriod36, 29154785);
//     boolean b39 = dateTime10.isBefore((org.joda.time.ReadableInstant)dateTime28);
//     boolean b41 = dateTime28.isAfter((-1259482407243990L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29167727);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 29167728);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b35 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b41 == true);
// 
//   }

  @Test
  public void test381() {}
// Defects4J: flaky method
//   @Test
//   public void test381() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone10 = dateTime7.getZone();
//     org.joda.time.Chronology chronology11 = null;
//     org.joda.time.DateTime dateTime12 = new org.joda.time.DateTime(chronology11);
//     int i13 = dateTime12.getMillisOfDay();
//     org.joda.time.DateTime dateTime15 = dateTime12.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod16 = null;
//     org.joda.time.DateTime dateTime18 = dateTime12.withPeriodAdded(readablePeriod16, 0);
//     org.joda.time.DateMidnight dateMidnight19 = dateTime18.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime20 = dateTime18.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone21 = dateTime18.getZone();
//     java.lang.String str22 = dateTimeZone21.toString();
//     org.joda.time.DateTime dateTime23 = new org.joda.time.DateTime(dateTimeZone21);
//     org.joda.time.DateTime dateTime24 = dateTime7.toDateTime(dateTimeZone21);
//     java.util.Date date25 = dateTime24.toDate();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29167762);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 29167763);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "America/Los_Angeles"+ "'", str22.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date25);
// 
//   }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    // The following exception was thrown during execution in test generation
    try {
      long long12 = skipUndoDateTimeField8.set(5008277347199999L, 29156158);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);

  }

  @Test
  public void test383() {}
// Defects4J: flaky method
//   @Test
//   public void test383() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.ReadablePeriod readablePeriod9 = null;
//     org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
//     org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
//     org.joda.time.DateTime.Property property13 = dateTime12.era();
//     org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
//     org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
//     long long20 = dateTimeZone17.adjustOffset(100L, false);
//     java.lang.String str21 = dateTimeZone17.toString();
//     org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
//     org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
//     org.joda.time.DateTimeZone dateTimeZone24 = cachedDateTimeZone23.getUncachedZone();
//     org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
//     java.lang.String str26 = iSOChronology25.toString();
//     org.joda.time.DateTimeField dateTimeField27 = iSOChronology25.yearOfCentury();
//     org.joda.time.DateTimeField dateTimeField28 = iSOChronology25.dayOfYear();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField29 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField28);
//     int i31 = delegatedDateTimeField29.getLeapAmount((-14577342L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29167779);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(cachedDateTimeZone23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str26.equals("ISOChronology[America/Los_Angeles]"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 0);
// 
//   }

  @Test
  public void test384() {}
// Defects4J: flaky method
//   @Test
//   public void test384() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     org.joda.time.Chronology chronology25 = null;
//     org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
//     int i27 = dateTime26.getMillisOfDay();
//     org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod30 = null;
//     org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
//     org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone35 = dateTime32.getZone();
//     org.joda.time.Chronology chronology36 = null;
//     org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(chronology36);
//     int i38 = dateTime37.getMillisOfDay();
//     org.joda.time.DateTime dateTime40 = dateTime37.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod41 = null;
//     org.joda.time.DateTime dateTime43 = dateTime37.withPeriodAdded(readablePeriod41, 0);
//     org.joda.time.DateMidnight dateMidnight44 = dateTime43.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime45 = dateTime43.toMutableDateTime();
//     org.joda.time.DateTimeZone dateTimeZone46 = dateTime43.getZone();
//     java.lang.String str47 = dateTimeZone46.toString();
//     org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone46);
//     org.joda.time.DateTime dateTime49 = dateTime32.toDateTime(dateTimeZone46);
//     boolean b50 = limitChronology24.equals((java.lang.Object)dateTimeZone46);
//     boolean b52 = limitChronology24.equals((java.lang.Object)29157303);
//     org.joda.time.DateTimeField dateTimeField53 = limitChronology24.year();
//     org.joda.time.ReadablePeriod readablePeriod54 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array57 = limitChronology24.get(readablePeriod54, (-950399989L), 28800001L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29168001);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 29168002);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 29168003);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "America/Los_Angeles"+ "'", str47.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b50 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b52 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField53);
// 
//   }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     mutableDateTime9.add(0L);
//     mutableDateTime9.setMillisOfDay(29154898);
//     org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
//     org.joda.time.MutableDateTime.Property property16 = mutableDateTime9.dayOfWeek();
//     org.joda.time.MutableDateTime.Property property17 = mutableDateTime9.monthOfYear();
//     org.joda.time.MutableDateTime.Property property18 = mutableDateTime9.dayOfMonth();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29168116);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property18);
// 
//   }

  @Test
  public void test386() {}
// Defects4J: flaky method
//   @Test
//   public void test386() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }
// 
// 
//     org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
//     long long4 = dateTimeZone1.adjustOffset(100L, false);
//     java.lang.String str5 = dateTimeZone1.toString();
//     org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
//     org.joda.time.Chronology chronology7 = null;
//     org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
//     int i9 = dateTime8.getMillisOfDay();
//     org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
//     boolean b13 = dateTime8.isBefore(0L);
//     org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
//     org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
//     org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
//     org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
//     org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
//     org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
//     org.joda.time.ReadableDateTime readableDateTime23 = null;
//     org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
//     java.lang.String str25 = limitChronology24.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long33 = limitChronology24.getDateTimeMillis(29163994, 29167126, 29156217, 29163914, 0, 29160327, 29162615);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 100L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(julianChronology6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 29168138);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(property22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(limitChronology24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "LimitChronology[JulianChronology[America/Los_Angeles], 1969-12-31T15:59:59.999-08:00, NoLimit]"+ "'", str25.equals("LimitChronology[JulianChronology[America/Los_Angeles], 1969-12-31T15:59:59.999-08:00, NoLimit]"));
// 
//   }

  @Test
  public void test387() {}
// Defects4J: flaky method
//   @Test
//   public void test387() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     int i10 = mutableDateTime9.getSecondOfMinute();
//     mutableDateTime9.add(0L);
//     mutableDateTime9.setMillisOfDay(29154898);
//     org.joda.time.MutableDateTime mutableDateTime15 = mutableDateTime9.copy();
//     org.joda.time.MutableDateTime mutableDateTime16 = mutableDateTime15.copy();
//     org.joda.time.ReadableInstant readableInstant18 = null;
//     org.joda.time.Chronology chronology19 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant18);
//     org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getChronology(chronology19);
//     org.joda.time.MutableDateTime mutableDateTime21 = org.joda.time.MutableDateTime.now(chronology19);
//     org.joda.time.MutableDateTime mutableDateTime22 = new org.joda.time.MutableDateTime(11L, chronology19);
//     org.joda.time.chrono.ISOChronology iSOChronology23 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField24 = iSOChronology23.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField25 = new org.joda.time.field.SkipUndoDateTimeField(chronology19, dateTimeField24);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField26 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField25);
//     org.joda.time.ReadableInstant readableInstant28 = null;
//     org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant28);
//     org.joda.time.Chronology chronology30 = org.joda.time.DateTimeUtils.getChronology(chronology29);
//     org.joda.time.MutableDateTime mutableDateTime31 = org.joda.time.MutableDateTime.now(chronology29);
//     org.joda.time.MutableDateTime mutableDateTime32 = new org.joda.time.MutableDateTime(11L, chronology29);
//     org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTimeField dateTimeField34 = iSOChronology33.dayOfYear();
//     org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField35 = new org.joda.time.field.SkipUndoDateTimeField(chronology29, dateTimeField34);
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField36 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField35);
//     org.joda.time.DateTimeFieldType dateTimeFieldType37 = delegatedDateTimeField36.getType();
//     org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField38 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField26, dateTimeFieldType37);
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime16.set(dateTimeFieldType37, 29160750);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29168152);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeField34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFieldType37);
// 
//   }

  @Test
  public void test388() {}
// Defects4J: flaky method
//   @Test
//   public void test388() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }
// 
// 
//     org.joda.time.Chronology chronology0 = null;
//     org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
//     int i2 = dateTime1.getMillisOfDay();
//     org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod5 = null;
//     org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
//     org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
//     org.joda.time.DateTime dateTime10 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone11 = dateTime10.getZone();
//     org.joda.time.DateTime dateTime13 = dateTime10.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant14 = null;
//     org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
//     org.joda.time.DateTime dateTime16 = dateTime10.toDateTime(chronology15);
//     boolean b17 = mutableDateTime9.isAfter((org.joda.time.ReadableInstant)dateTime10);
//     org.joda.time.ReadablePeriod readablePeriod18 = null;
//     org.joda.time.DateTime dateTime20 = dateTime10.withPeriodAdded(readablePeriod18, 29154785);
//     org.joda.time.chrono.ISOChronology iSOChronology21 = org.joda.time.chrono.ISOChronology.getInstance();
//     org.joda.time.DateTime dateTime22 = dateTime20.toDateTime((org.joda.time.Chronology)iSOChronology21);
//     org.joda.time.DateTime dateTime25 = dateTime22.withDurationAdded(11L, 29154741);
//     org.joda.time.Chronology chronology26 = null;
//     org.joda.time.DateTime dateTime27 = new org.joda.time.DateTime(chronology26);
//     int i28 = dateTime27.getMillisOfDay();
//     org.joda.time.DateTime dateTime30 = dateTime27.withHourOfDay(10);
//     org.joda.time.ReadablePeriod readablePeriod31 = null;
//     org.joda.time.DateTime dateTime33 = dateTime27.withPeriodAdded(readablePeriod31, 0);
//     org.joda.time.DateMidnight dateMidnight34 = dateTime33.toDateMidnight();
//     org.joda.time.MutableDateTime mutableDateTime35 = dateTime33.toMutableDateTime();
//     org.joda.time.DateTime dateTime36 = org.joda.time.DateTime.now();
//     org.joda.time.DateTimeZone dateTimeZone37 = dateTime36.getZone();
//     org.joda.time.DateTime dateTime39 = dateTime36.plusWeeks(0);
//     org.joda.time.ReadableInstant readableInstant40 = null;
//     org.joda.time.Chronology chronology41 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant40);
//     org.joda.time.DateTime dateTime42 = dateTime36.toDateTime(chronology41);
//     boolean b43 = mutableDateTime35.isAfter((org.joda.time.ReadableInstant)dateTime36);
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
//     org.joda.time.format.DateTimeFormatter dateTimeFormatter45 = dateTimeFormatter44.withZoneUTC();
//     org.joda.time.LocalDateTime localDateTime47 = dateTimeFormatter44.parseLocalDateTime("16");
//     org.joda.time.DateTime dateTime48 = dateTime36.withFields((org.joda.time.ReadablePartial)localDateTime47);
//     org.joda.time.DateTime dateTime49 = dateTime22.withFields((org.joda.time.ReadablePartial)localDateTime47);
//     org.joda.time.ReadableInstant readableInstant50 = null;
//     org.joda.time.Chronology chronology51 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant50);
//     org.joda.time.Chronology chronology52 = org.joda.time.DateTimeUtils.getChronology(chronology51);
//     org.joda.time.MutableDateTime mutableDateTime53 = org.joda.time.MutableDateTime.now(chronology51);
//     mutableDateTime53.addMillis(0);
//     org.joda.time.ReadableDuration readableDuration56 = null;
//     mutableDateTime53.add(readableDuration56, 29156081);
//     boolean b59 = dateTime49.isBefore((org.joda.time.ReadableInstant)mutableDateTime53);
//     java.lang.Object obj60 = mutableDateTime53.clone();
//     // The following exception was thrown during execution in test generation
//     try {
//       mutableDateTime53.setDayOfMonth(29163429);
//       org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
//     } catch (org.joda.time.IllegalFieldValueException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
//         org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 29168170);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(iSOChronology21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 29168171);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateMidnight34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTimeFormatter45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(localDateTime47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateTime49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(chronology52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(mutableDateTime53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b59 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj60);
// 
//   }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDateTimeNoMillis();
    org.joda.time.Chronology chronology1 = dateTimeFormatter0.getChronolgy();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = dateTimeFormatter0.withDefaultYear(8);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatter3.withOffsetParsed();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.LocalTime localTime6 = dateTimeFormatter4.parseLocalTime("LMT");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(chronology1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter4);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed((-1259482435621990L));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getDurationField();
    long long96 = unsupportedDateTimeField92.add(9964800000L, 29164224);
    java.lang.String str97 = unsupportedDateTimeField92.getName();
    // The following exception was thrown during execution in test generation
    try {
      long long99 = unsupportedDateTimeField92.roundCeiling(2488319996399999L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long96 == 17638532636400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str97 + "' != '" + "dayOfYear"+ "'", str97.equals("dayOfYear"));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    java.lang.String str93 = unsupportedDateTimeField92.toString();
    // The following exception was thrown during execution in test generation
    try {
      long long96 = unsupportedDateTimeField92.set(2519355898622658L, "+08:05:54.898");
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "UnsupportedDateTimeField"+ "'", str93.equals("UnsupportedDateTimeField"));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology7 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField8 = gregorianChronology7.clockhourOfHalfday();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime9 = new org.joda.time.MutableDateTime(29161853, 29158207, 0, 29165305, 29154799, 0, 52, (org.joda.time.Chronology)gregorianChronology7);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField8);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
    int i9 = dateTime8.getMillisOfDay();
    org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
    boolean b13 = dateTime8.isBefore(0L);
    org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
    org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
    org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime23 = null;
    org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
    org.joda.time.DurationField durationField25 = limitChronology24.millis();
    org.joda.time.Chronology chronology26 = limitChronology24.withUTC();
    org.joda.time.DurationField durationField27 = limitChronology24.hours();
    org.joda.time.ReadablePeriod readablePeriod28 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array31 = limitChronology24.get(readablePeriod28, 43022658L, 57600100L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField27);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    long long16 = unsupportedDurationField1.getUnitMillis();
    org.joda.time.DurationFieldType durationFieldType17 = unsupportedDurationField1.getType();
    // The following exception was thrown during execution in test generation
    try {
      long long20 = unsupportedDurationField1.getMillis(2519250105600000L, (-1259482407243990L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("2016-02-21T08:05:55.880-08:00", "2016-02-21T08:05:55.880-08:00");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    illegalFieldValueException5.prependMessage("");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29157104, 29158532);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder6.appendTimeZoneOffset("1", "+08:05:54.898", false, 29158334, 29155966);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.Object obj0 = null;
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime12 = dateTime8.withPeriodAdded(readablePeriod10, (-1));
    org.joda.time.DateTime dateTime13 = dateTime8.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property14 = dateTime13.era();
    org.joda.time.DateTime dateTime16 = dateTime13.plusYears(29154679);
    org.joda.time.DateTime dateTime17 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone18 = dateTime17.getZone();
    long long21 = dateTimeZone18.adjustOffset(100L, false);
    java.lang.String str22 = dateTimeZone18.toString();
    org.joda.time.DateTime dateTime23 = dateTime13.toDateTime(dateTimeZone18);
    org.joda.time.Chronology chronology24 = null;
    org.joda.time.DateTime dateTime25 = new org.joda.time.DateTime(chronology24);
    int i26 = dateTime25.getMillisOfDay();
    org.joda.time.DateTime dateTime28 = dateTime25.withHourOfDay(10);
    boolean b30 = dateTime25.isBefore(0L);
    org.joda.time.DateTime dateTime33 = dateTime25.withDurationAdded(11L, 29154796);
    org.joda.time.Chronology chronology34 = null;
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(chronology34);
    int i36 = dateTime35.getMillisOfDay();
    org.joda.time.DateTime dateTime38 = dateTime35.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod39 = null;
    org.joda.time.DateTime dateTime41 = dateTime35.withPeriodAdded(readablePeriod39, 0);
    org.joda.time.DateMidnight dateMidnight42 = dateTime41.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime43 = dateTime41.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone44 = dateTime41.getZone();
    org.joda.time.DateTime dateTime45 = dateTime33.toDateTime(dateTimeZone44);
    org.joda.time.DateTime dateTime46 = dateTime23.toDateTime(dateTimeZone44);
    long long49 = dateTimeZone44.convertLocalToUTC(0L, true);
    org.joda.time.MutableDateTime mutableDateTime50 = new org.joda.time.MutableDateTime(obj0, dateTimeZone44);
    org.joda.time.DateTimeZone dateTimeZone51 = org.joda.time.DateTimeUtils.getZone(dateTimeZone44);
    org.joda.time.MutableDateTime mutableDateTime52 = org.joda.time.MutableDateTime.now(dateTimeZone51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "America/Los_Angeles"+ "'", str22.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 28800000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime52);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    java.lang.String str93 = unsupportedDateTimeField92.toString();
    // The following exception was thrown during execution in test generation
    try {
      int i95 = unsupportedDateTimeField92.getMaximumValue(5008277347199999L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "UnsupportedDateTimeField"+ "'", str93.equals("UnsupportedDateTimeField"));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.clockhourOfDay();
    org.joda.time.Chronology chronology2 = gregorianChronology0.withUTC();
    org.joda.time.Chronology chronology3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(chronology3);
    int i5 = dateTime4.getMillisOfDay();
    org.joda.time.DateTime dateTime7 = dateTime4.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod8 = null;
    org.joda.time.DateTime dateTime10 = dateTime4.withPeriodAdded(readablePeriod8, 0);
    org.joda.time.DateMidnight dateMidnight11 = dateTime10.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime12 = dateTime10.toMutableDateTime();
    org.joda.time.DateTime dateTime14 = dateTime10.plusSeconds(29154871);
    org.joda.time.ReadableInstant readableInstant15 = null;
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant15);
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology(chronology16);
    org.joda.time.MutableDateTime mutableDateTime18 = org.joda.time.MutableDateTime.now(chronology16);
    org.joda.time.Chronology chronology19 = null;
    org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(chronology19);
    int i21 = dateTime20.getMillisOfDay();
    org.joda.time.DateTime dateTime23 = dateTime20.withHourOfDay(10);
    boolean b25 = dateTime20.isBefore(0L);
    org.joda.time.DateTime dateTime27 = dateTime20.withMillis((-1L));
    mutableDateTime18.setDate((org.joda.time.ReadableInstant)dateTime20);
    mutableDateTime18.addSeconds(57600011);
    mutableDateTime18.addHours(960);
    org.joda.time.chrono.LimitChronology limitChronology33 = org.joda.time.chrono.LimitChronology.getInstance(chronology2, (org.joda.time.ReadableDateTime)dateTime14, (org.joda.time.ReadableDateTime)mutableDateTime18);
    // The following exception was thrown during execution in test generation
    try {
      long long41 = limitChronology33.getDateTimeMillis(0, 29167418, 29158860, 29167259, 29157795, 29159326, 29162861);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology33);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime9 = dateTime1.withDurationAdded(11L, 29154796);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime12 = dateTime1.withDurationAdded((-1259482407243990L), 29164678);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder3.appendMonthOfYearText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder3.appendTwoDigitYear(29156602, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder7.appendTimeZoneOffset("hi!", true, 29159686, 29161921);
    org.joda.time.ReadableInstant readableInstant14 = null;
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getChronology(chronology15);
    org.joda.time.MutableDateTime mutableDateTime17 = org.joda.time.MutableDateTime.now(chronology15);
    org.joda.time.MutableDateTime mutableDateTime18 = new org.joda.time.MutableDateTime(11L, chronology15);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField21 = new org.joda.time.field.SkipUndoDateTimeField(chronology15, dateTimeField20);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField22 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField21);
    org.joda.time.ReadableInstant readableInstant24 = null;
    org.joda.time.Chronology chronology25 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant24);
    org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getChronology(chronology25);
    org.joda.time.MutableDateTime mutableDateTime27 = org.joda.time.MutableDateTime.now(chronology25);
    org.joda.time.MutableDateTime mutableDateTime28 = new org.joda.time.MutableDateTime(11L, chronology25);
    org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField31 = new org.joda.time.field.SkipUndoDateTimeField(chronology25, dateTimeField30);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField31);
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = delegatedDateTimeField32.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField34 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField22, dateTimeFieldType33);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder37 = dateTimeFormatterBuilder12.appendSignedDecimal(dateTimeFieldType33, 0, 213);
    org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
    long long42 = dateTimeZone39.adjustOffset(100L, false);
    java.lang.String str43 = dateTimeZone39.toString();
    org.joda.time.chrono.JulianChronology julianChronology44 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone39);
    org.joda.time.Chronology chronology45 = null;
    org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(chronology45);
    int i47 = dateTime46.getMillisOfDay();
    org.joda.time.DateTime dateTime49 = dateTime46.withHourOfDay(10);
    boolean b51 = dateTime46.isBefore(0L);
    org.joda.time.DateTime dateTime53 = dateTime46.withMillis((-1L));
    org.joda.time.DateTime.Property property54 = dateTime53.weekyear();
    org.joda.time.DateTime dateTime56 = dateTime53.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime59 = dateTime53.toMutableDateTime((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.MutableDateTime.Property property60 = mutableDateTime59.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime61 = null;
    org.joda.time.chrono.LimitChronology limitChronology62 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology44, (org.joda.time.ReadableDateTime)mutableDateTime59, readableDateTime61);
    org.joda.time.DurationField durationField63 = limitChronology62.millis();
    org.joda.time.Chronology chronology64 = limitChronology62.withUTC();
    org.joda.time.DurationField durationField65 = limitChronology62.hours();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField66 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType33, durationField65);
    // The following exception was thrown during execution in test generation
    try {
      int i67 = unsupportedDateTimeField66.getMinimumValue();
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "America/Los_Angeles"+ "'", str43.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField66);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
    org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology12.secondOfDay();
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology12.weekyear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicWeekDateTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
    org.joda.time.DateTime.Property property9 = dateTime8.year();
    org.joda.time.DateTime dateTime11 = dateTime8.plusYears(29154785);
    org.joda.time.DateTime.Property property12 = dateTime11.hourOfDay();
    org.joda.time.Chronology chronology13 = null;
    org.joda.time.DateTime dateTime14 = new org.joda.time.DateTime(chronology13);
    int i15 = dateTime14.getMillisOfDay();
    org.joda.time.DateTime dateTime17 = dateTime14.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod18 = null;
    org.joda.time.DateTime dateTime20 = dateTime14.withPeriodAdded(readablePeriod18, 0);
    org.joda.time.DateMidnight dateMidnight21 = dateTime20.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod22 = null;
    org.joda.time.DateTime dateTime24 = dateTime20.withPeriodAdded(readablePeriod22, (-1));
    org.joda.time.DateTime dateTime25 = dateTime20.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property26 = dateTime25.era();
    org.joda.time.DateTime dateTime28 = dateTime25.plusYears(29154679);
    org.joda.time.DateTime dateTime29 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone30 = dateTime29.getZone();
    long long33 = dateTimeZone30.adjustOffset(100L, false);
    java.lang.String str34 = dateTimeZone30.toString();
    org.joda.time.DateTime dateTime35 = dateTime25.toDateTime(dateTimeZone30);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone36 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone30);
    org.joda.time.DateTimeZone dateTimeZone37 = cachedDateTimeZone36.getUncachedZone();
    org.joda.time.chrono.ISOChronology iSOChronology38 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone36);
    org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone36);
    long long42 = cachedDateTimeZone36.adjustOffset(0L, true);
    org.joda.time.DateTimeZone dateTimeZone43 = cachedDateTimeZone36.getUncachedZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime44 = new org.joda.time.DateTime((java.lang.Object)property12, (org.joda.time.DateTimeZone)cachedDateTimeZone36);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone43);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(9935645102L, 2519566041600000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.joda.time.chrono.JulianChronology julianChronology0 = org.joda.time.chrono.JulianChronology.getInstance();
    org.joda.time.DurationField durationField1 = julianChronology0.days();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField1);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.joda.time.Instant instant0 = new org.joda.time.Instant();
    org.joda.time.Instant instant1 = instant0.toInstant();
    boolean b2 = instant1.isBeforeNow();
    org.joda.time.Instant instant3 = new org.joda.time.Instant();
    org.joda.time.Instant instant4 = instant3.toInstant();
    int i5 = instant1.compareTo((org.joda.time.ReadableInstant)instant3);
    org.joda.time.ReadableDuration readableDuration6 = null;
    org.joda.time.Instant instant8 = instant1.withDurationAdded(readableDuration6, 29160859);
    org.joda.time.ReadableDuration readableDuration9 = null;
    org.joda.time.Instant instant11 = instant8.withDurationAdded(readableDuration9, 486);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant11);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicDate();
    java.lang.Appendable appendable1 = null;
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    org.joda.time.ReadableInstant readableInstant13 = null;
    org.joda.time.Chronology chronology14 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant13);
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getChronology(chronology14);
    org.joda.time.MutableDateTime mutableDateTime16 = org.joda.time.MutableDateTime.now(chronology14);
    org.joda.time.MutableDateTime mutableDateTime17 = new org.joda.time.MutableDateTime(11L, chronology14);
    org.joda.time.chrono.ISOChronology iSOChronology18 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology18.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField20 = new org.joda.time.field.SkipUndoDateTimeField(chronology14, dateTimeField19);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField20);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = delegatedDateTimeField21.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField23 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField11, dateTimeFieldType22);
    long long26 = delegatedDateTimeField11.getDifferenceAsLong((-1259482407243990L), 10L);
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology27);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    mutableDateTime29.add(readablePeriod30, 29154978);
    org.joda.time.ReadableInstant readableInstant34 = null;
    org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
    org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
    org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
    org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
    org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
    java.util.Locale locale43 = null;
    int i44 = skipUndoDateTimeField41.getMaximumTextLength(locale43);
    org.joda.time.DurationField durationField45 = skipUndoDateTimeField41.getDurationField();
    mutableDateTime29.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField41);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41, 29155574);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod54 = null;
    org.joda.time.DateTime dateTime56 = dateTime50.withPeriodAdded(readablePeriod54, 0);
    org.joda.time.DateMidnight dateMidnight57 = dateTime56.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime58 = dateTime56.toMutableDateTime();
    org.joda.time.DateTime dateTime59 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone60 = dateTime59.getZone();
    org.joda.time.DateTime dateTime62 = dateTime59.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant63 = null;
    org.joda.time.Chronology chronology64 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant63);
    org.joda.time.DateTime dateTime65 = dateTime59.toDateTime(chronology64);
    boolean b66 = mutableDateTime58.isAfter((org.joda.time.ReadableInstant)dateTime59);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter67 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter68 = dateTimeFormatter67.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime70 = dateTimeFormatter67.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime71 = dateTime59.withFields((org.joda.time.ReadablePartial)localDateTime70);
    int[] i_array74 = new int[] { 0, 100 };
    int i75 = skipUndoDateTimeField41.getMaximumValue((org.joda.time.ReadablePartial)localDateTime70, i_array74);
    java.util.Locale locale76 = null;
    java.lang.String str77 = delegatedDateTimeField11.getAsShortText((org.joda.time.ReadablePartial)localDateTime70, locale76);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(appendable1, (org.joda.time.ReadablePartial)localDateTime70);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-14577342L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 366);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "1"+ "'", str77.equals("1"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = unsupportedDurationField1.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    java.util.Locale locale10 = null;
    int i11 = skipUndoDateTimeField8.getMaximumTextLength(locale10);
    org.joda.time.DurationField durationField12 = skipUndoDateTimeField8.getDurationField();
    java.util.Locale locale14 = null;
    java.lang.String str15 = skipUndoDateTimeField8.getAsShortText(0, locale14);
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime18 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology16);
    org.joda.time.ReadablePeriod readablePeriod19 = null;
    mutableDateTime18.add(readablePeriod19, 29154978);
    org.joda.time.ReadableInstant readableInstant23 = null;
    org.joda.time.Chronology chronology24 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant23);
    org.joda.time.Chronology chronology25 = org.joda.time.DateTimeUtils.getChronology(chronology24);
    org.joda.time.MutableDateTime mutableDateTime26 = org.joda.time.MutableDateTime.now(chronology24);
    org.joda.time.MutableDateTime mutableDateTime27 = new org.joda.time.MutableDateTime(11L, chronology24);
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField29 = iSOChronology28.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField30 = new org.joda.time.field.SkipUndoDateTimeField(chronology24, dateTimeField29);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField31 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField30);
    java.util.Locale locale32 = null;
    int i33 = skipUndoDateTimeField30.getMaximumTextLength(locale32);
    org.joda.time.DurationField durationField34 = skipUndoDateTimeField30.getDurationField();
    mutableDateTime18.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField30);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField37 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField30, 29155574);
    int i38 = offsetDateTimeField37.getMaximumValue();
    java.util.Locale locale39 = null;
    int i40 = offsetDateTimeField37.getMaximumTextLength(locale39);
    org.joda.time.chrono.ISOChronology iSOChronology41 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str42 = iSOChronology41.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    long long48 = iSOChronology41.set((org.joda.time.ReadablePartial)localDateTime46, 28800011L);
    int[] i_array52 = new int[] { 10, 1, 10 };
    int i53 = offsetDateTimeField37.getMaximumValue((org.joda.time.ReadablePartial)localDateTime46, i_array52);
    org.joda.time.chrono.ISOChronology iSOChronology55 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField56 = iSOChronology55.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime57 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology55);
    org.joda.time.ReadablePeriod readablePeriod58 = null;
    mutableDateTime57.add(readablePeriod58, 29154978);
    org.joda.time.ReadableInstant readableInstant62 = null;
    org.joda.time.Chronology chronology63 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant62);
    org.joda.time.Chronology chronology64 = org.joda.time.DateTimeUtils.getChronology(chronology63);
    org.joda.time.MutableDateTime mutableDateTime65 = org.joda.time.MutableDateTime.now(chronology63);
    org.joda.time.MutableDateTime mutableDateTime66 = new org.joda.time.MutableDateTime(11L, chronology63);
    org.joda.time.chrono.ISOChronology iSOChronology67 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField68 = iSOChronology67.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField69 = new org.joda.time.field.SkipUndoDateTimeField(chronology63, dateTimeField68);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField70 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField69);
    java.util.Locale locale71 = null;
    int i72 = skipUndoDateTimeField69.getMaximumTextLength(locale71);
    org.joda.time.DurationField durationField73 = skipUndoDateTimeField69.getDurationField();
    mutableDateTime57.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField69);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField76 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField69, 29155574);
    int i77 = offsetDateTimeField76.getMaximumValue();
    java.util.Locale locale78 = null;
    int i79 = offsetDateTimeField76.getMaximumTextLength(locale78);
    org.joda.time.chrono.ISOChronology iSOChronology80 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str81 = iSOChronology80.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter82 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter83 = dateTimeFormatter82.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime85 = dateTimeFormatter82.parseLocalDateTime("16");
    long long87 = iSOChronology80.set((org.joda.time.ReadablePartial)localDateTime85, 28800011L);
    int[] i_array91 = new int[] { 10, 1, 10 };
    int i92 = offsetDateTimeField76.getMaximumValue((org.joda.time.ReadablePartial)localDateTime85, i_array91);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array94 = skipUndoDateTimeField8.addWrapPartial((org.joda.time.ReadablePartial)localDateTime46, 29158861, i_array91, 29165040);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "0"+ "'", str15.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str42.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 86400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str81.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long87 == 86400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 29155940);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    int i89 = remainderDateTimeField87.getLeapAmount(57600001L);
    int i90 = remainderDateTimeField87.getMaximumValue();
    long long92 = remainderDateTimeField87.remainder(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 29156919);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long92 == 57600001L);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder3.appendMonthOfYearText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder3.appendTwoDigitYear(29156602, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder7.appendTimeZoneOffset("hi!", true, 29159686, 29161921);
    org.joda.time.ReadableInstant readableInstant14 = null;
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getChronology(chronology15);
    org.joda.time.MutableDateTime mutableDateTime17 = org.joda.time.MutableDateTime.now(chronology15);
    org.joda.time.MutableDateTime mutableDateTime18 = new org.joda.time.MutableDateTime(11L, chronology15);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField21 = new org.joda.time.field.SkipUndoDateTimeField(chronology15, dateTimeField20);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField22 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField21);
    org.joda.time.ReadableInstant readableInstant24 = null;
    org.joda.time.Chronology chronology25 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant24);
    org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getChronology(chronology25);
    org.joda.time.MutableDateTime mutableDateTime27 = org.joda.time.MutableDateTime.now(chronology25);
    org.joda.time.MutableDateTime mutableDateTime28 = new org.joda.time.MutableDateTime(11L, chronology25);
    org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField31 = new org.joda.time.field.SkipUndoDateTimeField(chronology25, dateTimeField30);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField31);
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = delegatedDateTimeField32.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField34 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField22, dateTimeFieldType33);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder37 = dateTimeFormatterBuilder12.appendSignedDecimal(dateTimeFieldType33, 0, 213);
    org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
    long long42 = dateTimeZone39.adjustOffset(100L, false);
    java.lang.String str43 = dateTimeZone39.toString();
    org.joda.time.chrono.JulianChronology julianChronology44 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone39);
    org.joda.time.Chronology chronology45 = null;
    org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(chronology45);
    int i47 = dateTime46.getMillisOfDay();
    org.joda.time.DateTime dateTime49 = dateTime46.withHourOfDay(10);
    boolean b51 = dateTime46.isBefore(0L);
    org.joda.time.DateTime dateTime53 = dateTime46.withMillis((-1L));
    org.joda.time.DateTime.Property property54 = dateTime53.weekyear();
    org.joda.time.DateTime dateTime56 = dateTime53.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime59 = dateTime53.toMutableDateTime((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.MutableDateTime.Property property60 = mutableDateTime59.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime61 = null;
    org.joda.time.chrono.LimitChronology limitChronology62 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology44, (org.joda.time.ReadableDateTime)mutableDateTime59, readableDateTime61);
    org.joda.time.DurationField durationField63 = limitChronology62.millis();
    org.joda.time.Chronology chronology64 = limitChronology62.withUTC();
    org.joda.time.DurationField durationField65 = limitChronology62.hours();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField66 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType33, durationField65);
    // The following exception was thrown during execution in test generation
    try {
      long long68 = unsupportedDateTimeField66.roundFloor((-29154898L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "America/Los_Angeles"+ "'", str43.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField66);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getLeapDurationField();
    // The following exception was thrown during execution in test generation
    try {
      long long95 = unsupportedDateTimeField92.roundFloor(1456157158199L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationField93);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.dayOfYear();
    java.util.Locale locale4 = null;
    org.joda.time.format.DateTimeParserBucket dateTimeParserBucket7 = new org.joda.time.format.DateTimeParserBucket((-13654800000L), (org.joda.time.Chronology)iSOChronology2, locale4, (java.lang.Integer)29156653, 29156524);
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant9);
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology(chronology10);
    org.joda.time.MutableDateTime mutableDateTime12 = org.joda.time.MutableDateTime.now(chronology10);
    org.joda.time.MutableDateTime mutableDateTime13 = new org.joda.time.MutableDateTime(11L, chronology10);
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology14.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField16 = new org.joda.time.field.SkipUndoDateTimeField(chronology10, dateTimeField15);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField17 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField16);
    org.joda.time.ReadableInstant readableInstant19 = null;
    org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant19);
    org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getChronology(chronology20);
    org.joda.time.MutableDateTime mutableDateTime22 = org.joda.time.MutableDateTime.now(chronology20);
    org.joda.time.MutableDateTime mutableDateTime23 = new org.joda.time.MutableDateTime(11L, chronology20);
    org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField26 = new org.joda.time.field.SkipUndoDateTimeField(chronology20, dateTimeField25);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField27 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField26);
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = delegatedDateTimeField27.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField29 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField17, dateTimeFieldType28);
    org.joda.time.Chronology chronology32 = null;
    org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(chronology32);
    int i34 = dateTime33.getMillisOfDay();
    org.joda.time.DateTime dateTime36 = dateTime33.withHourOfDay(10);
    boolean b38 = dateTime33.isBefore(0L);
    org.joda.time.DateTime dateTime40 = dateTime33.withMillis((-1L));
    org.joda.time.DateTime.Property property41 = dateTime40.weekyear();
    org.joda.time.DateTime dateTime43 = dateTime40.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology44 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField45 = iSOChronology44.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime46 = dateTime40.toMutableDateTime((org.joda.time.Chronology)iSOChronology44);
    org.joda.time.DateTime dateTime47 = new org.joda.time.DateTime((org.joda.time.Chronology)iSOChronology44);
    java.util.Locale locale48 = null;
    org.joda.time.format.DateTimeParserBucket dateTimeParserBucket51 = new org.joda.time.format.DateTimeParserBucket((-40870799990L), (org.joda.time.Chronology)iSOChronology44, locale48, (java.lang.Integer)29158442, 0);
    long long53 = dateTimeParserBucket51.computeMillis(true);
    org.joda.time.Chronology chronology54 = dateTimeParserBucket51.getChronology();
    java.util.Locale locale55 = dateTimeParserBucket51.getLocale();
    dateTimeParserBucket7.saveField(dateTimeFieldType28, "29159344", locale55);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str57 = org.joda.time.format.DateTimeFormat.patternForStyle("81801-11", locale55);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long53 == (-40845599990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale55);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("hi!", 29161340, 29163994, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime9 = dateTime1.withDurationAdded(11L, 29154796);
    org.joda.time.Chronology chronology10 = null;
    org.joda.time.DateTime dateTime11 = new org.joda.time.DateTime(chronology10);
    int i12 = dateTime11.getMillisOfDay();
    org.joda.time.DateTime dateTime14 = dateTime11.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod15 = null;
    org.joda.time.DateTime dateTime17 = dateTime11.withPeriodAdded(readablePeriod15, 0);
    org.joda.time.DateMidnight dateMidnight18 = dateTime17.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime19 = dateTime17.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone20 = dateTime17.getZone();
    org.joda.time.DateTime dateTime21 = dateTime9.toDateTime(dateTimeZone20);
    org.joda.time.ReadablePeriod readablePeriod22 = null;
    org.joda.time.DateTime dateTime23 = dateTime9.plus(readablePeriod22);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime25 = dateTime9.withSecondOfMinute(29165236);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    java.util.Set set0 = org.joda.time.DateTimeZone.getAvailableIDs();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = org.joda.time.format.ISODateTimeFormat.forFields((java.util.Collection)set0, true, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set0);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 29160016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
    org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
    org.joda.time.Chronology chronology9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
    int i11 = dateTime10.getMillisOfDay();
    org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod14 = null;
    org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
    org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod18 = null;
    org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
    org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property22 = dateTime21.era();
    org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
    org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
    long long29 = dateTimeZone26.adjustOffset(100L, false);
    java.lang.String str30 = dateTimeZone26.toString();
    org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
    org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
    java.lang.String str34 = cachedDateTimeZone32.toString();
    org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
    org.joda.time.DateTimeZone dateTimeZone36 = cachedDateTimeZone32.getUncachedZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.GregorianChronology gregorianChronology38 = org.joda.time.chrono.GregorianChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
    int i9 = dateTime8.getMillisOfDay();
    org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
    boolean b13 = dateTime8.isBefore(0L);
    org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
    org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
    org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime23 = null;
    org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone35 = dateTime32.getZone();
    org.joda.time.Chronology chronology36 = null;
    org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(chronology36);
    int i38 = dateTime37.getMillisOfDay();
    org.joda.time.DateTime dateTime40 = dateTime37.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod41 = null;
    org.joda.time.DateTime dateTime43 = dateTime37.withPeriodAdded(readablePeriod41, 0);
    org.joda.time.DateMidnight dateMidnight44 = dateTime43.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime45 = dateTime43.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone46 = dateTime43.getZone();
    java.lang.String str47 = dateTimeZone46.toString();
    org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone46);
    org.joda.time.DateTime dateTime49 = dateTime32.toDateTime(dateTimeZone46);
    boolean b50 = limitChronology24.equals((java.lang.Object)dateTimeZone46);
    boolean b52 = limitChronology24.equals((java.lang.Object)29157303);
    org.joda.time.DateTimeField dateTimeField53 = limitChronology24.year();
    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone58 = new org.joda.time.tz.FixedDateTimeZone("PST", "", 29154898, 29154796);
    int i60 = fixedDateTimeZone58.getStandardOffset((-1L));
    int i62 = fixedDateTimeZone58.getStandardOffset(2519250105600000L);
    org.joda.time.DateTimeZone dateTimeZone63 = org.joda.time.DateTimeUtils.getZone((org.joda.time.DateTimeZone)fixedDateTimeZone58);
    org.joda.time.chrono.ZonedChronology zonedChronology64 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)limitChronology24, dateTimeZone63);
    // The following exception was thrown during execution in test generation
    try {
      long long69 = zonedChronology64.getDateTimeMillis(0, 29165709, 29165132, 29161886);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "America/Los_Angeles"+ "'", str47.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 29154796);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 29154796);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology64);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatter dateTimeFormatter3 = org.joda.time.format.ISODateTimeFormat.forFields(collection0, true, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.joda.time.Chronology chronology6 = null;
    org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
    int i8 = dateTime7.getMillisOfDay();
    org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod11 = null;
    org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
    org.joda.time.DateMidnight dateMidnight14 = dateTime13.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod15 = null;
    org.joda.time.DateTime dateTime17 = dateTime13.withPeriodAdded(readablePeriod15, (-1));
    org.joda.time.DateTime dateTime18 = dateTime13.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property19 = dateTime18.era();
    org.joda.time.DateTime dateTime21 = dateTime18.plusYears(29154679);
    org.joda.time.DateTime dateTime22 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone23 = dateTime22.getZone();
    long long26 = dateTimeZone23.adjustOffset(100L, false);
    java.lang.String str27 = dateTimeZone23.toString();
    org.joda.time.DateTime dateTime28 = dateTime18.toDateTime(dateTimeZone23);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone29 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone23);
    org.joda.time.DateTimeZone dateTimeZone30 = cachedDateTimeZone29.getUncachedZone();
    org.joda.time.chrono.ISOChronology iSOChronology31 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone29);
    java.lang.String str32 = iSOChronology31.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime33 = new org.joda.time.DateTime(0, 29164507, 29161853, 29167779, 29156515, 29159522, (org.joda.time.Chronology)iSOChronology31);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "America/Los_Angeles"+ "'", str27.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str32.equals("ISOChronology[America/Los_Angeles]"));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.joda.time.DateTimeZone dateTimeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((java.lang.Object)29168123, dateTimeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.DateTimeField dateTimeField88 = offsetDateTimeField21.getWrappedField();
    boolean b90 = offsetDateTimeField21.isLeap(2519566041600000L);
    // The following exception was thrown during execution in test generation
    try {
      long long93 = offsetDateTimeField21.set((-13654800000L), 29160512);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianChronology0, (java.lang.Object)dateTime8);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    mutableDateTime15.add(readablePeriod16, 29154978);
    org.joda.time.ReadableInstant readableInstant20 = null;
    org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant20);
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology(chronology21);
    org.joda.time.MutableDateTime mutableDateTime23 = org.joda.time.MutableDateTime.now(chronology21);
    org.joda.time.MutableDateTime mutableDateTime24 = new org.joda.time.MutableDateTime(11L, chronology21);
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField27 = new org.joda.time.field.SkipUndoDateTimeField(chronology21, dateTimeField26);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField28 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    java.util.Locale locale29 = null;
    int i30 = skipUndoDateTimeField27.getMaximumTextLength(locale29);
    org.joda.time.DurationField durationField31 = skipUndoDateTimeField27.getDurationField();
    mutableDateTime15.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27, 29155574);
    int i37 = offsetDateTimeField34.getDifference(11L, (-1L));
    int i39 = offsetDateTimeField34.getMaximumValue(9972000000L);
    org.joda.time.field.SkipDateTimeField skipDateTimeField40 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeField)offsetDateTimeField34);
    long long43 = offsetDateTimeField34.addWrapField(28800011L, 0);
    int i46 = offsetDateTimeField34.getDifference(0L, 0L);
    int i47 = offsetDateTimeField34.getMinimumValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 28800011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 29155574);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.clockhourOfDay();
    org.joda.time.Chronology chronology2 = gregorianChronology0.withUTC();
    org.joda.time.Chronology chronology3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(chronology3);
    int i5 = dateTime4.getMillisOfDay();
    org.joda.time.DateTime dateTime7 = dateTime4.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod8 = null;
    org.joda.time.DateTime dateTime10 = dateTime4.withPeriodAdded(readablePeriod8, 0);
    org.joda.time.DateMidnight dateMidnight11 = dateTime10.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime12 = dateTime10.toMutableDateTime();
    org.joda.time.DateTime dateTime14 = dateTime10.plusSeconds(29154871);
    org.joda.time.ReadableInstant readableInstant15 = null;
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant15);
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology(chronology16);
    org.joda.time.MutableDateTime mutableDateTime18 = org.joda.time.MutableDateTime.now(chronology16);
    org.joda.time.Chronology chronology19 = null;
    org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(chronology19);
    int i21 = dateTime20.getMillisOfDay();
    org.joda.time.DateTime dateTime23 = dateTime20.withHourOfDay(10);
    boolean b25 = dateTime20.isBefore(0L);
    org.joda.time.DateTime dateTime27 = dateTime20.withMillis((-1L));
    mutableDateTime18.setDate((org.joda.time.ReadableInstant)dateTime20);
    mutableDateTime18.addSeconds(57600011);
    mutableDateTime18.addHours(960);
    org.joda.time.chrono.LimitChronology limitChronology33 = org.joda.time.chrono.LimitChronology.getInstance(chronology2, (org.joda.time.ReadableDateTime)dateTime14, (org.joda.time.ReadableDateTime)mutableDateTime18);
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime18.setDayOfMonth(0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology33);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology5 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField6 = gregorianChronology5.clockhourOfDay();
    org.joda.time.Chronology chronology7 = gregorianChronology5.withUTC();
    org.joda.time.Chronology chronology8 = null;
    org.joda.time.DateTime dateTime9 = new org.joda.time.DateTime(chronology8);
    int i10 = dateTime9.getMillisOfDay();
    org.joda.time.DateTime dateTime12 = dateTime9.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod13 = null;
    org.joda.time.DateTime dateTime15 = dateTime9.withPeriodAdded(readablePeriod13, 0);
    org.joda.time.DateMidnight dateMidnight16 = dateTime15.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod17 = null;
    org.joda.time.DateTime dateTime19 = dateTime15.withPeriodAdded(readablePeriod17, (-1));
    org.joda.time.DateTime dateTime20 = dateTime15.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property21 = dateTime20.era();
    org.joda.time.DateTime dateTime23 = dateTime20.plusYears(29154679);
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone25 = dateTime24.getZone();
    long long28 = dateTimeZone25.adjustOffset(100L, false);
    java.lang.String str29 = dateTimeZone25.toString();
    org.joda.time.DateTime dateTime30 = dateTime20.toDateTime(dateTimeZone25);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone31 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone25);
    org.joda.time.DateTimeZone dateTimeZone32 = cachedDateTimeZone31.getUncachedZone();
    org.joda.time.chrono.ISOChronology iSOChronology33 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone31);
    org.joda.time.DateTimeZone dateTimeZone34 = cachedDateTimeZone31.getUncachedZone();
    org.joda.time.chrono.ZonedChronology zonedChronology35 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology5, (org.joda.time.DateTimeZone)cachedDateTimeZone31);
    org.joda.time.Chronology chronology36 = zonedChronology35.withUTC();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(29162440, 100, 29156158, 29159668, 29163809, chronology36);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "America/Los_Angeles"+ "'", str29.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.clockhourOfDay();
    org.joda.time.Chronology chronology2 = gregorianChronology0.withUTC();
    org.joda.time.Chronology chronology3 = null;
    org.joda.time.DateTime dateTime4 = new org.joda.time.DateTime(chronology3);
    int i5 = dateTime4.getMillisOfDay();
    org.joda.time.DateTime dateTime7 = dateTime4.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod8 = null;
    org.joda.time.DateTime dateTime10 = dateTime4.withPeriodAdded(readablePeriod8, 0);
    org.joda.time.DateMidnight dateMidnight11 = dateTime10.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod12 = null;
    org.joda.time.DateTime dateTime14 = dateTime10.withPeriodAdded(readablePeriod12, (-1));
    org.joda.time.DateTime dateTime15 = dateTime10.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property16 = dateTime15.era();
    org.joda.time.DateTime dateTime18 = dateTime15.plusYears(29154679);
    org.joda.time.DateTime dateTime19 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone20 = dateTime19.getZone();
    long long23 = dateTimeZone20.adjustOffset(100L, false);
    java.lang.String str24 = dateTimeZone20.toString();
    org.joda.time.DateTime dateTime25 = dateTime15.toDateTime(dateTimeZone20);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone26 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone20);
    org.joda.time.DateTimeZone dateTimeZone27 = cachedDateTimeZone26.getUncachedZone();
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone26);
    org.joda.time.DateTimeZone dateTimeZone29 = cachedDateTimeZone26.getUncachedZone();
    org.joda.time.chrono.ZonedChronology zonedChronology30 = org.joda.time.chrono.ZonedChronology.getInstance((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeZone)cachedDateTimeZone26);
    org.joda.time.Chronology chronology31 = zonedChronology30.withUTC();
    java.lang.String str32 = zonedChronology30.toString();
    org.joda.time.ReadableInstant readableInstant34 = null;
    org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
    org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
    org.joda.time.MutableDateTime mutableDateTime37 = new org.joda.time.MutableDateTime(10L, chronology35);
    org.joda.time.ReadablePeriod readablePeriod38 = null;
    mutableDateTime37.add(readablePeriod38, 29157298);
    org.joda.time.Chronology chronology41 = null;
    org.joda.time.DateTime dateTime42 = new org.joda.time.DateTime(chronology41);
    int i43 = dateTime42.getMillisOfDay();
    org.joda.time.DateTime dateTime45 = dateTime42.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod46 = null;
    org.joda.time.DateTime dateTime48 = dateTime42.withPeriodAdded(readablePeriod46, 0);
    org.joda.time.DateMidnight dateMidnight49 = dateTime48.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime50 = dateTime48.toMutableDateTime();
    org.joda.time.DateTime dateTime52 = dateTime48.plusSeconds(29154871);
    boolean b54 = dateTime52.isAfter(28800011L);
    org.joda.time.DateTimeZone dateTimeZone55 = dateTime52.getZone();
    org.joda.time.DateTime dateTime57 = dateTime52.plusWeeks(29155940);
    mutableDateTime37.setTime((org.joda.time.ReadableInstant)dateTime57);
    org.joda.time.Chronology chronology59 = null;
    org.joda.time.DateTime dateTime60 = new org.joda.time.DateTime(chronology59);
    int i61 = dateTime60.getMillisOfDay();
    org.joda.time.DateTime dateTime63 = dateTime60.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod64 = null;
    org.joda.time.DateTime dateTime66 = dateTime60.withPeriodAdded(readablePeriod64, 0);
    org.joda.time.DateMidnight dateMidnight67 = dateTime66.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod68 = null;
    org.joda.time.DateTime dateTime70 = dateTime66.withPeriodAdded(readablePeriod68, (-1));
    org.joda.time.DateTime dateTime71 = dateTime66.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property72 = dateTime71.era();
    boolean b74 = dateTime71.equals((java.lang.Object)29157145);
    org.joda.time.DateTime dateTime76 = dateTime71.withYear(29157823);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.LimitChronology limitChronology77 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)zonedChronology30, (org.joda.time.ReadableDateTime)mutableDateTime37, (org.joda.time.ReadableDateTime)dateTime71);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "America/Los_Angeles"+ "'", str24.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(zonedChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "ZonedChronology[GregorianChronology[UTC], America/Los_Angeles]"+ "'", str32.equals("ZonedChronology[GregorianChronology[UTC], America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime76);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)29165060, (java.lang.Number)29157303, (java.lang.Number)29157576);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
    org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime14 = dateTime8.toMutableDateTime((org.joda.time.Chronology)iSOChronology12);
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology12.secondOfDay();
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array19 = iSOChronology12.get(readablePeriod16, (-14577342L), (-29154898L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(chronology5);
    int i7 = dateTime6.getMillisOfDay();
    org.joda.time.DateTime dateTime9 = dateTime6.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime12 = dateTime6.withPeriodAdded(readablePeriod10, 0);
    org.joda.time.DateMidnight dateMidnight13 = dateTime12.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime14 = dateTime12.toMutableDateTime();
    org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone16 = dateTime15.getZone();
    org.joda.time.DateTime dateTime18 = dateTime15.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant19 = null;
    org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant19);
    org.joda.time.DateTime dateTime21 = dateTime15.toDateTime(chronology20);
    boolean b22 = mutableDateTime14.isAfter((org.joda.time.ReadableInstant)dateTime15);
    org.joda.time.ReadablePeriod readablePeriod23 = null;
    org.joda.time.DateTime dateTime25 = dateTime15.withPeriodAdded(readablePeriod23, 29154785);
    org.joda.time.DateTime.Property property26 = dateTime15.weekOfWeekyear();
    org.joda.time.Chronology chronology27 = null;
    org.joda.time.DateTime dateTime28 = new org.joda.time.DateTime(chronology27);
    int i29 = dateTime28.getMillisOfDay();
    org.joda.time.DateTime dateTime31 = dateTime28.withHourOfDay(10);
    boolean b33 = dateTime28.isBefore(0L);
    org.joda.time.DateTime dateTime36 = dateTime28.withDurationAdded(11L, 29154796);
    org.joda.time.Chronology chronology37 = null;
    org.joda.time.DateTime dateTime38 = new org.joda.time.DateTime(chronology37);
    int i39 = dateTime38.getMillisOfDay();
    org.joda.time.DateTime dateTime41 = dateTime38.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod42 = null;
    org.joda.time.DateTime dateTime44 = dateTime38.withPeriodAdded(readablePeriod42, 0);
    org.joda.time.DateMidnight dateMidnight45 = dateTime44.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime46 = dateTime44.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone47 = dateTime44.getZone();
    org.joda.time.DateTime dateTime48 = dateTime36.toDateTime(dateTimeZone47);
    org.joda.time.MutableDateTime mutableDateTime49 = dateTime15.toMutableDateTime(dateTimeZone47);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(29162955, 29167126, 0, 29164899, 0, dateTimeZone47);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime49);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    org.joda.time.DateTime dateTime3 = dateTime1.withMillisOfDay(0);
    boolean b5 = dateTime1.isBefore((-1L));
    int i6 = dateTime1.getDayOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 215);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("365");
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number7 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime9.setDayOfYear(29159990);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    int i26 = offsetDateTimeField21.getMaximumValue(9972000000L);
    org.joda.time.ReadablePartial readablePartial27 = null;
    int[] i_array28 = null;
    int i29 = offsetDateTimeField21.getMinimumValue(readablePartial27, i_array28);
    long long31 = offsetDateTimeField21.roundHalfFloor((-29154898L));
    long long33 = offsetDateTimeField21.roundHalfCeiling(2519250105600000L);
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = offsetDateTimeField21.getType();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType34, 29158522, 29162210, 29158214);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == (-57600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 2519250105600000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType34);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime((-1259482407243990L), chronology1);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder3.appendFractionOfSecond(29156642, 29156051);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder3.appendTwoDigitWeekyear(29156150);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder3.appendMinuteOfHour(29164849);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.joda.time.tz.FixedDateTimeZone fixedDateTimeZone11 = new org.joda.time.tz.FixedDateTimeZone("PST", "", 29154898, 29154796);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.MutableDateTime mutableDateTime12 = new org.joda.time.MutableDateTime(29166473, 29163039, 29162521, 960, 29160016, 29159070, 29164742, (org.joda.time.DateTimeZone)fixedDateTimeZone11);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianChronology0, (java.lang.Object)dateTime8);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    mutableDateTime15.add(readablePeriod16, 29154978);
    org.joda.time.ReadableInstant readableInstant20 = null;
    org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant20);
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology(chronology21);
    org.joda.time.MutableDateTime mutableDateTime23 = org.joda.time.MutableDateTime.now(chronology21);
    org.joda.time.MutableDateTime mutableDateTime24 = new org.joda.time.MutableDateTime(11L, chronology21);
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField27 = new org.joda.time.field.SkipUndoDateTimeField(chronology21, dateTimeField26);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField28 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    java.util.Locale locale29 = null;
    int i30 = skipUndoDateTimeField27.getMaximumTextLength(locale29);
    org.joda.time.DurationField durationField31 = skipUndoDateTimeField27.getDurationField();
    mutableDateTime15.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27, 29155574);
    int i37 = offsetDateTimeField34.getDifference(11L, (-1L));
    int i39 = offsetDateTimeField34.getMaximumValue(9972000000L);
    org.joda.time.field.SkipDateTimeField skipDateTimeField40 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeField)offsetDateTimeField34);
    long long42 = offsetDateTimeField34.roundFloor(2520406249564938L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 2520406220400000L);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
    org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
    org.joda.time.Chronology chronology9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
    int i11 = dateTime10.getMillisOfDay();
    org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod14 = null;
    org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
    org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod18 = null;
    org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
    org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property22 = dateTime21.era();
    org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
    org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
    long long29 = dateTimeZone26.adjustOffset(100L, false);
    java.lang.String str30 = dateTimeZone26.toString();
    org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
    org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
    java.lang.String str34 = cachedDateTimeZone32.toString();
    org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
    org.joda.time.chrono.GJChronology gJChronology36 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32);
    org.joda.time.DateTimeZone dateTimeZone37 = gJChronology36.getZone();
    org.joda.time.DateTimeZone dateTimeZone38 = gJChronology36.getZone();
    java.lang.String str40 = dateTimeZone38.getShortName((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "PST"+ "'", str40.equals("PST"));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.joda.time.Instant instant0 = new org.joda.time.Instant();
    org.joda.time.Instant instant2 = instant0.minus(0L);
    org.joda.time.Instant instant4 = instant0.withMillis(11L);
    org.joda.time.MutableDateTime mutableDateTime5 = instant0.toMutableDateTimeISO();
    org.joda.time.ReadableDuration readableDuration6 = null;
    org.joda.time.Instant instant8 = instant0.withDurationAdded(readableDuration6, 29156982);
    org.joda.time.Instant instant10 = instant0.withMillis(2519250105600000L);
    org.joda.time.MutableDateTime mutableDateTime11 = instant0.toMutableDateTime();
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime11.setSecondOfMinute(29154766);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime11);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
    org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime8.minusSeconds(0);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime8.withDayOfWeek(29168116);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
    org.joda.time.DateTimeZone dateTimeZone24 = cachedDateTimeZone23.getUncachedZone();
    org.joda.time.DateTimeZone dateTimeZone25 = org.joda.time.DateTimeUtils.getZone((org.joda.time.DateTimeZone)cachedDateTimeZone23);
    long long28 = cachedDateTimeZone23.convertLocalToUTC(0L, false);
    org.joda.time.DateTimeZone dateTimeZone29 = cachedDateTimeZone23.getUncachedZone();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.chrono.JulianChronology julianChronology31 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone29, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 28800000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.dayOfYear();
    org.joda.time.chrono.ISOChronology iSOChronology2 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology2.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime4 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology2);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    mutableDateTime4.add(readablePeriod5, 29154978);
    org.joda.time.ReadableInstant readableInstant9 = null;
    org.joda.time.Chronology chronology10 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant9);
    org.joda.time.Chronology chronology11 = org.joda.time.DateTimeUtils.getChronology(chronology10);
    org.joda.time.MutableDateTime mutableDateTime12 = org.joda.time.MutableDateTime.now(chronology10);
    org.joda.time.MutableDateTime mutableDateTime13 = new org.joda.time.MutableDateTime(11L, chronology10);
    org.joda.time.chrono.ISOChronology iSOChronology14 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField15 = iSOChronology14.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField16 = new org.joda.time.field.SkipUndoDateTimeField(chronology10, dateTimeField15);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField17 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField16);
    java.util.Locale locale18 = null;
    int i19 = skipUndoDateTimeField16.getMaximumTextLength(locale18);
    org.joda.time.DurationField durationField20 = skipUndoDateTimeField16.getDurationField();
    mutableDateTime4.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField16);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField23 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField16, 29155574);
    int i26 = offsetDateTimeField23.getDifference(11L, (-1L));
    int i28 = offsetDateTimeField23.getMaximumValue(9972000000L);
    org.joda.time.ReadablePartial readablePartial29 = null;
    int[] i_array30 = null;
    int i31 = offsetDateTimeField23.getMinimumValue(readablePartial29, i_array30);
    long long33 = offsetDateTimeField23.roundHalfFloor((-29154898L));
    long long35 = offsetDateTimeField23.roundHalfCeiling(2519250105600000L);
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = offsetDateTimeField23.getType();
    org.joda.time.field.DividedDateTimeField dividedDateTimeField38 = new org.joda.time.field.DividedDateTimeField(dateTimeField1, dateTimeFieldType36, 29167751);
    int i40 = dividedDateTimeField38.get(28800001L);
    // The following exception was thrown during execution in test generation
    try {
      long long42 = dividedDateTimeField38.roundFloor(290751370329600100L);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == (-57600000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 2519250105600000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getDurationField();
    long long96 = unsupportedDateTimeField92.add(9964800000L, 29164224);
    // The following exception was thrown during execution in test generation
    try {
      int i98 = unsupportedDateTimeField92.get((-21477600001L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long96 == 17638532636400000L);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    java.lang.String str93 = unsupportedDateTimeField92.toString();
    // The following exception was thrown during execution in test generation
    try {
      int i95 = unsupportedDateTimeField92.getMinimumValue(0L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 57600010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "UnsupportedDateTimeField"+ "'", str93.equals("UnsupportedDateTimeField"));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.joda.time.DateTimeUtils.setCurrentMillisFixed(289281879387534010L);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder3.appendMonthOfYearText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder7 = dateTimeFormatterBuilder3.appendTwoDigitYear(29156602, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder12 = dateTimeFormatterBuilder7.appendTimeZoneOffset("hi!", true, 29159686, 29161921);
    org.joda.time.ReadableInstant readableInstant14 = null;
    org.joda.time.Chronology chronology15 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant14);
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getChronology(chronology15);
    org.joda.time.MutableDateTime mutableDateTime17 = org.joda.time.MutableDateTime.now(chronology15);
    org.joda.time.MutableDateTime mutableDateTime18 = new org.joda.time.MutableDateTime(11L, chronology15);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField21 = new org.joda.time.field.SkipUndoDateTimeField(chronology15, dateTimeField20);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField22 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField21);
    org.joda.time.ReadableInstant readableInstant24 = null;
    org.joda.time.Chronology chronology25 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant24);
    org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getChronology(chronology25);
    org.joda.time.MutableDateTime mutableDateTime27 = org.joda.time.MutableDateTime.now(chronology25);
    org.joda.time.MutableDateTime mutableDateTime28 = new org.joda.time.MutableDateTime(11L, chronology25);
    org.joda.time.chrono.ISOChronology iSOChronology29 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField30 = iSOChronology29.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField31 = new org.joda.time.field.SkipUndoDateTimeField(chronology25, dateTimeField30);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField32 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField31);
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = delegatedDateTimeField32.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField34 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField22, dateTimeFieldType33);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder37 = dateTimeFormatterBuilder12.appendSignedDecimal(dateTimeFieldType33, 0, 213);
    org.joda.time.DateTime dateTime38 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone39 = dateTime38.getZone();
    long long42 = dateTimeZone39.adjustOffset(100L, false);
    java.lang.String str43 = dateTimeZone39.toString();
    org.joda.time.chrono.JulianChronology julianChronology44 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone39);
    org.joda.time.Chronology chronology45 = null;
    org.joda.time.DateTime dateTime46 = new org.joda.time.DateTime(chronology45);
    int i47 = dateTime46.getMillisOfDay();
    org.joda.time.DateTime dateTime49 = dateTime46.withHourOfDay(10);
    boolean b51 = dateTime46.isBefore(0L);
    org.joda.time.DateTime dateTime53 = dateTime46.withMillis((-1L));
    org.joda.time.DateTime.Property property54 = dateTime53.weekyear();
    org.joda.time.DateTime dateTime56 = dateTime53.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology57 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField58 = iSOChronology57.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime59 = dateTime53.toMutableDateTime((org.joda.time.Chronology)iSOChronology57);
    org.joda.time.MutableDateTime.Property property60 = mutableDateTime59.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime61 = null;
    org.joda.time.chrono.LimitChronology limitChronology62 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology44, (org.joda.time.ReadableDateTime)mutableDateTime59, readableDateTime61);
    org.joda.time.DurationField durationField63 = limitChronology62.millis();
    org.joda.time.Chronology chronology64 = limitChronology62.withUTC();
    org.joda.time.DurationField durationField65 = limitChronology62.hours();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField66 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType33, durationField65);
    // The following exception was thrown during execution in test generation
    try {
      long long69 = unsupportedDateTimeField66.set((-1259482378865990L), 29167848);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "America/Los_Angeles"+ "'", str43.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField66);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    int i89 = remainderDateTimeField87.getLeapAmount(57600001L);
    long long91 = remainderDateTimeField87.roundHalfEven(115200000L);
    int i92 = remainderDateTimeField87.getDivisor();
    int i93 = remainderDateTimeField87.getMaximumValue();
    int i94 = remainderDateTimeField87.getMinimumValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long91 == 115200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 29156920);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 29156919);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 0);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    boolean b6 = dateTime1.isBefore(0L);
    org.joda.time.DateTime dateTime8 = dateTime1.withMillis((-1L));
    org.joda.time.DateTime.Property property9 = dateTime8.weekyear();
    org.joda.time.DateTime dateTime11 = dateTime8.plusMonths(29154657);
    org.joda.time.DateTime dateTime13 = dateTime8.plusYears(0);
    org.joda.time.TimeOfDay timeOfDay14 = dateTime13.toTimeOfDay();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime16 = dateTime13.withWeekOfWeekyear(29160593);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay14);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(29162582, 29168062, 0, 29167060, 1970, (-29159771));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.joda.time.chrono.GJChronology gJChronology0 = org.joda.time.chrono.GJChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gJChronology0.dayOfYear();
    org.joda.time.Instant instant2 = gJChronology0.getGregorianCutover();
    // The following exception was thrown during execution in test generation
    try {
      long long10 = gJChronology0.getDateTimeMillis(29163447, 29155756, 29156192, 29165237, 29155804, 29165424, 29157143);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant2);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("America/Los_Angeles");
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    org.joda.time.DateTime dateTime3 = dateTime0.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant4 = null;
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant4);
    org.joda.time.DateTime dateTime6 = dateTime0.toDateTime(chronology5);
    org.joda.time.DateTime dateTime8 = dateTime0.minusHours(29156776);
    org.joda.time.Chronology chronology9 = null;
    org.joda.time.DateTime dateTime10 = new org.joda.time.DateTime(chronology9);
    int i11 = dateTime10.getMillisOfDay();
    org.joda.time.DateTime dateTime13 = dateTime10.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod14 = null;
    org.joda.time.DateTime dateTime16 = dateTime10.withPeriodAdded(readablePeriod14, 0);
    org.joda.time.DateMidnight dateMidnight17 = dateTime16.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod18 = null;
    org.joda.time.DateTime dateTime20 = dateTime16.withPeriodAdded(readablePeriod18, (-1));
    org.joda.time.DateTime dateTime21 = dateTime16.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property22 = dateTime21.era();
    org.joda.time.DateTime dateTime24 = dateTime21.plusYears(29154679);
    org.joda.time.DateTime dateTime25 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone26 = dateTime25.getZone();
    long long29 = dateTimeZone26.adjustOffset(100L, false);
    java.lang.String str30 = dateTimeZone26.toString();
    org.joda.time.DateTime dateTime31 = dateTime21.toDateTime(dateTimeZone26);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone32 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone26);
    org.joda.time.DateTimeZone dateTimeZone33 = cachedDateTimeZone32.getUncachedZone();
    java.lang.String str34 = cachedDateTimeZone32.toString();
    org.joda.time.DateTime dateTime35 = dateTime8.toDateTime((org.joda.time.DateTimeZone)cachedDateTimeZone32);
    org.joda.time.chrono.GJChronology gJChronology36 = org.joda.time.chrono.GJChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone32);
    org.joda.time.DateTimeZone dateTimeZone37 = gJChronology36.getZone();
    org.joda.time.DateTimeZone dateTimeZone38 = gJChronology36.getZone();
    int i39 = gJChronology36.getMinimumDaysInFirstWeek();
    org.joda.time.ReadablePeriod readablePeriod40 = null;
    long long43 = gJChronology36.add(readablePeriod40, 28800010L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "America/Los_Angeles"+ "'", str30.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "America/Los_Angeles"+ "'", str34.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gJChronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 28800010L);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    boolean b7 = dateTime2.isBefore(0L);
    org.joda.time.DateTime dateTime9 = dateTime2.withMillis((-1L));
    org.joda.time.DateTime.Property property10 = dateTime9.weekyear();
    org.joda.time.DateTime dateTime12 = dateTime9.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime15 = dateTime9.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.DateTimeField dateTimeField16 = iSOChronology13.secondOfDay();
    org.joda.time.MutableDateTime mutableDateTime17 = new org.joda.time.MutableDateTime((-40845599990L), (org.joda.time.Chronology)iSOChronology13);
    org.joda.time.MutableDateTime.Property property18 = mutableDateTime17.millisOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property18);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
    org.joda.time.DateTime.Property property23 = dateTime22.dayOfYear();
    int i24 = dateTime22.getDayOfYear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 304);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    // The following exception was thrown during execution in test generation
    try {
      long long95 = durationField91.subtract(1382400000L, (-40791245092L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
    int i9 = dateTime8.getMillisOfDay();
    org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
    boolean b13 = dateTime8.isBefore(0L);
    org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
    org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
    org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime23 = null;
    org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
    org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
    org.joda.time.Chronology chronology26 = julianChronology6.withUTC();
    org.joda.time.DateTimeField dateTimeField27 = julianChronology6.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone28 = julianChronology6.getZone();
    org.joda.time.DateTimeZone dateTimeZone29 = org.joda.time.DateTimeZone.getDefault();
    org.joda.time.Chronology chronology30 = julianChronology6.withZone(dateTimeZone29);
    int i31 = julianChronology6.getMinimumDaysInFirstWeek();
    org.joda.time.ReadablePeriod readablePeriod32 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array35 = julianChronology6.get(readablePeriod32, 28800001L, 290538886806000000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 4);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.joda.time.field.DividedDateTimeField dividedDateTimeField0 = null;
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder1 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder4 = dateTimeFormatterBuilder1.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder5 = dateTimeFormatterBuilder4.appendMonthOfYearText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder4.appendTwoDigitYear(29156602, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder8.appendTimeZoneOffset("hi!", true, 29159686, 29161921);
    org.joda.time.ReadableInstant readableInstant15 = null;
    org.joda.time.Chronology chronology16 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant15);
    org.joda.time.Chronology chronology17 = org.joda.time.DateTimeUtils.getChronology(chronology16);
    org.joda.time.MutableDateTime mutableDateTime18 = org.joda.time.MutableDateTime.now(chronology16);
    org.joda.time.MutableDateTime mutableDateTime19 = new org.joda.time.MutableDateTime(11L, chronology16);
    org.joda.time.chrono.ISOChronology iSOChronology20 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField21 = iSOChronology20.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField22 = new org.joda.time.field.SkipUndoDateTimeField(chronology16, dateTimeField21);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField23 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField22);
    org.joda.time.ReadableInstant readableInstant25 = null;
    org.joda.time.Chronology chronology26 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant25);
    org.joda.time.Chronology chronology27 = org.joda.time.DateTimeUtils.getChronology(chronology26);
    org.joda.time.MutableDateTime mutableDateTime28 = org.joda.time.MutableDateTime.now(chronology26);
    org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime(11L, chronology26);
    org.joda.time.chrono.ISOChronology iSOChronology30 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField31 = iSOChronology30.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField32 = new org.joda.time.field.SkipUndoDateTimeField(chronology26, dateTimeField31);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField33 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField32);
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = delegatedDateTimeField33.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField35 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField23, dateTimeFieldType34);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder38 = dateTimeFormatterBuilder13.appendSignedDecimal(dateTimeFieldType34, 0, 213);
    org.joda.time.ReadableInstant readableInstant40 = null;
    org.joda.time.Chronology chronology41 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant40);
    org.joda.time.Chronology chronology42 = org.joda.time.DateTimeUtils.getChronology(chronology41);
    org.joda.time.MutableDateTime mutableDateTime43 = org.joda.time.MutableDateTime.now(chronology41);
    org.joda.time.MutableDateTime mutableDateTime44 = new org.joda.time.MutableDateTime(11L, chronology41);
    org.joda.time.chrono.ISOChronology iSOChronology45 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField46 = iSOChronology45.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField47 = new org.joda.time.field.SkipUndoDateTimeField(chronology41, dateTimeField46);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField48 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField47);
    org.joda.time.DateTimeFieldType dateTimeFieldType49 = delegatedDateTimeField48.getType();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder52 = dateTimeFormatterBuilder13.appendDecimal(dateTimeFieldType49, 29159055, 6);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.RemainderDateTimeField remainderDateTimeField53 = new org.joda.time.field.RemainderDateTimeField(dividedDateTimeField0, dateTimeFieldType49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder52);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.io.InputStream inputStream0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTimeZone dateTimeZone2 = org.joda.time.tz.DateTimeZoneBuilder.readFrom(inputStream0, "America/Los_Angeles");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
    org.joda.time.DateTimeZone dateTimeZone24 = cachedDateTimeZone23.getUncachedZone();
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
    org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
    org.joda.time.DurationField durationField27 = iSOChronology26.days();
    long long30 = durationField27.subtract(11L, 11L);
    // The following exception was thrown during execution in test generation
    try {
      long long33 = durationField27.subtract(0L, 1456157158199L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == (-950399989L));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.joda.time.Chronology chronology0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime1 = org.joda.time.DateTime.now(chronology0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
    int i9 = dateTime8.getMillisOfDay();
    org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
    boolean b13 = dateTime8.isBefore(0L);
    org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
    org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
    org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime23 = null;
    org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
    // The following exception was thrown during execution in test generation
    try {
      long long30 = limitChronology24.getDateTimeMillis(0L, 0, 1970, 29163511, 29160307);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology24);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    mutableDateTime9.addDays(29154720);
    org.joda.time.ReadableDuration readableDuration12 = null;
    mutableDateTime9.add(readableDuration12, 29154657);
    org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
    org.joda.time.MutableDateTime.Property property16 = mutableDateTime9.era();
    mutableDateTime9.addSeconds(29161582);
    org.joda.time.MutableDateTime.Property property19 = mutableDateTime9.dayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property19);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    boolean b7 = dateTime2.isBefore(0L);
    org.joda.time.DateTime dateTime9 = dateTime2.withMillis((-1L));
    org.joda.time.DateTime.Property property10 = dateTime9.weekyear();
    org.joda.time.DateTime dateTime12 = dateTime9.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime15 = dateTime9.toMutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.DateTime dateTime16 = new org.joda.time.DateTime((org.joda.time.Chronology)iSOChronology13);
    java.util.Locale locale17 = null;
    org.joda.time.format.DateTimeParserBucket dateTimeParserBucket20 = new org.joda.time.format.DateTimeParserBucket((-40870799990L), (org.joda.time.Chronology)iSOChronology13, locale17, (java.lang.Integer)29158442, 0);
    long long22 = dateTimeParserBucket20.computeMillis(true);
    java.lang.Integer i23 = dateTimeParserBucket20.getOffsetInteger();
    boolean b25 = dateTimeParserBucket20.restoreState((java.lang.Object)29157116);
    long long26 = dateTimeParserBucket20.computeMillis();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == (-40845599990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-40845599990L));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianChronology0, (java.lang.Object)dateTime8);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    mutableDateTime15.add(readablePeriod16, 29154978);
    org.joda.time.ReadableInstant readableInstant20 = null;
    org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant20);
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology(chronology21);
    org.joda.time.MutableDateTime mutableDateTime23 = org.joda.time.MutableDateTime.now(chronology21);
    org.joda.time.MutableDateTime mutableDateTime24 = new org.joda.time.MutableDateTime(11L, chronology21);
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField27 = new org.joda.time.field.SkipUndoDateTimeField(chronology21, dateTimeField26);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField28 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    java.util.Locale locale29 = null;
    int i30 = skipUndoDateTimeField27.getMaximumTextLength(locale29);
    org.joda.time.DurationField durationField31 = skipUndoDateTimeField27.getDurationField();
    mutableDateTime15.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27, 29155574);
    int i37 = offsetDateTimeField34.getDifference(11L, (-1L));
    int i39 = offsetDateTimeField34.getMaximumValue(9972000000L);
    org.joda.time.field.SkipDateTimeField skipDateTimeField40 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeField)offsetDateTimeField34);
    long long43 = offsetDateTimeField34.addWrapField(28800011L, 0);
    int i46 = offsetDateTimeField34.getDifference(0L, 0L);
    long long48 = offsetDateTimeField34.remainder(1456128003301L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 28800011L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == 3301L);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = null;
    boolean b14 = dateTime7.isSupported(dateTimeFieldType13);
    org.joda.time.ReadablePeriod readablePeriod15 = null;
    org.joda.time.DateTime dateTime17 = dateTime7.withPeriodAdded(readablePeriod15, 0);
    org.joda.time.DateTime dateTime18 = dateTime7.toDateTime();
    org.joda.time.DateTime dateTime20 = dateTime7.minusSeconds(29161231);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder21 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder24 = dateTimeFormatterBuilder21.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder25 = dateTimeFormatterBuilder24.appendMonthOfYearText();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder28 = dateTimeFormatterBuilder24.appendTwoDigitYear(29156602, false);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder33 = dateTimeFormatterBuilder28.appendTimeZoneOffset("hi!", true, 29159686, 29161921);
    org.joda.time.ReadableInstant readableInstant35 = null;
    org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant35);
    org.joda.time.Chronology chronology37 = org.joda.time.DateTimeUtils.getChronology(chronology36);
    org.joda.time.MutableDateTime mutableDateTime38 = org.joda.time.MutableDateTime.now(chronology36);
    org.joda.time.MutableDateTime mutableDateTime39 = new org.joda.time.MutableDateTime(11L, chronology36);
    org.joda.time.chrono.ISOChronology iSOChronology40 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField41 = iSOChronology40.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField42 = new org.joda.time.field.SkipUndoDateTimeField(chronology36, dateTimeField41);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField43 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField42);
    org.joda.time.ReadableInstant readableInstant45 = null;
    org.joda.time.Chronology chronology46 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant45);
    org.joda.time.Chronology chronology47 = org.joda.time.DateTimeUtils.getChronology(chronology46);
    org.joda.time.MutableDateTime mutableDateTime48 = org.joda.time.MutableDateTime.now(chronology46);
    org.joda.time.MutableDateTime mutableDateTime49 = new org.joda.time.MutableDateTime(11L, chronology46);
    org.joda.time.chrono.ISOChronology iSOChronology50 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField51 = iSOChronology50.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField52 = new org.joda.time.field.SkipUndoDateTimeField(chronology46, dateTimeField51);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField53 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField52);
    org.joda.time.DateTimeFieldType dateTimeFieldType54 = delegatedDateTimeField53.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField55 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField43, dateTimeFieldType54);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder58 = dateTimeFormatterBuilder33.appendSignedDecimal(dateTimeFieldType54, 0, 213);
    org.joda.time.DateTime dateTime59 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone60 = dateTime59.getZone();
    long long63 = dateTimeZone60.adjustOffset(100L, false);
    java.lang.String str64 = dateTimeZone60.toString();
    org.joda.time.chrono.JulianChronology julianChronology65 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone60);
    org.joda.time.Chronology chronology66 = null;
    org.joda.time.DateTime dateTime67 = new org.joda.time.DateTime(chronology66);
    int i68 = dateTime67.getMillisOfDay();
    org.joda.time.DateTime dateTime70 = dateTime67.withHourOfDay(10);
    boolean b72 = dateTime67.isBefore(0L);
    org.joda.time.DateTime dateTime74 = dateTime67.withMillis((-1L));
    org.joda.time.DateTime.Property property75 = dateTime74.weekyear();
    org.joda.time.DateTime dateTime77 = dateTime74.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology78 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField79 = iSOChronology78.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime80 = dateTime74.toMutableDateTime((org.joda.time.Chronology)iSOChronology78);
    org.joda.time.MutableDateTime.Property property81 = mutableDateTime80.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime82 = null;
    org.joda.time.chrono.LimitChronology limitChronology83 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology65, (org.joda.time.ReadableDateTime)mutableDateTime80, readableDateTime82);
    org.joda.time.DurationField durationField84 = limitChronology83.millis();
    org.joda.time.Chronology chronology85 = limitChronology83.withUTC();
    org.joda.time.DurationField durationField86 = limitChronology83.hours();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField87 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType54, durationField86);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime89 = dateTime20.withField(dateTimeFieldType54, 29167368);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long63 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "America/Los_Angeles"+ "'", str64.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField87);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.basicTTimeNoMillis();
    java.lang.String str2 = dateTimeFormatter0.print(11L);
    org.joda.time.format.DateTimeParser dateTimeParser3 = dateTimeFormatter0.getParser();
    java.io.Writer writer4 = null;
    org.joda.time.Chronology chronology5 = null;
    org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(chronology5);
    int i7 = dateTime6.getMillisOfDay();
    org.joda.time.DateTime dateTime9 = dateTime6.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime12 = dateTime6.withPeriodAdded(readablePeriod10, 0);
    org.joda.time.DateMidnight dateMidnight13 = dateTime12.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime14 = dateTime12.toMutableDateTime();
    org.joda.time.DateTime dateTime15 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone16 = dateTime15.getZone();
    org.joda.time.DateTime dateTime18 = dateTime15.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant19 = null;
    org.joda.time.Chronology chronology20 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant19);
    org.joda.time.DateTime dateTime21 = dateTime15.toDateTime(chronology20);
    boolean b22 = mutableDateTime14.isAfter((org.joda.time.ReadableInstant)dateTime15);
    org.joda.time.ReadablePeriod readablePeriod23 = null;
    org.joda.time.DateTime dateTime25 = dateTime15.withPeriodAdded(readablePeriod23, 29154785);
    org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTime dateTime27 = dateTime25.toDateTime((org.joda.time.Chronology)iSOChronology26);
    org.joda.time.DateTime dateTime28 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone29 = dateTime28.getZone();
    long long32 = dateTimeZone29.adjustOffset(100L, false);
    java.lang.String str33 = dateTimeZone29.toString();
    org.joda.time.chrono.JulianChronology julianChronology34 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone29);
    org.joda.time.Chronology chronology35 = null;
    org.joda.time.DateTime dateTime36 = new org.joda.time.DateTime(chronology35);
    int i37 = dateTime36.getMillisOfDay();
    org.joda.time.DateTime dateTime39 = dateTime36.withHourOfDay(10);
    boolean b41 = dateTime36.isBefore(0L);
    org.joda.time.DateTime dateTime43 = dateTime36.withMillis((-1L));
    org.joda.time.DateTime.Property property44 = dateTime43.weekyear();
    org.joda.time.DateTime dateTime46 = dateTime43.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology47 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField48 = iSOChronology47.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime49 = dateTime43.toMutableDateTime((org.joda.time.Chronology)iSOChronology47);
    org.joda.time.MutableDateTime.Property property50 = mutableDateTime49.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime51 = null;
    org.joda.time.chrono.LimitChronology limitChronology52 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology34, (org.joda.time.ReadableDateTime)mutableDateTime49, readableDateTime51);
    org.joda.time.Chronology chronology53 = julianChronology34.withUTC();
    org.joda.time.Chronology chronology54 = julianChronology34.withUTC();
    org.joda.time.DateTimeField dateTimeField55 = julianChronology34.minuteOfHour();
    org.joda.time.DateTimeZone dateTimeZone56 = julianChronology34.getZone();
    org.joda.time.DateTimeZone dateTimeZone57 = org.joda.time.DateTimeZone.getDefault();
    org.joda.time.Chronology chronology58 = julianChronology34.withZone(dateTimeZone57);
    org.joda.time.chrono.ISOChronology iSOChronology59 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str60 = iSOChronology59.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter61 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter62 = dateTimeFormatter61.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime64 = dateTimeFormatter61.parseLocalDateTime("16");
    long long66 = iSOChronology59.set((org.joda.time.ReadablePartial)localDateTime64, 28800011L);
    boolean b67 = org.joda.time.DateTimeUtils.isContiguous((org.joda.time.ReadablePartial)localDateTime64);
    boolean b68 = dateTimeZone57.isLocalDateTimeGap(localDateTime64);
    org.joda.time.DateTime dateTime69 = dateTime27.withFields((org.joda.time.ReadablePartial)localDateTime64);
    // The following exception was thrown during execution in test generation
    try {
      dateTimeFormatter0.printTo(writer4, (org.joda.time.ReadablePartial)localDateTime64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "T160000-0800"+ "'", str2.equals("T160000-0800"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeParser3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "America/Los_Angeles"+ "'", str33.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str60.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long66 == 86400000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime69);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    org.joda.time.DateTime dateTime11 = dateTime7.plusSeconds(29154871);
    org.joda.time.ReadableDuration readableDuration12 = null;
    org.joda.time.DateTime dateTime14 = dateTime7.withDurationAdded(readableDuration12, 29154750);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime16 = dateTime7.withMillisOfSecond(29165237);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime14);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder0 = new org.joda.time.format.DateTimeFormatterBuilder();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder3 = dateTimeFormatterBuilder0.appendTwoDigitYear(29157144, false);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter4 = dateTimeFormatterBuilder0.toFormatter();
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder6 = dateTimeFormatterBuilder0.appendHourOfHalfday(29158440);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder8 = dateTimeFormatterBuilder6.appendTwoDigitYear(29158333);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder10 = dateTimeFormatterBuilder6.appendWeekOfWeekyear(29160954);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder13 = dateTimeFormatterBuilder6.appendFractionOfSecond(29154735, 29161093);
    org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder15 = dateTimeFormatterBuilder13.appendWeekOfWeekyear(29156104);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.format.DateTimeFormatterBuilder dateTimeFormatterBuilder18 = dateTimeFormatterBuilder15.appendWeekyear(0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatterBuilder15);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(29160015, 29161109, 29157510);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("1", (-33), 29156982, 29158440);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField1 = gregorianChronology0.hourOfDay();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = gregorianChronology0.getDateTimeMillis(29164743, 29161582, 29166108, 29160715, 29161640, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.getIllegalStringValue();
    illegalFieldValueException7.prependMessage("America/Los_Angeles");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number12 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    org.joda.time.DurationFieldType durationFieldType16 = unsupportedDurationField1.getType();
    org.joda.time.chrono.ISOChronology iSOChronology17 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str18 = iSOChronology17.toString();
    org.joda.time.DateTimeField dateTimeField19 = iSOChronology17.minuteOfDay();
    org.joda.time.DurationField durationField20 = iSOChronology17.halfdays();
    long long23 = durationField20.subtract(10L, 29154686);
    int i24 = unsupportedDurationField1.compareTo(durationField20);
    // The following exception was thrown during execution in test generation
    try {
      long long26 = unsupportedDurationField1.getValueAsLong((-29894400000L));
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str18.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == (-1259482435621990L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    // The following exception was thrown during execution in test generation
    try {
      long long3 = unsupportedDurationField1.getValueAsLong(1438441563765L);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    long long24 = skipUndoDateTimeField14.add(0L, 0L);
    // The following exception was thrown during execution in test generation
    try {
      long long27 = skipUndoDateTimeField14.set((-40842000000L), 29164052);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone10 = dateTime7.getZone();
    org.joda.time.DateTime.Property property11 = dateTime7.yearOfCentury();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime13 = dateTime7.withMonthOfYear(54);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property11);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str1 = iSOChronology0.toString();
    org.joda.time.DateTimeField dateTimeField2 = iSOChronology0.minuteOfDay();
    org.joda.time.DateTimeField dateTimeField3 = iSOChronology0.hourOfDay();
    org.joda.time.DateTimeField dateTimeField4 = iSOChronology0.clockhourOfDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str1.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField4);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.joda.time.DateTimeZone dateTimeZone5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime6 = new org.joda.time.DateTime(31, 29162344, 29167406, 29167418, 29155748, dateTimeZone5);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.Chronology chronology12 = null;
    org.joda.time.DateTime dateTime13 = new org.joda.time.DateTime(chronology12);
    int i14 = dateTime13.getMillisOfDay();
    org.joda.time.DateTime dateTime16 = dateTime13.withHourOfDay(10);
    boolean b18 = dateTime13.isBefore(0L);
    org.joda.time.DateTime dateTime20 = dateTime13.withMillis((-1L));
    org.joda.time.DateTime.Property property21 = dateTime20.weekyear();
    org.joda.time.DateTime dateTime23 = dateTime20.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology24 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField25 = iSOChronology24.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime26 = dateTime20.toMutableDateTime((org.joda.time.Chronology)iSOChronology24);
    org.joda.time.DateTimeField dateTimeField27 = iSOChronology24.secondOfDay();
    org.joda.time.chrono.ISOChronology iSOChronology28 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField29 = iSOChronology28.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime30 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology28);
    org.joda.time.ReadablePeriod readablePeriod31 = null;
    mutableDateTime30.add(readablePeriod31, 29154978);
    org.joda.time.Chronology chronology34 = null;
    org.joda.time.DateTime dateTime35 = new org.joda.time.DateTime(chronology34);
    int i36 = dateTime35.getMillisOfDay();
    org.joda.time.DateTime dateTime38 = dateTime35.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod39 = null;
    org.joda.time.DateTime dateTime41 = dateTime35.withPeriodAdded(readablePeriod39, 0);
    org.joda.time.DateMidnight dateMidnight42 = dateTime41.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime43 = dateTime41.toMutableDateTime();
    mutableDateTime30.setMillis((org.joda.time.ReadableInstant)mutableDateTime43);
    org.joda.time.ReadableInstant readableInstant46 = null;
    org.joda.time.Chronology chronology47 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant46);
    org.joda.time.Chronology chronology48 = org.joda.time.DateTimeUtils.getChronology(chronology47);
    org.joda.time.MutableDateTime mutableDateTime49 = org.joda.time.MutableDateTime.now(chronology47);
    org.joda.time.MutableDateTime mutableDateTime50 = new org.joda.time.MutableDateTime(11L, chronology47);
    org.joda.time.chrono.ISOChronology iSOChronology51 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField52 = iSOChronology51.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField53 = new org.joda.time.field.SkipUndoDateTimeField(chronology47, dateTimeField52);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField54 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField53);
    org.joda.time.ReadableInstant readableInstant56 = null;
    org.joda.time.Chronology chronology57 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant56);
    org.joda.time.Chronology chronology58 = org.joda.time.DateTimeUtils.getChronology(chronology57);
    org.joda.time.MutableDateTime mutableDateTime59 = org.joda.time.MutableDateTime.now(chronology57);
    org.joda.time.MutableDateTime mutableDateTime60 = new org.joda.time.MutableDateTime(11L, chronology57);
    org.joda.time.chrono.ISOChronology iSOChronology61 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField62 = iSOChronology61.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField63 = new org.joda.time.field.SkipUndoDateTimeField(chronology57, dateTimeField62);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField64 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField63);
    org.joda.time.DateTimeFieldType dateTimeFieldType65 = delegatedDateTimeField64.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField66 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField54, dateTimeFieldType65);
    org.joda.time.MutableDateTime.Property property67 = mutableDateTime30.property(dateTimeFieldType65);
    org.joda.time.IllegalFieldValueException illegalFieldValueException70 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType65, (java.lang.Number)29158796, "16");
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField71 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField27, dateTimeFieldType65);
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime73 = dateTime11.withField(dateTimeFieldType65, 29165314);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property67);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
    org.joda.time.tz.CachedDateTimeZone cachedDateTimeZone23 = org.joda.time.tz.CachedDateTimeZone.forZone(dateTimeZone17);
    org.joda.time.DateTimeZone dateTimeZone24 = cachedDateTimeZone23.getUncachedZone();
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
    org.joda.time.chrono.ISOChronology iSOChronology26 = org.joda.time.chrono.ISOChronology.getInstance((org.joda.time.DateTimeZone)cachedDateTimeZone23);
    org.joda.time.DateTimeField dateTimeField27 = iSOChronology26.centuryOfEra();
    org.joda.time.chrono.GregorianChronology gregorianChronology28 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.DateTimeField dateTimeField29 = gregorianChronology28.clockhourOfHalfday();
    org.joda.time.field.SkipDateTimeField skipDateTimeField31 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)iSOChronology26, dateTimeField29, 29165344);
    org.joda.time.Chronology chronology32 = iSOChronology26.withUTC();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(cachedDateTimeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology32);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    java.lang.ClassLoader classLoader1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.tz.ZoneInfoProvider zoneInfoProvider2 = new org.joda.time.tz.ZoneInfoProvider("365", classLoader1);
      org.junit.Assert.fail("Expected exception of type java.io.IOException");
    } catch (java.io.IOException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.io.IOException")) {
        org.junit.Assert.fail("Expected exception of type java.io.IOException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.joda.time.format.DateTimeFormatter dateTimeFormatter0 = org.joda.time.format.ISODateTimeFormat.ordinalDateTime();
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod10 = null;
    org.joda.time.DateTime dateTime12 = dateTime8.withPeriodAdded(readablePeriod10, (-1));
    org.joda.time.DateTime dateTime13 = dateTime8.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property14 = dateTime13.era();
    org.joda.time.DateTime dateTime16 = dateTime13.plusYears(29154679);
    org.joda.time.DateTime dateTime18 = dateTime13.plusHours(52);
    org.joda.time.Chronology chronology19 = null;
    org.joda.time.DateTime dateTime20 = new org.joda.time.DateTime(chronology19);
    int i21 = dateTime20.getMillisOfDay();
    org.joda.time.DateTime dateTime23 = dateTime20.withHourOfDay(10);
    boolean b25 = dateTime20.isBefore(0L);
    org.joda.time.DateTime dateTime27 = dateTime20.withMillis((-1L));
    org.joda.time.DateTime.Property property28 = dateTime27.weekyear();
    org.joda.time.DateTime dateTime30 = dateTime27.plusMonths(29154657);
    org.joda.time.DateTime dateTime32 = dateTime27.plusYears(0);
    org.joda.time.TimeOfDay timeOfDay33 = dateTime32.toTimeOfDay();
    org.joda.time.DateTime dateTime34 = dateTime13.withFields((org.joda.time.ReadablePartial)timeOfDay33);
    java.lang.String str35 = dateTimeFormatter0.print((org.joda.time.ReadablePartial)timeOfDay33);
    org.joda.time.Chronology chronology36 = null;
    org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(chronology36);
    int i38 = dateTime37.getMillisOfDay();
    org.joda.time.DateTime dateTime40 = dateTime37.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod41 = null;
    org.joda.time.DateTime dateTime43 = dateTime37.withPeriodAdded(readablePeriod41, 0);
    org.joda.time.DateMidnight dateMidnight44 = dateTime43.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime45 = dateTime43.toMutableDateTime();
    mutableDateTime45.addDays(29154720);
    org.joda.time.ReadableDuration readableDuration48 = null;
    mutableDateTime45.add(readableDuration48, 29154657);
    org.joda.time.MutableDateTime.Property property51 = mutableDateTime45.secondOfDay();
    org.joda.time.MutableDateTime.Property property52 = mutableDateTime45.era();
    mutableDateTime45.addWeeks(29156556);
    org.joda.time.MutableDateTime mutableDateTime55 = mutableDateTime45.copy();
    int i58 = dateTimeFormatter0.parseInto((org.joda.time.ReadWritableInstant)mutableDateTime55, "21", 29154961);
    org.joda.time.MutableDateTime.Property property59 = mutableDateTime55.minuteOfHour();
    org.joda.time.DurationFieldType durationFieldType60 = null;
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime55.add(durationFieldType60, 29159288);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeOfDay33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "\uFFFD\uFFFD\uFFFD\uFFFD-\uFFFD\uFFFD\uFFFDT15:59:59.999"+ "'", str35.equals("\uFFFD\uFFFD\uFFFD\uFFFD-\uFFFD\uFFFD\uFFFDT15:59:59.999"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == (-29154962));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property59);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    mutableDateTime9.addDays(29154720);
    org.joda.time.MutableDateTime.Property property12 = mutableDateTime9.monthOfYear();
    mutableDateTime9.setYear(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property12);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(29167489, 29156498, 29165314, 29167319, 29163914, 29155885, 29160698);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
    int i9 = dateTime8.getMillisOfDay();
    org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
    boolean b13 = dateTime8.isBefore(0L);
    org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
    org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
    org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime23 = null;
    org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
    org.joda.time.Chronology chronology25 = julianChronology6.withUTC();
    org.joda.time.DurationField durationField26 = julianChronology6.weekyears();
    org.joda.time.chrono.ISOChronology iSOChronology27 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField28 = iSOChronology27.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime29 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology27);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    mutableDateTime29.add(readablePeriod30, 29154978);
    org.joda.time.ReadableInstant readableInstant34 = null;
    org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
    org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
    org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
    org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
    org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
    java.util.Locale locale43 = null;
    int i44 = skipUndoDateTimeField41.getMaximumTextLength(locale43);
    org.joda.time.DurationField durationField45 = skipUndoDateTimeField41.getDurationField();
    mutableDateTime29.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField41);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField48 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41, 29155574);
    int i49 = offsetDateTimeField48.getMaximumValue();
    org.joda.time.field.SkipDateTimeField skipDateTimeField50 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)julianChronology6, (org.joda.time.DateTimeField)offsetDateTimeField48);
    long long53 = offsetDateTimeField48.add((-57600000L), 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long53 == 174121200000L);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.joda.time.chrono.GregorianChronology gregorianChronology0 = org.joda.time.chrono.GregorianChronology.getInstanceUTC();
    org.joda.time.Chronology chronology1 = null;
    org.joda.time.DateTime dateTime2 = new org.joda.time.DateTime(chronology1);
    int i3 = dateTime2.getMillisOfDay();
    org.joda.time.DateTime dateTime5 = dateTime2.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod6 = null;
    org.joda.time.DateTime dateTime8 = dateTime2.withPeriodAdded(readablePeriod6, 0);
    org.joda.time.DateMidnight dateMidnight9 = dateTime8.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime10 = dateTime8.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone11 = dateTime8.getZone();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)gregorianChronology0, (java.lang.Object)dateTime8);
    org.joda.time.chrono.ISOChronology iSOChronology13 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField14 = iSOChronology13.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology13);
    org.joda.time.ReadablePeriod readablePeriod16 = null;
    mutableDateTime15.add(readablePeriod16, 29154978);
    org.joda.time.ReadableInstant readableInstant20 = null;
    org.joda.time.Chronology chronology21 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant20);
    org.joda.time.Chronology chronology22 = org.joda.time.DateTimeUtils.getChronology(chronology21);
    org.joda.time.MutableDateTime mutableDateTime23 = org.joda.time.MutableDateTime.now(chronology21);
    org.joda.time.MutableDateTime mutableDateTime24 = new org.joda.time.MutableDateTime(11L, chronology21);
    org.joda.time.chrono.ISOChronology iSOChronology25 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField26 = iSOChronology25.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField27 = new org.joda.time.field.SkipUndoDateTimeField(chronology21, dateTimeField26);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField28 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    java.util.Locale locale29 = null;
    int i30 = skipUndoDateTimeField27.getMaximumTextLength(locale29);
    org.joda.time.DurationField durationField31 = skipUndoDateTimeField27.getDurationField();
    mutableDateTime15.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField27);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField34 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField27, 29155574);
    int i37 = offsetDateTimeField34.getDifference(11L, (-1L));
    int i39 = offsetDateTimeField34.getMaximumValue(9972000000L);
    org.joda.time.field.SkipDateTimeField skipDateTimeField40 = new org.joda.time.field.SkipDateTimeField((org.joda.time.Chronology)gregorianChronology0, (org.joda.time.DateTimeField)offsetDateTimeField34);
    long long42 = offsetDateTimeField34.remainder((-14577342L));
    long long45 = offsetDateTimeField34.add((-57600000L), 29157988);
    long long47 = offsetDateTimeField34.roundCeiling((-1L));
    org.joda.time.DurationField durationField48 = offsetDateTimeField34.getRangeDurationField();
    long long51 = offsetDateTimeField34.add((-1L), 28800000L);
    java.lang.String str53 = offsetDateTimeField34.getAsText((-14577342L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 29155940);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long42 == 43022658L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long45 == 2519250105600000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 28800000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long51 == 2488319996399999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "29155939"+ "'", str53.equals("29155939"));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.joda.time.chrono.ISOChronology iSOChronology0 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField1 = iSOChronology0.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime2 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology0);
    org.joda.time.ReadablePeriod readablePeriod3 = null;
    mutableDateTime2.add(readablePeriod3, 29154978);
    org.joda.time.ReadableInstant readableInstant7 = null;
    org.joda.time.Chronology chronology8 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant7);
    org.joda.time.Chronology chronology9 = org.joda.time.DateTimeUtils.getChronology(chronology8);
    org.joda.time.MutableDateTime mutableDateTime10 = org.joda.time.MutableDateTime.now(chronology8);
    org.joda.time.MutableDateTime mutableDateTime11 = new org.joda.time.MutableDateTime(11L, chronology8);
    org.joda.time.chrono.ISOChronology iSOChronology12 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField13 = iSOChronology12.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField14 = new org.joda.time.field.SkipUndoDateTimeField(chronology8, dateTimeField13);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField15 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    java.util.Locale locale16 = null;
    int i17 = skipUndoDateTimeField14.getMaximumTextLength(locale16);
    org.joda.time.DurationField durationField18 = skipUndoDateTimeField14.getDurationField();
    mutableDateTime2.setRounding((org.joda.time.DateTimeField)skipUndoDateTimeField14);
    org.joda.time.field.OffsetDateTimeField offsetDateTimeField21 = new org.joda.time.field.OffsetDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField14, 29155574);
    int i24 = offsetDateTimeField21.getDifference(11L, (-1L));
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTime dateTime35 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone36 = dateTime35.getZone();
    org.joda.time.DateTime dateTime38 = dateTime35.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant39 = null;
    org.joda.time.Chronology chronology40 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant39);
    org.joda.time.DateTime dateTime41 = dateTime35.toDateTime(chronology40);
    boolean b42 = mutableDateTime34.isAfter((org.joda.time.ReadableInstant)dateTime35);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter43 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter44 = dateTimeFormatter43.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime46 = dateTimeFormatter43.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime47 = dateTime35.withFields((org.joda.time.ReadablePartial)localDateTime46);
    int i48 = offsetDateTimeField21.getMinimumValue((org.joda.time.ReadablePartial)localDateTime46);
    org.joda.time.Chronology chronology49 = null;
    org.joda.time.DateTime dateTime50 = new org.joda.time.DateTime(chronology49);
    int i51 = dateTime50.getMillisOfDay();
    org.joda.time.DateTime dateTime53 = dateTime50.withHourOfDay(10);
    boolean b55 = dateTime50.isBefore(0L);
    org.joda.time.DateTime dateTime57 = dateTime50.withMillis((-1L));
    org.joda.time.DateTime.Property property58 = dateTime57.year();
    org.joda.time.DateTime dateTime60 = dateTime57.plusYears(29154785);
    org.joda.time.DateTime dateTime62 = dateTime60.plusWeeks(29156542);
    org.joda.time.ReadableInstant readableInstant64 = null;
    org.joda.time.Chronology chronology65 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant64);
    org.joda.time.Chronology chronology66 = org.joda.time.DateTimeUtils.getChronology(chronology65);
    org.joda.time.MutableDateTime mutableDateTime67 = org.joda.time.MutableDateTime.now(chronology65);
    org.joda.time.MutableDateTime mutableDateTime68 = new org.joda.time.MutableDateTime(11L, chronology65);
    org.joda.time.chrono.ISOChronology iSOChronology69 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField70 = iSOChronology69.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField71 = new org.joda.time.field.SkipUndoDateTimeField(chronology65, dateTimeField70);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField72 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField71);
    org.joda.time.ReadableInstant readableInstant74 = null;
    org.joda.time.Chronology chronology75 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant74);
    org.joda.time.Chronology chronology76 = org.joda.time.DateTimeUtils.getChronology(chronology75);
    org.joda.time.MutableDateTime mutableDateTime77 = org.joda.time.MutableDateTime.now(chronology75);
    org.joda.time.MutableDateTime mutableDateTime78 = new org.joda.time.MutableDateTime(11L, chronology75);
    org.joda.time.chrono.ISOChronology iSOChronology79 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField80 = iSOChronology79.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField81 = new org.joda.time.field.SkipUndoDateTimeField(chronology75, dateTimeField80);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField82 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField81);
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = delegatedDateTimeField82.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField84 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField72, dateTimeFieldType83);
    int i85 = dateTime60.get(dateTimeFieldType83);
    org.joda.time.field.RemainderDateTimeField remainderDateTimeField87 = new org.joda.time.field.RemainderDateTimeField((org.joda.time.DateTimeField)offsetDateTimeField21, dateTimeFieldType83, 29156920);
    org.joda.time.chrono.ISOChronology iSOChronology88 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField89 = iSOChronology88.millisOfDay();
    org.joda.time.MutableDateTime mutableDateTime90 = new org.joda.time.MutableDateTime((org.joda.time.Chronology)iSOChronology88);
    org.joda.time.DurationField durationField91 = iSOChronology88.weeks();
    org.joda.time.field.UnsupportedDateTimeField unsupportedDateTimeField92 = org.joda.time.field.UnsupportedDateTimeField.getInstance(dateTimeFieldType83, durationField91);
    org.joda.time.DurationField durationField93 = unsupportedDateTimeField92.getDurationField();
    long long96 = unsupportedDateTimeField92.add(9964800000L, 29164224);
    java.util.Locale locale97 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i98 = unsupportedDateTimeField92.getMaximumTextLength(locale97);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 29155574);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 365);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDateTimeField92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long96 == 17638532636400000L);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    int i10 = mutableDateTime9.getSecondOfMinute();
    mutableDateTime9.add(0L);
    mutableDateTime9.setMillisOfDay(29154898);
    org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
    org.joda.time.MutableDateTime.Property property16 = mutableDateTime9.dayOfWeek();
    org.joda.time.MutableDateTime.Property property17 = mutableDateTime9.monthOfYear();
    org.joda.time.Instant instant18 = mutableDateTime9.toInstant();
    org.joda.time.Chronology chronology19 = instant18.getChronology();
    org.joda.time.ReadableDuration readableDuration20 = null;
    org.joda.time.Instant instant21 = instant18.minus(readableDuration20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant21);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    java.util.GregorianCalendar gregorianCalendar5 = dateTime1.toGregorianCalendar();
    org.joda.time.Chronology chronology6 = null;
    org.joda.time.DateTime dateTime7 = new org.joda.time.DateTime(chronology6);
    int i8 = dateTime7.getMillisOfDay();
    org.joda.time.DateTime dateTime10 = dateTime7.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod11 = null;
    org.joda.time.DateTime dateTime13 = dateTime7.withPeriodAdded(readablePeriod11, 0);
    org.joda.time.DateTime dateTime15 = dateTime13.minusHours(0);
    boolean b16 = dateTime1.isAfter((org.joda.time.ReadableInstant)dateTime15);
    org.joda.time.DateTime.Property property17 = dateTime1.era();
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime19 = dateTime1.withEra(56);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(gregorianCalendar5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property17);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.DateTime dateTime22 = dateTime12.toDateTime(dateTimeZone17);
    org.joda.time.Chronology chronology23 = null;
    org.joda.time.DateTime dateTime24 = new org.joda.time.DateTime(chronology23);
    int i25 = dateTime24.getMillisOfDay();
    org.joda.time.DateTime dateTime27 = dateTime24.withHourOfDay(10);
    boolean b29 = dateTime24.isBefore(0L);
    org.joda.time.DateTime dateTime32 = dateTime24.withDurationAdded(11L, 29154796);
    org.joda.time.Chronology chronology33 = null;
    org.joda.time.DateTime dateTime34 = new org.joda.time.DateTime(chronology33);
    int i35 = dateTime34.getMillisOfDay();
    org.joda.time.DateTime dateTime37 = dateTime34.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod38 = null;
    org.joda.time.DateTime dateTime40 = dateTime34.withPeriodAdded(readablePeriod38, 0);
    org.joda.time.DateMidnight dateMidnight41 = dateTime40.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime42 = dateTime40.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone43 = dateTime40.getZone();
    org.joda.time.DateTime dateTime44 = dateTime32.toDateTime(dateTimeZone43);
    org.joda.time.DateTime dateTime45 = dateTime22.toDateTime(dateTimeZone43);
    int i46 = dateTime45.getMillisOfDay();
    boolean b47 = dateTime45.isAfterNow();
    org.joda.time.DateTime dateTime49 = dateTime45.minusYears(29154955);
    org.joda.time.DurationFieldType durationFieldType50 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.DateTime dateTime52 = dateTime49.withFieldAdded(durationFieldType50, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    org.joda.time.field.UnsupportedDurationField unsupportedDurationField1 = org.joda.time.field.UnsupportedDurationField.getInstance(durationFieldType0);
    org.joda.time.ReadableInstant readableInstant3 = null;
    org.joda.time.Chronology chronology4 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant3);
    org.joda.time.Chronology chronology5 = org.joda.time.DateTimeUtils.getChronology(chronology4);
    org.joda.time.MutableDateTime mutableDateTime6 = org.joda.time.MutableDateTime.now(chronology4);
    org.joda.time.MutableDateTime mutableDateTime7 = new org.joda.time.MutableDateTime(11L, chronology4);
    org.joda.time.chrono.ISOChronology iSOChronology8 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField9 = iSOChronology8.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField10 = new org.joda.time.field.SkipUndoDateTimeField(chronology4, dateTimeField9);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField11 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField10);
    java.util.Locale locale12 = null;
    int i13 = skipUndoDateTimeField10.getMaximumTextLength(locale12);
    org.joda.time.DurationField durationField14 = skipUndoDateTimeField10.getDurationField();
    int i15 = unsupportedDurationField1.compareTo(durationField14);
    org.joda.time.DateTime dateTime16 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone17 = dateTime16.getZone();
    long long20 = dateTimeZone17.adjustOffset(100L, false);
    java.lang.String str21 = dateTimeZone17.toString();
    org.joda.time.chrono.JulianChronology julianChronology22 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone17);
    org.joda.time.DurationField durationField23 = julianChronology22.days();
    int i24 = unsupportedDurationField1.compareTo(durationField23);
    // The following exception was thrown during execution in test generation
    try {
      long long27 = unsupportedDurationField1.add(57600100L, 29166531);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unsupportedDurationField1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "America/Los_Angeles"+ "'", str21.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(durationField23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.joda.time.Instant instant0 = new org.joda.time.Instant();
    org.joda.time.Instant instant2 = instant0.minus(0L);
    org.joda.time.Instant instant4 = instant0.withMillis(11L);
    org.joda.time.MutableDateTime mutableDateTime5 = instant0.toMutableDateTimeISO();
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime5.setMonthOfYear(29160715);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(instant4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime5);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.joda.time.DateTime dateTime0 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone1 = dateTime0.getZone();
    long long4 = dateTimeZone1.adjustOffset(100L, false);
    java.lang.String str5 = dateTimeZone1.toString();
    org.joda.time.chrono.JulianChronology julianChronology6 = org.joda.time.chrono.JulianChronology.getInstance(dateTimeZone1);
    org.joda.time.Chronology chronology7 = null;
    org.joda.time.DateTime dateTime8 = new org.joda.time.DateTime(chronology7);
    int i9 = dateTime8.getMillisOfDay();
    org.joda.time.DateTime dateTime11 = dateTime8.withHourOfDay(10);
    boolean b13 = dateTime8.isBefore(0L);
    org.joda.time.DateTime dateTime15 = dateTime8.withMillis((-1L));
    org.joda.time.DateTime.Property property16 = dateTime15.weekyear();
    org.joda.time.DateTime dateTime18 = dateTime15.minusSeconds(0);
    org.joda.time.chrono.ISOChronology iSOChronology19 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField20 = iSOChronology19.dayOfYear();
    org.joda.time.MutableDateTime mutableDateTime21 = dateTime15.toMutableDateTime((org.joda.time.Chronology)iSOChronology19);
    org.joda.time.MutableDateTime.Property property22 = mutableDateTime21.millisOfSecond();
    org.joda.time.ReadableDateTime readableDateTime23 = null;
    org.joda.time.chrono.LimitChronology limitChronology24 = org.joda.time.chrono.LimitChronology.getInstance((org.joda.time.Chronology)julianChronology6, (org.joda.time.ReadableDateTime)mutableDateTime21, readableDateTime23);
    org.joda.time.Chronology chronology25 = null;
    org.joda.time.DateTime dateTime26 = new org.joda.time.DateTime(chronology25);
    int i27 = dateTime26.getMillisOfDay();
    org.joda.time.DateTime dateTime29 = dateTime26.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod30 = null;
    org.joda.time.DateTime dateTime32 = dateTime26.withPeriodAdded(readablePeriod30, 0);
    org.joda.time.DateMidnight dateMidnight33 = dateTime32.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime34 = dateTime32.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone35 = dateTime32.getZone();
    org.joda.time.Chronology chronology36 = null;
    org.joda.time.DateTime dateTime37 = new org.joda.time.DateTime(chronology36);
    int i38 = dateTime37.getMillisOfDay();
    org.joda.time.DateTime dateTime40 = dateTime37.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod41 = null;
    org.joda.time.DateTime dateTime43 = dateTime37.withPeriodAdded(readablePeriod41, 0);
    org.joda.time.DateMidnight dateMidnight44 = dateTime43.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime45 = dateTime43.toMutableDateTime();
    org.joda.time.DateTimeZone dateTimeZone46 = dateTime43.getZone();
    java.lang.String str47 = dateTimeZone46.toString();
    org.joda.time.DateTime dateTime48 = new org.joda.time.DateTime(dateTimeZone46);
    org.joda.time.DateTime dateTime49 = dateTime32.toDateTime(dateTimeZone46);
    boolean b50 = limitChronology24.equals((java.lang.Object)dateTimeZone46);
    boolean b52 = limitChronology24.equals((java.lang.Object)29157303);
    org.joda.time.chrono.ISOChronology iSOChronology53 = org.joda.time.chrono.ISOChronology.getInstance();
    java.lang.String str54 = iSOChronology53.toString();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter55 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter56 = dateTimeFormatter55.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime58 = dateTimeFormatter55.parseLocalDateTime("16");
    long long60 = iSOChronology53.set((org.joda.time.ReadablePartial)localDateTime58, 28800011L);
    int[] i_array61 = null;
    // The following exception was thrown during execution in test generation
    try {
      limitChronology24.validate((org.joda.time.ReadablePartial)localDateTime58, i_array61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "America/Los_Angeles"+ "'", str5.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(julianChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(limitChronology24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "America/Los_Angeles"+ "'", str47.equals("America/Los_Angeles"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "ISOChronology[America/Los_Angeles]"+ "'", str54.equals("ISOChronology[America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long60 == 86400000L);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime9 = dateTime7.toMutableDateTime();
    int i10 = mutableDateTime9.getSecondOfMinute();
    mutableDateTime9.add(0L);
    mutableDateTime9.setMillisOfDay(29154898);
    org.joda.time.MutableDateTime.Property property15 = mutableDateTime9.secondOfDay();
    org.joda.time.MutableDateTime.Property property16 = mutableDateTime9.dayOfWeek();
    org.joda.time.DateTimeZone dateTimeZone17 = null;
    org.joda.time.MutableDateTime mutableDateTime18 = new org.joda.time.MutableDateTime((java.lang.Object)mutableDateTime9, dateTimeZone17);
    // The following exception was thrown during execution in test generation
    try {
      mutableDateTime18.setDate(29159849, 29165007, 960);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property16);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.joda.time.ReadableInstant readableInstant1 = null;
    org.joda.time.Chronology chronology2 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant1);
    org.joda.time.Chronology chronology3 = org.joda.time.DateTimeUtils.getChronology(chronology2);
    org.joda.time.MutableDateTime mutableDateTime4 = org.joda.time.MutableDateTime.now(chronology2);
    org.joda.time.MutableDateTime mutableDateTime5 = new org.joda.time.MutableDateTime(11L, chronology2);
    org.joda.time.chrono.ISOChronology iSOChronology6 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField7 = iSOChronology6.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField8 = new org.joda.time.field.SkipUndoDateTimeField(chronology2, dateTimeField7);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField9 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField8);
    org.joda.time.ReadableInstant readableInstant11 = null;
    org.joda.time.Chronology chronology12 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant11);
    org.joda.time.Chronology chronology13 = org.joda.time.DateTimeUtils.getChronology(chronology12);
    org.joda.time.MutableDateTime mutableDateTime14 = org.joda.time.MutableDateTime.now(chronology12);
    org.joda.time.MutableDateTime mutableDateTime15 = new org.joda.time.MutableDateTime(11L, chronology12);
    org.joda.time.chrono.ISOChronology iSOChronology16 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField17 = iSOChronology16.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField18 = new org.joda.time.field.SkipUndoDateTimeField(chronology12, dateTimeField17);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField19 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField18);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = delegatedDateTimeField19.getType();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField21 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)delegatedDateTimeField9, dateTimeFieldType20);
    java.util.Locale locale22 = null;
    int i23 = delegatedDateTimeField9.getMaximumShortTextLength(locale22);
    org.joda.time.DateTime dateTime24 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone25 = dateTime24.getZone();
    org.joda.time.DateTime dateTime27 = dateTime24.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant28 = null;
    org.joda.time.Chronology chronology29 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant28);
    org.joda.time.DateTime dateTime30 = dateTime24.toDateTime(chronology29);
    org.joda.time.YearMonthDay yearMonthDay31 = dateTime30.toYearMonthDay();
    org.joda.time.ReadableInstant readableInstant34 = null;
    org.joda.time.Chronology chronology35 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant34);
    org.joda.time.Chronology chronology36 = org.joda.time.DateTimeUtils.getChronology(chronology35);
    org.joda.time.MutableDateTime mutableDateTime37 = org.joda.time.MutableDateTime.now(chronology35);
    org.joda.time.MutableDateTime mutableDateTime38 = new org.joda.time.MutableDateTime(11L, chronology35);
    org.joda.time.chrono.ISOChronology iSOChronology39 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField40 = iSOChronology39.dayOfYear();
    org.joda.time.field.SkipUndoDateTimeField skipUndoDateTimeField41 = new org.joda.time.field.SkipUndoDateTimeField(chronology35, dateTimeField40);
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField42 = new org.joda.time.field.DelegatedDateTimeField((org.joda.time.DateTimeField)skipUndoDateTimeField41);
    org.joda.time.DateTimeField dateTimeField43 = skipUndoDateTimeField41.getWrappedField();
    org.joda.time.Chronology chronology44 = null;
    org.joda.time.DateTime dateTime45 = new org.joda.time.DateTime(chronology44);
    int i46 = dateTime45.getMillisOfDay();
    org.joda.time.DateTime dateTime48 = dateTime45.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod49 = null;
    org.joda.time.DateTime dateTime51 = dateTime45.withPeriodAdded(readablePeriod49, 0);
    org.joda.time.DateMidnight dateMidnight52 = dateTime51.toDateMidnight();
    org.joda.time.MutableDateTime mutableDateTime53 = dateTime51.toMutableDateTime();
    org.joda.time.DateTime dateTime54 = org.joda.time.DateTime.now();
    org.joda.time.DateTimeZone dateTimeZone55 = dateTime54.getZone();
    org.joda.time.DateTime dateTime57 = dateTime54.plusWeeks(0);
    org.joda.time.ReadableInstant readableInstant58 = null;
    org.joda.time.Chronology chronology59 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant58);
    org.joda.time.DateTime dateTime60 = dateTime54.toDateTime(chronology59);
    boolean b61 = mutableDateTime53.isAfter((org.joda.time.ReadableInstant)dateTime54);
    org.joda.time.format.DateTimeFormatter dateTimeFormatter62 = org.joda.time.format.ISODateTimeFormat.localTimeParser();
    org.joda.time.format.DateTimeFormatter dateTimeFormatter63 = dateTimeFormatter62.withZoneUTC();
    org.joda.time.LocalDateTime localDateTime65 = dateTimeFormatter62.parseLocalDateTime("16");
    org.joda.time.DateTime dateTime66 = dateTime54.withFields((org.joda.time.ReadablePartial)localDateTime65);
    int[] i_array67 = new int[] {  };
    int i68 = skipUndoDateTimeField41.getMinimumValue((org.joda.time.ReadablePartial)localDateTime65, i_array67);
    org.joda.time.ReadableInstant readableInstant70 = null;
    org.joda.time.Chronology chronology71 = org.joda.time.DateTimeUtils.getInstantChronology(readableInstant70);
    org.joda.time.chrono.ISOChronology iSOChronology72 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField73 = iSOChronology72.dayOfYear();
    org.joda.time.field.DelegatedDateTimeField delegatedDateTimeField74 = new org.joda.time.field.DelegatedDateTimeField(dateTimeField73);
    org.joda.time.field.SkipDateTimeField skipDateTimeField75 = new org.joda.time.field.SkipDateTimeField(chronology71, dateTimeField73);
    java.util.Locale locale77 = null;
    java.lang.String str78 = skipDateTimeField75.getAsText(10L, locale77);
    org.joda.time.chrono.ISOChronology iSOChronology80 = org.joda.time.chrono.ISOChronology.getInstance();
    org.joda.time.DateTimeField dateTimeField81 = iSOChronology80.dayOfYear();
    java.util.Locale locale82 = null;
    org.joda.time.format.DateTimeParserBucket dateTimeParserBucket85 = new org.joda.time.format.DateTimeParserBucket((-13654800000L), (org.joda.time.Chronology)iSOChronology80, locale82, (java.lang.Integer)29156653, 29156524);
    java.util.Locale locale86 = dateTimeParserBucket85.getLocale();
    int i87 = skipDateTimeField75.getMaximumShortTextLength(locale86);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array88 = delegatedDateTimeField9.set((org.joda.time.ReadablePartial)yearMonthDay31, 29163511, i_array67, "314", locale86);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(yearMonthDay31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(mutableDateTime53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeZone55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeFormatter63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localDateTime65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chronology71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "365"+ "'", str78.equals("365"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iSOChronology80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTimeField81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 3);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    org.joda.time.DateTime dateTime15 = dateTime12.plusYears(29154679);
    int i16 = dateTime15.getWeekyear();
    org.joda.time.YearMonthDay yearMonthDay17 = dateTime15.toYearMonthDay();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 38323626);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(yearMonthDay17);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.joda.time.Chronology chronology0 = null;
    org.joda.time.DateTime dateTime1 = new org.joda.time.DateTime(chronology0);
    int i2 = dateTime1.getMillisOfDay();
    org.joda.time.DateTime dateTime4 = dateTime1.withHourOfDay(10);
    org.joda.time.ReadablePeriod readablePeriod5 = null;
    org.joda.time.DateTime dateTime7 = dateTime1.withPeriodAdded(readablePeriod5, 0);
    org.joda.time.DateMidnight dateMidnight8 = dateTime7.toDateMidnight();
    org.joda.time.ReadablePeriod readablePeriod9 = null;
    org.joda.time.DateTime dateTime11 = dateTime7.withPeriodAdded(readablePeriod9, (-1));
    org.joda.time.DateTime dateTime12 = dateTime7.withEarlierOffsetAtOverlap();
    org.joda.time.DateTime.Property property13 = dateTime12.era();
    boolean b15 = dateTime12.equals((java.lang.Object)29157145);
    org.joda.time.DateTime dateTime17 = dateTime12.withYear(29157823);
    org.joda.time.DateTime dateTime19 = dateTime17.minus(290751370329600100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2334010);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateMidnight8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(property13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dateTime19);

  }

}
